﻿<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE Testplan SYSTEM "testplan.dtd">
<Testplan>
  <BlockDefinitions>
    <Block id="B_NR_BS_TransmitterTests" type="Device" category="User Blocks" parent="User" visible="False" description="">
      <Ports>
        <InPort id="BlockInPort" />
        <OutPort id="BlockOutPort" />
      </Ports>
      <ProvidedFunctions>
        <Function id="Init" name="Init" exectime="TestrunBefore" description="Initialization activities for this block" usable="True">
          <Details>Initialization activities for this block, e.g. member initialization, 
initialization of measurement equipment, starting timer, etc.
Typically executed in TestrunBefore.</Details>
          <Reply id="ReplyMessage" name="ReplyMessage" type="char[SHORTNAMELENGTH]" value="" description="" />
          <Parameter id="ForceScpi" name="Force sending SCPI commands." type="bool" value="true" description="" />
          <Parameter id="VisaResource" name="FSW" type="VISA_Resource[LONGNAMELENGTH]" value="TCPIP::192.168.1.3::HISLIP" description="" />
          <Parameter id="SMW" name="SMW" type="VISA_Resource[LONGNAMELENGTH]" value="TCPIP::192.168.1.3::HISLIP" description="" />
          <Parameter id="useSMW" name="useSMW" type="bool" value="true" description="" />
        </Function>
        <Function id="PrintIdentity" name="PrintIdentity" description="Print identity of this block and/or its associated equipment." usable="False">
          <Details>Print identity of this block and/or its associated equipment.</Details>
        </Function>
        <Function id="Open" name="Open" exectime="TestrunBefore" description="Activities to open connections, channels or other communication interfaces." usable="False">
          <Details>Activities to open connections, channels or other communication interfaces.</Details>
        </Function>
        <Function id="Close" name="Close" exectime="TestrunAfter" description="Activities to close connections, channels or other communication interfaces.">
          <Details>Activities to close connections, channels or other communication interfaces.</Details>
        </Function>
        <Function id="Reset" name="Reset" description="Activities to reset the block and its associated equipment to its default state." usable="False">
          <Details>Activities to reset the block and its associated equipment to its default state.</Details>
        </Function>
        <Function id="SCPIRead" name="SCPI Read" description="Fetches the reply of a previously sent SCPI-Query Command." usable="False">
          <Details>Configurable Result Logging of the received value is available.</Details>
          <Reply id="reply" name="reply" type="char[LONGNAMELENGTH]" value="" description="" />
          <Parameter id="writeToResults" name="Write to results?" type="bool" value="false" description="Determines if the fetched value is logged to the results." />
          <Parameter id="resultType" name="Result Data Type" type="char[SHORTNAMELENGTH]" value="string" description="Determines the data type which is used to log the received value.">
            <enum>
              <item value="string">String</item>
              <item value="int">Integer</item>
              <item value="double">Double</item>
            </enum>
          </Parameter>
          <Parameter id="decimalPlaces" name="Number of decimal places" type="int" value="3" description="Determines the number of decimal places of double values, prompted in the Log Viewer." />
          <Parameter id="resultHeader" name="Result Header" type="char[SHORTNAMELENGTH]" value="Result" description="Determines the Header which is used in the Result File." />
          <Parameter id="resultUnit" name="Result Unit" type="char[SHORTNAMELENGTH]" value="Unit" description="Determines the Unit which is used in the Result File." />
        </Function>
        <Function id="SCPIWrite" name="SCPI Write" description="Send a SCPI Command to the device." usable="False">
          <Details>Sends a manually entered SCPI Command to the device. The SCPI command has to be entered as string.</Details>
          <Reply id="Reply" name="Reply" type="int" description="VISA Status" />
          <Parameter id="ScpiCmd" name="SCPI Command" type="SCPI_Command[LONGNAMELENGTH]" description="Command to be sent" />
        </Function>
        <Function id="SCPIQuery" name="SCPI Query" description="Combination of SCPI-Write and SCPI-Read" usable="False">
          <Details>The SCPI query to send has to be entered as string. Configurable Result Logging of the received value is available. </Details>
          <Reply id="reply" name="reply" type="char[LONGNAMELENGTH]" value="" description="" />
          <Parameter id="scpiCommand" name="SCPI Query" type="SCPI_Command[LONGNAMELENGTH]" description="Command to be sent." />
          <Parameter id="writeToResults" name="Write to results?" type="bool" value="false" description="Determines if the fetched value is logged to results." />
          <Parameter id="resultType" name="Result Data Type" type="char[SHORTNAMELENGTH]" value="string" description="Determines the data type which is used to log the received value.">
            <enum>
              <item value="string">String</item>
              <item value="int">Integer</item>
              <item value="double">Double</item>
            </enum>
          </Parameter>
          <Parameter id="decimalPlaces" name="Number of decimal places" type="int" value="3" description="Determines the number of decimal places of double values which are prompted in the Log Viewer." />
          <Parameter id="resultHeader" name="Result Header" type="char[SHORTNAMELENGTH]" value="Result" description="Determines the Header which is used in Result File." />
          <Parameter id="resultUnit" name="Result Unit" type="char[SHORTNAMELENGTH]" value="Unit" description="Determines the Unit which is used in Result File." />
        </Function>
        <Function id="SCPIWriteTillDone" name="SCPI WriteTillDone" description="Sends a SCPI Command to the device and waits for Operation-Complete" usable="False">
          <Details>Sends a manually entered SCPI Command to the device and waits until the command is completed. This is determined by waiting for the *OPC? from the instrument. The timeout for the *OPC? can be provided as parameter. 
If WaitForever is set to TRUE, no timeout is applied. In this case the *OPC query is resent if the timeout is reached.</Details>
          <Reply id="Reply" name="Reply" type="int" description="VISA Status" />
          <Parameter id="ScpiCmd" name="SCPI Command" type="SCPI_Command[LONGNAMELENGTH]" description="Command to be sent" />
          <Parameter id="WaitForever" name="WaitForever" type="bool" value="false" description="The Timeout is ignored if this flag is set to TRUE." />
          <Parameter id="TimeoutMsec" name="Timeout" type="int" value="2000" unit="msec" description="Timeout for Operation Complete" />
        </Function>
        <Function id="Basics" name="Basics" description="Basic Settings" usable="True">
          <Details>General parameters like frequency, bandwidth, ...</Details>
          <Parameter id="Reset" name="Reset" type="bool" value="true" description="" />
          <Parameter id="ExtRef" name="External Reference" type="bool" value="false" description="" />
          <Parameter id="Frequency" name="Frequency (MHz)" type="double" value="1000.0" description="" />
          <Parameter id="RefLev" name="Reference Level (dBm)" type="double" value="0.0" description="" />
          <Parameter id="Deployment" name="Deployment" type="int" value="0" description="Frequency Deployment">
            <enum>
              <item value="0">f &lt;= 3 GHz</item>
              <item value="1">3 GHz &lt; f &lt;= 6 GHz</item>
              <item value="2">f &gt; 6 GHz</item>
            </enum>
          </Parameter>
          <Parameter id="ChannelBW" name="Channel Bandwidth (MHz)" type="int" value="12" description="Channel Bandwidth">
            <enum>
              <item value="0">5</item>
              <item value="1">10</item>
              <item value="2">15</item>
              <item value="3">20</item>
              <item value="4">25</item>
              <item value="5">30</item>
              <item value="6">40</item>
              <item value="7">50</item>
              <item value="8">60</item>
              <item value="9">70</item>
              <item value="10">80</item>
              <item value="11">90</item>
              <item value="12">100</item>
            </enum>
          </Parameter>
          <Parameter id="TM" name="NR-TM" type="int" value="0" description="NR Test Model">
            <enum>
              <item value="0">None</item>
              <item value="1">TM 1.1</item>
              <item value="2">TM 1.2</item>
              <item value="3">TM 2</item>
              <item value="4">TM 2a</item>
              <item value="5">TM 3.1</item>
              <item value="6">TM 3.1a</item>
              <item value="7">TM 3.2</item>
              <item value="8">TM 3.3</item>
            </enum>
          </Parameter>
          <Parameter id="SCS" name="SCS" type="int" value="1" description="Subcarrier Spacing">
            <enum>
              <item value="0">15 kHz</item>
              <item value="1">30 kHz</item>
              <item value="2">60 kHz</item>
            </enum>
          </Parameter>
          <Parameter id="Duplex" name="Duplex" type="int" value="0" description="Duplexing">
            <enum>
              <item value="0">FDD</item>
              <item value="1">TDD</item>
            </enum>
          </Parameter>
          <Parameter id="Attenuation" name="FSx Attenuation (dB)" type="double" value="0.0" description="Attenuation FSx" />
          <Parameter id="AttenuationSMW" name="SMW Attenuation (dB)" type="double" value="0.0" description="Attenuation SMW" />
          <Parameter id="BSType" name="Base Station Type" type="int" value="0" description="">
            <enum>
              <item value="0">C</item>
              <item value="1">H</item>
              <item value="2">O</item>
            </enum>
          </Parameter>
          <Parameter id="useGateForTdd" name="Use Gating for TDD" type="bool" value="false" description="Use Gating for TDD signals?" />
          <Parameter id="gateLength" name="Gate Length" type="double" value="3" unit="ms" description="Gate Length applied" />
        </Function>
        <Function id="Tx_6_2_OutputPower" name="Tx_6_2_OutputPower" description="Base station output power" usable="True">
          <Details>Chapter 6.2</Details>
          <Reply id="Power" name="OutputPower" type="double" description="Power" />
          <Reply id="EVM" name="EVM" type="double" description="EVM" />
          <Reply id="FreqErr" name="Frequency Error" type="double" description="Frequency Error" />
          <Parameter id="DCIgnore" name="Ignore DC" type="bool" value="true" description="" />
        </Function>
        <Function id="Tx_6_3_3_PowerDynamicRange" name="Tx_6_3_3_PowerDynamicRange" description="Total Power Dynamic Range" usable="True">
          <Details>Chapter 6.3.3</Details>
          <Parameter id="supports256QAM" name="BS supports 256 QAM" type="bool" description="" />
          <Parameter id="powerbackkoff" name="with power back off" type="bool" description="" />
        </Function>
        <Function id="Tx_6_4_TransmitOnOff" name="Tx_6_4_TransmitOnOff" description="Transmit On/Off power" usable="True">
          <Details>includes 6.4.1. Transmitter Off power and 6.4.2 Transmittere transient period</Details>
          <Reply id="OffPower" name="OffPower" type="double[]" description="" />
          <Reply id="TransPeriod" name="TransPeriod" type="double[]" description="" />
          <Parameter id="NoisCanc" name="Noise Cancellation" type="bool" value="true" description="" />
        </Function>
        <Function id="Tx_6_5_23_FreqErr_ModQual" name="Tx_6_5_23_FreqErr_ModQual" description="Frequency Error and Modulation Quality" usable="True">
          <Details>6.5.2 Freqeuncy Error and 6.5.3 Modulation Quality</Details>
          <Reply id="FreqErr" name="Frequency Error" type="double" description="Frequency Error" />
          <Reply id="EVM" name="EVM" type="double" description="EVM" />
          <Reply id="Power" name="Power" type="double" description="Power" />
          <Parameter id="DCIgnore" name="Ignore DC" type="bool" value="true" description="" />
        </Function>
        <Function id="Tx_6_5_4_TimeAlign" name="Tx_6_5_4_TimeAlign" description="Time alignment error" usable="True">
          <Details>Chapter 6.5.4</Details>
          <Reply id="TimeError" name=" Time Alignment Error" type="double[]" description="Difference to AP 1000" />
          <Parameter id="Layers" name="Number Layers" type="int" value="0" description="Number of layers">
            <enum>
              <item value="0">2</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="Tx_6_6_2_OccupiedBW" name="Tx_6_6_2_OccupiedBW" description="Occupied bandwidth" usable="True">
          <Details>Chapter 6.6.2</Details>
          <Reply id="OccupiedBW" name="OccupiedBW" type="double" description="Occupied Bandwidth" />
        </Function>
        <Function id="Tx_6_6_3_ACLR" name="Tx_6_6_3_ACLR" description="Adjacent Channel Leakage Power (ACLR)" usable="True">
          <Details>Chapter 6.6.3</Details>
          <Reply id="ACLRResult" name="ACLR Results" type="double[]" description="" />
          <Parameter id="NoiseCancel" name="Noise Cancellation" type="bool" value="true" description="Enable Noise Cancellation" />
          <Parameter id="AdjChann" name="Adjacent Channels" type="int" value="0" description="">
            <enum>
              <item value="0">NR (same BW)</item>
              <item value="1">5 MHz LTE</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="Tx_6_6_4_UnwantedEmissions" name="Tx_6_6_4_UnwantedEmissions" description="Operating Band unwanted emissions (SEM)" usable="True">
          <Details>Chapter 6.6.4 SEM</Details>
          <Reply id="FreqStart" name="Start Freqeuncy" type="double[]" description="" />
          <Reply id="FreqStop" name="Stop Frequency" type="double[]" description="" />
          <Reply id="RBW" name="RBW" type="double[]" description="" />
          <Reply id="Level" name="Level" type="double[]" description="" />
          <Parameter id="Category" name="Category" type="int" value="0" description="">
            <enum>
              <item value="0">A</item>
              <item value="1">B</item>
              <item value="2">Medium</item>
              <item value="3">Local</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="Tx_6_6_5_SpuriousEmissions" name="Tx_6_6_5_SpuriousEmissions" description="Transmitter spurious emissions" usable="True">
          <Details>Chapter 6.6.5</Details>
          <Reply id="FreqStart" name="Start Frequency" type="double[]" description="" />
          <Reply id="FreqStop" name="Stop Frequency" type="double[]" description="" />
          <Reply id="RBW" name="RBW" type="double[]" description="" />
          <Reply id="Level" name="Level" type="double[]" description="" />
          <Parameter id="Category" name="Category" type="int" value="0" description="">
            <enum>
              <item value="0">A</item>
              <item value="1">B</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="Tx_6_7_TxIntermod" name="Tx_6_7_TxIntermod" description="Transmitter Intermodulation" usable="True">
          <Details>Chapter 6.7</Details>
          <Reply id="ACLR" name="ACLR" type="double[]" description="" />
          <Reply id="SEMStartFreq" name="SEMStartFreq" type="double[]" description="" />
          <Reply id="SEMStopFreq" name="SEMStopFreq" type="double[]" description="" />
          <Reply id="SEMRBW" name="SEMRBW" type="double[]" description="" />
          <Reply id="SEMPow" name="SEMPow" type="double[]" description="" />
          <Reply id="SpurStartFreq" name="SpurStartFreq" type="double[]" description="" />
          <Reply id="SpurStopFreq" name="SpurStopFreq" type="double[]" description="" />
          <Reply id="SpurRPW" name="SpurRPW" type="double[]" description="" />
          <Reply id="SpurPow" name="SpurPow" type="double[]" description="" />
          <Parameter id="BW_Interferer" name="BW Interferer (MHz)" type="int" value="0" description="Bandwidth Interferer">
            <enum>
              <item value="0">5</item>
              <item value="1">10</item>
              <item value="2">15</item>
              <item value="3">20</item>
              <item value="4">25</item>
              <item value="5">30</item>
              <item value="6">40</item>
              <item value="7">50</item>
            </enum>
          </Parameter>
          <Parameter id="Offset" name="Offset n" type="int" value="1" description="Offset n Interferer">
            <enum>
              <item value="-3">- 3</item>
              <item value="-2">- 2</item>
              <item value="-1">- 1</item>
              <item value="1">1</item>
              <item value="2">2</item>
              <item value="3">3</item>
            </enum>
          </Parameter>
          <Parameter id="Category" name="Category" type="int" value="0" description="">
            <enum>
              <item value="0">A</item>
              <item value="1">B</item>
              <item value="2">Medium</item>
              <item value="3">Local</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="Tx_DemoSMW" name="Tx_DemoSMW" description="5G NR Downlink signal" usable="True">
          <Details>SMW provides 5G NR Downlink signal for demonstration</Details>
          <Parameter id="RFpath" name="RF path" type="int" value="1" description="RF Path SMW">
            <enum>
              <item value="0">A</item>
              <item value="1">B</item>
            </enum>
          </Parameter>
          <Parameter id="MIMO" name="MIMO 2 layers" type="bool" value="false" description="for Time Aligment (needs 2 path SMW)" />
          <Parameter id="SMW" name="SMW" type="VISA_Resource[LONGNAMELENGTH]" value="TCPIP::192.168.1.3::HISLIP" description="" />
          <Parameter id="setPower" name="Power" type="double" value="-10" errmsg="Deduct 35dBm from your target power for Basestation emulation by SMW!" unit="dBm" max="0" description="Deduct 35dBm from your target power for Basestation emulation by SMW!" />
        </Function>
      </ProvidedFunctions>
      <RequiredFunctions>
        <Function id="AddDataRowToTable" name="AddDataRowToTable" description="Add a series of data at the specified position of the depending table">
          <Details>Add single or array of data to an existing table-row. The parameter 'Column' and 'Row' define the zero based start position of data.</Details>
          <Parameter id="TableId" name="TableId" type="char[LONGNAMELENGTH]" value="Table1" description="Identifier for the table." />
          <Parameter id="Column" name="Column" type="int" description="Number of column to start from (Zero based)" />
          <Parameter id="Row" name="Row" type="int" description="Number of row to start from (Zero based)" />
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Table_Cell1" description="Determine the style of the current cells">
            <enum>
              <item value="QS_Table_Header1">QS_Table_Header1</item>
              <item value="QS_Table_Header2">QS_Table_Header2</item>
              <item value="QS_Table_Header3">QS_Table_Header3</item>
              <item value="QS_Table_Header_Open">QS_Table_Header_Open</item>
              <item value="QS_Table_Cell1">QS_Table_Cell1</item>
              <item value="QS_Table_Cell2">QS_Table_Cell2</item>
              <item value="QS_Table_Cell3">QS_Table_Cell3</item>
              <item value="QS_Table_Cell1_Right">QS_Table_Cell1_Right</item>
              <item value="QS_Table_Cell2_Right">QS_Table_Cell2_Right</item>
              <item value="QS_Table_Cell3_Right">QS_Table_Cell3_Right</item>
              <item value="QS_Table_Cell1_Left">QS_Table_Cell1_Left</item>
              <item value="QS_Table_Cell2_Left">QS_Table_Cell2_Left</item>
              <item value="QS_Table_Cell3_Left">QS_Table_Cell3_Left</item>
              <item value="QS_Table_Cell_Result">QS_Table_Cell_Result</item>
              <item value="QS_Table_Cell_Good">QS_Table_Cell_Good</item>
              <item value="QS_Table_Cell_Bad">QS_Table_Cell_Bad</item>
              <item value="QS_Table_Cell_Open">QS_Table_Cell_Open</item>
            </enum>
          </Parameter>
          <Parameter id="Data" name="Data" type="char[]" value="" description="String based data array which is separated by semicolon" />
        </Function>
        <Function id="CreateReport" name="CreateReport" description="Define general settings for a new report" usable="True">
          <Details>Create a new virtual report document. This function is mandatory and must be set at first before adding report items to the report.</Details>
          <Parameter id="Type" name="Type" type="char[LONGNAMELENGTH]" value="Body1" description="Chose a predefined layout for the master report or enter a path if a custom header is used.">
            <enum>
              <item value="Body1">Body1</item>
              <item value="Body2">Body2</item>
              <item value="Body3">Body3</item>
              <item value="Empty">Empty</item>
            </enum>
          </Parameter>
          <Parameter id="DutName" name="DutName" type="char[LONGNAMELENGTH]" value="" description="Enter the name of the DUT" />
          <Parameter id="ReportName" name="ReportName" type="char[LONGNAMELENGTH]" value="" description="Enter the name of the report. This name is used for the report filename also." />
          <Parameter id="Title" name="Title" type="char[LONGNAMELENGTH]" value="" description="Enter the main title of the report" />
          <Parameter id="Subtitle" name="Subtitle" type="char[]" value="" description="Enter a subtitle if necessarry" />
        </Function>
        <Function id="SaveReport" name="SaveReport" description="Save the report to the specified path" usable="True">
          <Details>This function will save the virtual report and all containing report items to a specified location. The output format can be DOC, PDF or HTML. Leave the path empty to write in the result path of the testplan.</Details>
          <Reply id="FullReportPath" name="FullReportPath" type="char[]" value="" description="Return the full report path to the report file, in case of PDF + HTML, only the full path to the PDF is returned." />
          <Parameter id="ReportType" name="ReportType" type="char[SHORTNAMELENGTH]" value="PDF" description="Report output type">
            <enum>
              <item value="HTML">HTML</item>
              <item value="PDF">PDF</item>
              <item value="PDFHTML">PDF + HTML</item>
              <item value="DOC">DOC</item>
            </enum>
          </Parameter>
          <Parameter id="ReportPath" name="ReportPath" type="char[]" value="" description="Report output path" />
        </Function>
        <Function id="CreateTable" name="CreateTable" description="Create a new instance of a table">
          <Details>Initialize a new table in the virtual report. After initialze the table with an unique table id, use the functions 'AddDataRowToTable' or 'AddDataColumnToTable' to fill the table with result.
The width of each column can defined by using the parameter 'ColumnWidth'. Separate the input values with a semicolon and enter the width in relation to the full width of the report document.
The sum of all column widths must be 100. (For example, 3 columns with the relation 50;25;25)
Leave the field empty to divide the count of columns with the width of the report documents width.
      </Details>
          <Parameter id="TableId" name="TableId" type="char[LONGNAMELENGTH]" value="Table1" description="Identifier for this table. This Id must be unique for each table in the report." />
          <Parameter id="ColumnCount" name="ColumnCount" type="int" value="1" min="1" max="100000" description="Enter the number of columns for this table" />
          <Parameter id="RowCount" name="RowCount" type="int" value="1" min="1" max="100000" description="Enter the number of rows for this table" />
          <Parameter id="ColumnWidth" name="ColumnWidth" type="char[]" value="" description="Enter the width of each column in relation to the document width." />
        </Function>
        <Function id="AddLine" name="AddLine" description="Add a horizontal line to the current report" />
        <Function id="LineFeed" name="LineFeed" description="Add a line feed with a variable height to the report">
          <Details>This report item appears as a withespace with a variable height.</Details>
          <Parameter id="Linecount" name="Linecount" type="int" value="1" min="1" max="100" description="Determine the number of lines to define the height of the line feed" />
        </Function>
        <Function id="NewPage" name="NewPage" description="Force a new page in the report" />
        <Function id="AddMessage" name="AddMessage" description="Add a new message to the report">
          <Details>This report item will appear as a simple message output.</Details>
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Message_Body1" description="Determine the style of the message output format">
            <enum>
              <item value="QS_Message_Headline1">QS_Message_Headline1</item>
              <item value="QS_Message_Headline2">QS_Message_Headline2</item>
              <item value="QS_Message_Headline3">QS_Message_Headline3</item>
              <item value="QS_Message_Body1">QS_Message_Body1</item>
              <item value="QS_Message_Body2">QS_Message_Body2</item>
              <item value="QS_Message_Body3">QS_Message_Body3</item>
              <item value="QS_Message_Tiny1">QS_Message_Tiny1</item>
              <item value="QS_Message_Tiny2">QS_Message_Tiny2</item>
            </enum>
          </Parameter>
          <Parameter id="ShowTestStep" name="ShowTestStep" type="bool" description="Determine if the number of the current test step is shown in the message (Format: &quot;TestStep x:&quot;)" />
          <Parameter id="Text" name="Text" type="char[]" value="" description="The message output" />
        </Function>
        <Function id="AddResult" name="AddResult" description="Add a new result to the report">
          <Details>This report item will appear as a simple result view, which contains the name, value and the unit of a result.</Details>
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Message_Body1" description="Determine the style of the result output">
            <enum>
              <item value="QS_Message_Headline1">QS_Message_Headline1</item>
              <item value="QS_Message_Headline2">QS_Message_Headline2</item>
              <item value="QS_Message_Headline3">QS_Message_Headline3</item>
              <item value="QS_Message_Body1">QS_Message_Body1</item>
              <item value="QS_Message_Body2">QS_Message_Body2</item>
              <item value="QS_Message_Body3">QS_Message_Body3</item>
              <item value="QS_Message_Tiny1">QS_Message_Tiny1</item>
              <item value="QS_Message_Tiny2">QS_Message_Tiny2</item>
            </enum>
          </Parameter>
          <Parameter id="ResultName" name="ResultName" type="char[LONGNAMELENGTH]" value="" description="Name of the result" />
          <Parameter id="Unit" name="Unit" type="char[SHORTNAMELENGTH]" value="" description="Unit of the result" />
          <Parameter id="Format" name="Format" type="char[SHORTNAMELENGTH]" value="Decimal" description="Determine the format output of the result.">
            <enum>
              <item value="Decimal">Decimal</item>
              <item value="Hex">Hex</item>
              <item value="String">String</item>
            </enum>
          </Parameter>
          <Parameter id="ResultValue" name="ResultValue" type="char[]" value="" description="Value of the result" />
        </Function>
        <Function id="AddResultMinMax" name="AddResultMinMax" description="Add a result by using a bullet control with min and max boundaries">
          <Details>This report item will appear as a extented result output.</Details>
          <Parameter id="Name" name="Name" type="char[LONGNAMELENGTH]" value="" description="Name of the result" />
          <Parameter id="Unit" name="Unit" type="char[SHORTNAMELENGTH]" value="" description="Unit of the result" />
          <Parameter id="Min" name="Min" type="char[LONGNAMELENGTH]" value="" description="Minimun value" />
          <Parameter id="Max" name="Max" type="char[LONGNAMELENGTH]" value="" description="Maximum value" />
          <Parameter id="DecimalPlaces" name="DecimalPlaces" type="int" value="4" min="1" max="8" description="Number of decimal places for the result" />
          <Parameter id="Value" name="Value" type="char[]" value="" description="Value of the result" />
        </Function>
      </RequiredFunctions>
      <DeviceParameter />
      <Device name="NR_BS_TransmitterTests" description="" width="180" height="70">
        <Image file="B_NR_BS_TransmitterTests.jpg" opacity="0" width="0" height="90" />
        <Ports />
      </Device>
      <VersionInformation BlockAPIVersion="04.00" />
    </Block>
    <Block id="B_FlowControl" type="NonDevice" category="User Blocks" parent="User">
      <Ports>
        <InPort id="FlowControlInPort" />
        <OutPort id="FlowControlOutPort" />
      </Ports>
      <ProvidedFunctions>
        <Function id="Join" name="Fork/Join" description="The FORK/JOIN node enables the fan-in of multiple routes.">
          <Details>Join-Statement: The procedure continues if the preceding block functions of ALL incoming routes are completed (logical AND on input connector).

Fork-Statement: The procedure continues if the incoming route is completed. Afterwards all other block functions underneath the bar will continue. </Details>
        </Function>
        <Function id="Or" name="Or" description="The OR node allows the logical disjunction of multiple blockfunction nodes.">
          <Details>The procedure continues if ONE of the preceding block functions of the incoming routes is completed (round yellow symbol connectors).

When more than one connection is attached to an in-connector, the local OR is also valid for these connections.

The output connector is located at the bottom (flat black connector symbol). If one of the preceding block functions are completed the block function which is connected with the output will continue.

For loops the OR statement is necessary. For more information, please see the QuickStep Training Manual (chapter "Using control statements").  </Details>
        </Function>
        <Function id="If" name="If" description="The IF node enables the conditional control of the execution of the test procedure.">
          <Details>Enter a condition for example to a global bool parameter like this: ($G.CalcFinish) == True. For a global int parameter like this: ($G.LoopProcedure) &lt; 10. For more information, please see the QuickStep Training Manual (chapter "Using control statements").

If the condition is true, the procedure continues following the green output on the right hand side.

If the condition is false, the procedure continues following the red output at the bottom.

In case more than one incoming route is connected to the input connector at the top of the IF node, the IF statement is executed as soon as the preceeding block functions on ALL these connected routes are completed (logical AND connection).

For multiple alternative incoming routes an additional Or-Statement shall be used.</Details>
        </Function>
        <Function id="End" name="End" description="The End node is an optional node which might be used to assure a defined termination behavior of a specifc test procedure phase.">
          <Details>If no END node is used, a test procedure phase is terminated when the execution of all block functions without a successor is completed. The END node might be used to define the behavior if several conditional branches exist in a procedure. If one or several END nodes are used, the test procedure phase is terminated as soon as the first END node is reached.

Hints: 
- In case of conditional branches within a test procedure, each branch has to be connected to an individual END node. Otherwise the execution cannot continue.
- If END nodes are used, all block functions without a successor have to be connected to an END node.
- If several branches are connected to one identical END node, all these branches have to be completed before the END node is activated (AND behavior).
- If branches are connected to several different END node, the execution phase is terminated, as soon as the first END node is reached (OR behavior).
- If an execution phase is terminated due to an END node, all running block functions will finish, but no new block function will start.</Details>
        </Function>
        <Function id="Pin" name="Routing Pin" description="The ROUTING PIN node has no functionallity at all - it might be uses to optimize the graphical routing of dependency lines within the Test Procedure Browser.">
          <Details>It can only have one input and one output connection.</Details>
        </Function>
      </ProvidedFunctions>
      <RequiredFunctions />
    </Block>
    <Block id="B_RS_Report" type="NonDevice" category="Utilities" parent="User" visible="True" description="Creates reports and subreports.">
      <Details>This block offers a way to create individual reports and subreports with QuickStep. How to create an own report please see chapter '8 Creating a Report' in the QSTrainingUser manual.</Details>
      <Ports>
        <InPort id="BlockInPort" />
        <OutPort id="BlockOutPort" />
      </Ports>
      <ProvidedFunctions>
        <Function id="Init" name="Init" exectime="TestrunBefore" description="Initialization activities for this block" usable="True">
          <Details>Initialization activities for this block, e.g. member initialization, starting timer, etc.
Call this block function at the beginning of your test execution - typically in the TestrunBefore execution phase.
</Details>
          <Reply id="ReplyMessage" name="ReplyMessage" type="char[SHORTNAMELENGTH]" value="" description="" />
          <Parameter id="ShowPreview" name="ShowPreview" type="bool" value="true" description="Determines if the preview window is shown during test execution. The size and position of the preview window is set with the following parameters." />
          <Parameter id="height" name="Window Height" type="int" value="90" unit="%" min="10" max="100" description="Window Height in % of display resoultion (min. 500 pixels)." />
          <Parameter id="width" name="Window Width" type="int" value="50" unit="%" min="10" max="100" description="Window Width in % of display resoultion (min. 400 pixels)." />
          <Parameter id="top" name="Y-Positioning" type="int" value="0" unit="%" min="0" max="95" description="Defines the position of the top-left corner of the pop-up window. 0 corresponds to top alignment on the monitor, 100 to bottom alignment." />
          <Parameter id="left" name="X-Positioning" type="int" value="0" unit="%" min="0" max="100" description="Defines the position of the top-left corner of the pop-up window. 0 corresponds to left alignment on the monitor, 100 to top alignment." />
          <Parameter id="monitor" name="Monitor" type="int" value="1" description="Monitor on which the preview should be displayed.">
            <enum>
              <item value="1">Primary</item>
              <item value="2">Secondary</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="PrintIdentity" name="PrintIdentity" description="Print identity of this block and/or its associated equipment." usable="False">
          <Details>Print identity of this block and/or its associated equipment.</Details>
        </Function>
        <Function id="Open" name="Open" exectime="TestrunBefore" description="Activities to open connections, channels or other communication interfaces." usable="False">
          <Details>Activities to open connections, channels or other communication interfaces.</Details>
        </Function>
        <Function id="Close" name="Close" exectime="TestrunAfter" description="Closes the report block as soon as the report generation is completed." usable="True">
          <Details>This function is typically used in the TestrunAfter execution phase. Call this block function at the end of your test execution.</Details>
        </Function>
        <Function id="Reset" name="Reset" description="Activities to reset the block and its associated equipment to its default state." usable="False">
          <Details>Activities to reset the block and its associated equipment to its default state.</Details>
        </Function>
        <Function id="CreateReport" name="CreateReport" description="Define general settings for a new report" usable="True">
          <Details>Creates a new virtual report document and defines general settings for the new report. This function is mandatory and must be executed after the Init() block function before adding any report items to the report.</Details>
          <Parameter id="Type" name="Type" type="char[LONGNAMELENGTH]" value="Body1" description="Chose a predefined layout for the master report or enter a path if a custom header is used.">
            <enum>
              <item value="Body1">Body1</item>
              <item value="Body2">Body2</item>
              <item value="Body3">Body3</item>
              <item value="Empty">Empty</item>
            </enum>
          </Parameter>
          <Parameter id="DutName" name="DutName" type="char[LONGNAMELENGTH]" value="" description="Enter the name of the DUT." />
          <Parameter id="ReportName" name="ReportName" type="char[LONGNAMELENGTH]" value="" description="Enter the name of the report. This name is used for the filename." />
          <Parameter id="Title" name="Title" type="char[LONGNAMELENGTH]" value="" description="Enter the main title of the report." />
          <Parameter id="Subtitle" name="Subtitle" type="char[]" value="" description="Enter a subtitle, if necessarry." />
        </Function>
        <Function id="SaveReport" name="SaveReport" description="Saves the virtual report and all containing report items to the specified location. " usable="True">
          <Details>The output format can be DOC, PDF or HTML. Leave the path empty to write in the result path of the testplan.</Details>
          <Reply id="FullReportPath" name="FullReportPath" type="char[]" value="" description="Returns the full report path to the report file;  if PDF+HTML is selected, only the full path to the PDF is returned. The filename is included in the path." />
          <Parameter id="ReportType" name="ReportType" type="char[SHORTNAMELENGTH]" value="PDF" description="Report output type HTML, DOC, PDF and PDF+HTML">
            <enum>
              <item value="HTML">HTML</item>
              <item value="PDF">PDF</item>
              <item value="PDFHTML">PDF + HTML</item>
              <item value="DOC">DOC</item>
            </enum>
          </Parameter>
          <Parameter id="ReportPath" name="ReportPath" type="char[]" value="" description="Specifies the path where the report has to be saved. Leave empty to use the default path (result folder of the current DUT)." />
        </Function>
        <Function id="ShowReportPreview" name="ShowReportPreview" description="Updates the current report preview with the latest generated elements." usable="True">
          <Details>Only the last generated element is previewed, not the complete report.</Details>
          <Parameter id="Wait" name="Wait" type="int" value="1000" min="10" max="100000" description="Sets the waiting time in milliseconds. This is the minimum time a specific preview is visible, Increasing this time slows down the test execution!" />
        </Function>
        <Function id="AddMessage" name="AddMessage" description="Add a new message to the report">
          <Details>This report item will appear as a simple message output.</Details>
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Message_Body1" description="Determine the style of the message output format">
            <enum>
              <item value="QS_Message_Headline1">QS_Message_Headline1</item>
              <item value="QS_Message_Headline2">QS_Message_Headline2</item>
              <item value="QS_Message_Headline3">QS_Message_Headline3</item>
              <item value="QS_Message_Body1">QS_Message_Body1</item>
              <item value="QS_Message_Body2">QS_Message_Body2</item>
              <item value="QS_Message_Body3">QS_Message_Body3</item>
              <item value="QS_Message_Tiny1">QS_Message_Tiny1</item>
              <item value="QS_Message_Tiny2">QS_Message_Tiny2</item>
            </enum>
          </Parameter>
          <Parameter id="ShowTestStep" name="ShowTestStep" type="bool" description="Determine if the number of the current test step is shown in the message (Format: &quot;TestStep x:&quot;)" />
          <Parameter id="Text" name="Text" type="char[]" value="" description="The message output" />
        </Function>
        <Function id="AddMessages" name="AddMessages" description="Add overall 5 messages to the report">
          <Details>This report item will appear as a simple message output. Every message will appear in a new line.</Details>
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Message_Body1" description="Determine the style of the message output format">
            <enum>
              <item value="QS_Message_Headline1">QS_Message_Headline1</item>
              <item value="QS_Message_Headline2">QS_Message_Headline2</item>
              <item value="QS_Message_Headline3">QS_Message_Headline3</item>
              <item value="QS_Message_Body1">QS_Message_Body1</item>
              <item value="QS_Message_Body2">QS_Message_Body2</item>
              <item value="QS_Message_Body3">QS_Message_Body3</item>
              <item value="QS_Message_Tiny1">QS_Message_Tiny1</item>
              <item value="QS_Message_Tiny2">QS_Message_Tiny2</item>
            </enum>
          </Parameter>
          <Parameter id="Text1" name="Message 1" type="char[LONGNAMELENGTH]" value="" description="The first message" />
          <Parameter id="Text2" name="Message 2" type="char[LONGNAMELENGTH]" value="" description="The second message" />
          <Parameter id="Text3" name="Message 3" type="char[LONGNAMELENGTH]" value="" description="The third message" />
          <Parameter id="Text4" name="Message 4" type="char[LONGNAMELENGTH]" value="" description="The fourth message" />
          <Parameter id="Text5" name="Message 5" type="char[]" value="" description="The fifth message" />
        </Function>
        <Function id="AddResult" name="AddResult" description="Add a new result to the report." usable="True">
          <Details>This report item will appear as a simple result view, which contains the name, value and the unit of a result.</Details>
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Message_Body1" description="Style to be used to format the output.">
            <enum>
              <item value="QS_Message_Headline1">QS_Message_Headline1</item>
              <item value="QS_Message_Headline2">QS_Message_Headline2</item>
              <item value="QS_Message_Headline3">QS_Message_Headline3</item>
              <item value="QS_Message_Body1">QS_Message_Body1</item>
              <item value="QS_Message_Body2">QS_Message_Body2</item>
              <item value="QS_Message_Body3">QS_Message_Body3</item>
              <item value="QS_Message_Tiny1">QS_Message_Tiny1</item>
              <item value="QS_Message_Tiny2">QS_Message_Tiny2</item>
            </enum>
          </Parameter>
          <Parameter id="ResultName" name="ResultName" type="char[LONGNAMELENGTH]" value="" description="Name of the result printed in the report." />
          <Parameter id="Unit" name="Unit" type="char[SHORTNAMELENGTH]" value="" description="Unit of the result." />
          <Parameter id="Format" name="Format" type="char[SHORTNAMELENGTH]" value="Decimal" description="Output format of the result.">
            <enum>
              <item value="Decimal">Decimal</item>
              <item value="Hex">Hex</item>
              <item value="String">String</item>
            </enum>
          </Parameter>
          <Parameter id="ResultValue" name="ResultValue" type="char[]" value="" description="Value of the result. Enter value directly or provide a valid reference." />
        </Function>
        <Function id="AddResultMinMax" name="AddResultMinMax" description="Add a result by using a bullet control with min and max boundaries" usable="True">
          <Details>The bar shows by default 3 times the range of Min-Max. If the value is outside this range, it will be extended accordingly. A Pass/Fail evaluation of "Value" is automatically performed against the "Min" and "Max" values.</Details>
          <Parameter id="Name" name="Name" type="char[LONGNAMELENGTH]" value="" description="Name of the result printed in the report." />
          <Parameter id="Unit" name="Unit" type="char[SHORTNAMELENGTH]" value="" description="Unit of the result." />
          <Parameter id="Min" name="Min" type="char[LONGNAMELENGTH]" value="" description="Minimum value for the Pass/Fail evaluation." />
          <Parameter id="Max" name="Max" type="char[LONGNAMELENGTH]" value="" description="Maximum value for the Pass/Fail evaluation." />
          <Parameter id="DecimalPlaces" name="DecimalPlaces" type="int" value="4" min="1" max="8" description="Number of decimal places for the result." />
          <Parameter id="Value" name="Value" type="char[]" value="" description="Value of the result. Enter a value directly or a valid reference." />
        </Function>
        <Function id="AddImage" name="AddImage" description="Add the image of the specified folder">
          <Details>
        This report item will appear as a simple image output.

        Imagefile Path:
        There are three possibilities to set the path:
        1: Absolute path, e.g.: C:\Imagefiles\Imagefile1.bmp
        2: No path (empty). Will automatically search in the current Dut Folder.
        3: Relative path:
        relative to current dut folder: e.g. ".\Imagefile1.png"
        relative to parent directory of the current dut folder "..\Imagefile1.jpg"
        4: File Extension:
        Use a wildcard to filter for special signatures of filename or file types: 
        e.g. ".\Windowshots\?.png"
        or   "C:\Imagefiles\?_Image_?.bmp"
        or   "..\Images\Image_?_*.bmp"

        If Imagefile Name has "*" as last character (e.g.: Tracefile *.png) QuickStep will add Repetition Number, TestStep ID and Loop Number.
      </Details>
          <Parameter id="Width" name="Width [cm]" type="double" value="8" unit="cm" description="Determine the width of the current image in centimeter. The width can not bigger than the document width (16cm)." />
          <Parameter id="Height" name="Height [cm]" type="double" value="7" unit="cm" description="Determine the heigh tof the current image in centimeter. The height is limited to max 25cm." />
          <Parameter id="ImagePath" name="ImagePath" type="char[]" value="" description="Path to image" />
        </Function>
        <Function id="CreateTable" name="CreateTable" description="Create a new table in the report. " usable="True">
          <Details>After initializing the table with a unique table id, use the functions "AddDataRowToTable" or "AddDataColumnToTable" to fill the table with elements.
The width of each column can defined by using the parameter 'ColumnWidth'. Separate the input values with a semicolon and enter the width in relation to the full width of the report document.
The sum of all column widths must be 100. (For example, 3 columns with the relation 50;25;25)
Leave the field empty to divide the count of columns with the width of the report documents width.
      </Details>
          <Parameter id="TableId" name="TableId" type="char[LONGNAMELENGTH]" value="Table1" description="Identifier for this table. This Id must be unique for each table in the report." />
          <Parameter id="ColumnCount" name="ColumnCount" type="int" value="1" min="1" max="100000" description="Number of columns for this table." />
          <Parameter id="RowCount" name="RowCount" type="int" value="1" min="1" max="100000" description="Number of rows for this table." />
          <Parameter id="ColumnWidth" name="ColumnWidth" type="char[]" value="" description="Width of each column in relation to the total table width provided in a semicolon separated list. The sum of all column widths must be 100. For example for 3 columns with individual widths enter: 50;25;25; Leave the field empty to get equally distributed column widths;" />
        </Function>
        <Function id="AddDataRowToTable" name="AddDataRowToTable" description="Adds a single element or an array of data at the specified position of the table. " usable="True">
          <Details>If an array of elements is provided, the elements are inserted in a contiguous row starting at the specified cell.
The parameter 'Row' defines the zero based start position of data. 

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given TableId to ensure unique TableIds over different test-steps. Therefore a table has to be filled with data in the same test-step where the CreateTable() block function was called.</Details>
          <Parameter id="TableId" name="TableId" type="char[LONGNAMELENGTH]" value="Table1" description="Identifier for the table where the data should be inserted." />
          <Parameter id="Column" name="Column" type="int" description="Number of the column to start insertion (Zero based)." />
          <Parameter id="Row" name="Row" type="int" description="Number of the row to start insertion (Zero based)" />
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Table_Cell1" description="Selection of the applicable style for the inserted cells.">
            <enum>
              <item value="QS_Table_Header1">QS_Table_Header1</item>
              <item value="QS_Table_Header2">QS_Table_Header2</item>
              <item value="QS_Table_Header3">QS_Table_Header3</item>
              <item value="QS_Table_Header_Open">QS_Table_Header_Open</item>
              <item value="QS_Table_Cell1">QS_Table_Cell1</item>
              <item value="QS_Table_Cell2">QS_Table_Cell2</item>
              <item value="QS_Table_Cell3">QS_Table_Cell3</item>
              <item value="QS_Table_Cell1_Right">QS_Table_Cell1_Right</item>
              <item value="QS_Table_Cell2_Right">QS_Table_Cell2_Right</item>
              <item value="QS_Table_Cell3_Right">QS_Table_Cell3_Right</item>
              <item value="QS_Table_Cell1_Left">QS_Table_Cell1_Left</item>
              <item value="QS_Table_Cell2_Left">QS_Table_Cell2_Left</item>
              <item value="QS_Table_Cell3_Left">QS_Table_Cell3_Left</item>
              <item value="QS_Table_Cell_Result">QS_Table_Cell_Result</item>
              <item value="QS_Table_Cell_Good">QS_Table_Cell_Good</item>
              <item value="QS_Table_Cell_Bad">QS_Table_Cell_Bad</item>
              <item value="QS_Table_Cell_Open">QS_Table_Cell_Open</item>
            </enum>
          </Parameter>
          <Parameter id="Data" name="Data" type="char[]" value="" description="String based data array which is separated by semicolon." />
        </Function>
        <Function id="AddDataColumnToTable" name="AddDataColumnToTable" description="Adds a single element or an array of data at the specified position of the table." usable="True">
          <Details>If an array of elements is provided, the elements are inserted in a contiguous column starting at the specified cell.
The parameter 'Column' and 'Row' define the zero based start position of data. 

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given TableId to ensure unique TableIds over different test-steps. Therefore a table has to be filled with data in the same test-step where the CreateTable() block function was called.</Details>
          <Parameter id="TableId" name="TableId" type="char[LONGNAMELENGTH]" value="Table1" description="Identifier for the table where the data should be inserted." />
          <Parameter id="Column" name="Column" type="int" description="Number of the column to start insertion (Zero based)." />
          <Parameter id="Row" name="Row" type="int" description="Number of the row to start insertion (Zero based)." />
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Table_Cell1" description="Selection of the applicable style of the inserted cells.">
            <enum>
              <item value="QS_Table_Header1">QS_Table_Header1</item>
              <item value="QS_Table_Header2">QS_Table_Header2</item>
              <item value="QS_Table_Header3">QS_Table_Header3</item>
              <item value="QS_Table_Header_Open">QS_Table_Header_Open</item>
              <item value="QS_Table_Cell1">QS_Table_Cell1</item>
              <item value="QS_Table_Cell2">QS_Table_Cell2</item>
              <item value="QS_Table_Cell3">QS_Table_Cell3</item>
              <item value="QS_Table_Cell1_Right">QS_Table_Cell1_Right</item>
              <item value="QS_Table_Cell2_Right">QS_Table_Cell2_Right</item>
              <item value="QS_Table_Cell3_Right">QS_Table_Cell3_Right</item>
              <item value="QS_Table_Cell1_Left">QS_Table_Cell1_Left</item>
              <item value="QS_Table_Cell2_Left">QS_Table_Cell2_Left</item>
              <item value="QS_Table_Cell3_Left">QS_Table_Cell3_Left</item>
              <item value="QS_Table_Cell_Result">QS_Table_Cell_Result</item>
              <item value="QS_Table_Cell_Good">QS_Table_Cell_Good</item>
              <item value="QS_Table_Cell_Bad">QS_Table_Cell_Bad</item>
              <item value="QS_Table_Cell_Open">QS_Table_Cell_Open</item>
            </enum>
          </Parameter>
          <Parameter id="Data" name="Data" type="char[]" value="" description="String based data array which is separated by semicolon." />
        </Function>
        <Function id="AddSubreport" name="AddSubreport" description="Add a new subreport to the current report" usable="True">
          <Details>Subreports can be interpreted as a kind of template for specific elements in the report. They are customized bundles of report elements, which can be inserted in the report as a complete bundle. If the subreport contains data-fields, these can be filled using the block functions AddResult[s]ToSubreport[Full-Id]().
Subreports must be created and stored before they can be used (you can have a look at the User Training for detailed information how to create a subreport).
Supreports can be created by using the ReportDesigner in the Test Procedure Editor.

Input Parameter: 
SubreportId: A unique ID has to be defined for each subreport. Thus the subreport can be unambiguously identified in the block function AddResultsToSubreport. 
SubreportPath: Path to the Subreport file.
        There are three possibilities to set the path:
        1: Absolute path, e.g.: C:\Subreportfiles\Subreportfile1.rdlx
        2: No path (empty). Will automatically search in the current Dut folder.
        3: Relative path:
        relative to current dut folder: e.g. ".\Subreportfile1.rdlx"
        relative to parent directory of the current dut folder "..\Subreportfile1.rdlx"

        If the filename has "*" as last character (e.g.: Subreportfile1*.rdlx) QuickStep will add Repetition Number, TestStep ID and Loop Number.
      
Out Parameters:
The SubreportId, the TestStepId, the RepetitionNumber and the SweepId can be set as global reference parameters ($G.) to further use the parameters for other block functions.

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given SubreportId to ensure unique SubreportId even if the block function is called subsequentially in different test-steps.</Details>
          <Reply id="SubreportId" name="SubreportId" type="char[]" value="" description="Unique name for the subreport. Using this Id, the subreport can be unambiguously identified in the block function AddResult[s]ToSubreport[FullId]()." />
          <Reply id="TestStepId" name="TestStepId" type="int" description="Current Test-Step Id." />
          <Reply id="RepetitionNumber" name="RepetitionNumber" type="int" description="Current Repetition Number." />
          <Reply id="SweepId" name="SweepId" type="int" description="Current Sweep Id." />
          <Parameter id="SubreportId" name="SubreportId" type="char[LONGNAMELENGTH]" value="" description="Identifier for this subreport. This Id must be unique for each subreport in the report." />
          <Parameter id="SubreportPath" name="SubreportPath" type="char[]" value="" description="Path to the subreport file." />
        </Function>
        <Function id="AddResultToSubreport" name="AddResultToSubreport" description="Add a value or result to the selected subreport." usable="True">
          <Details>The Field names available in a Subreport are determined while the subreport is generated using the ReportDesigner.

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given SubreportId when a subreport is added. This is to ensure unique SubreportIds over different test-steps. 
Also, the SubreportId provided in this block function is extended internally with the current repetition number, test-step number and loop-id. Therefore a Subreport has to be filled with data using this block function in the same test-step where the Subreport was added. 
Use the block function AddResultToSubReportFullId to add data to a specific subreport of a specific test step.</Details>
          <Parameter id="SubreportId" name="SubreportId" type="char[LONGNAMELENGTH]" value="" description="Identifier of the Subreport to which the data should be added." />
          <Parameter id="FieldValue" name="FieldValue" type="char[LONGNAMELENGTH]" value="" description="Name of the field in the Subreport where the data should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value" name="Value" type="char[]" value="" description="Value which should be applied to the selected Field of the subreport." />
        </Function>
        <Function id="AddResultsToSubreport" name="AddResultsToSubreport" description="Adds up to 5 values to the slected Subreport. " usable="True">
          <Details>The field names available in a Subreport are determined while the subreport is generated using the ReportDesigner.

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given SubreportId when a subreport is added. This is to ensure unique SubreportIds over different test-steps. 
Also, the SubreportId provided in this block function is extended internally with the current repetition number, test-step number and loop-id. Therefore a Subreport has to be filled with data using this block function in the same test-step where the Subreport was added.
Use the block function AddResultsToSubReportFullId to add data to a specific subreport of a specific test step.
</Details>
          <Parameter id="SubreportId" name="SubreportId" type="char[LONGNAMELENGTH]" value="" description="Identifier of the Subreport to which the data should be added." />
          <Parameter id="FieldValue1" name="FieldValue1" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value1" name="Value1" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue2" name="FieldValue2" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value2" name="Value2" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue3" name="FieldValue3" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value3" name="Value3" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue4" name="FieldValue4" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value4" name="Value4" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue5" name="FieldValue5" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value5" name="Value5" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
        </Function>
        <Function id="TraceToChart" name="TraceToChart" description="Creates a new chart representing the given trace file. " usable="True">
          <Details>The chart type can be a Cartesian, Polar or Smith chart. The style of the curves can be either line or symbols.

Tracefile Path:
There are three possibilities to set the path:
1: Absolute path, e.g.: C:\Tracefiles\Tracefile1.txt
2: No path (empty). Will automatically search in the Traces Folder of the current Dut.
3: Relative path:
relative to current dut folder: e.g. ".\Tracefile1.txt"
relative to parent directory of the current dut folder "..\Tracefile1.txt"

If Tracefile Name has "*" as last character (e.g.: Tracefile *.txt) QuickStep will add Repetition Number, TestStep ID and Loop Number.
This can be used when mutliple Tracefiles are generated in one Folder and the current one should be drawn.</Details>
          <Parameter id="ChartType" name="ChartType" type="char[SHORTNAMELENGTH]" value="Cartesain" description="Grid type of chart.">
            <enum>
              <item value="Cartesain">Cartesian</item>
              <item value="Polar">Polar</item>
              <item value="Smith">Smith</item>
            </enum>
          </Parameter>
          <Parameter id="ChartStyle" name="ChartStyle" type="char[SHORTNAMELENGTH]" value="Light2" description="Chart background and grid layout.">
            <enum>
              <item value="Dark1">Dark1</item>
              <item value="Dark2">Dark2</item>
              <item value="Light1">Light1</item>
              <item value="Light2">Light2</item>
            </enum>
          </Parameter>
          <Parameter id="LineStyle" name="LineStyle" type="char[SHORTNAMELENGTH]" value="Line" description="Appearance of the curve.">
            <enum>
              <item value="Line">Line</item>
              <item value="Symbol">Symbol</item>
            </enum>
          </Parameter>
          <Parameter id="TraceFile" name="TraceFile" type="char[]" value="" description="Path to the trace file" />
        </Function>
        <Function id="AddLine" name="AddLine" description="Add a horizontal line to the current report" />
        <Function id="TraceToTable" name="TraceToTable" description="Creates a new table listing the content of a QuickStep trace file." usable="True">
          <Details>Create a new table depending on the given trace file. The table will scale the rows and columns automatically.

Tracefile Path:
There are three possibilities to set the path:
1: Absolute path, e.g.: C:\Tracefiles\Tracefile1.txt
2: No path (empty). Will automatically search in the Traces Folder of the current Dut.
3: Relative path:
relative to current dut folder: e.g. ".\Tracefile1.txt"
relative to parent directory of the current dut folder "..\Tracefile1.txt"

If Tracefile Name has "*" as last character (e.g.: Tracefile *.txt) QuickStep will add Repetition Number, TestStep ID and Loop Number.
This can be used when mutliple Tracefiles are generated in one Folder and the current one should be drawn.
      </Details>
          <Parameter id="TableId" name="TableId" type="char[LONGNAMELENGTH]" value="TraceTable1" description="Identifier for this table. This Id must be unique for each table in the report." />
          <Parameter id="TraceFile" name="TraceFile" type="char[]" value="" description="Path to trace file." />
        </Function>
        <Function id="LineFeed" name="LineFeed" description="Add a line feed with a variable height to the report">
          <Details>This report item appears as a withespace with a variable height.</Details>
          <Parameter id="Linecount" name="Linecount" type="int" value="1" min="1" max="100" description="Determine the number of lines to define the height of the line feed" />
        </Function>
        <Function id="NewPage" name="NewPage" description="Creates a new page in the report." usable="True" />
        <Function id="GetReportDirectory" name="GetReportDirectory" description="Returns the report directory" usable="True">
          <Details>Returns the report directory.</Details>
          <Reply id="ReportDirectory" name="ReportDirectory" type="char[]" value="" description="Report directory." />
        </Function>
        <Function id="AddResultToSubreportFullId" name="AddResultToSubreportFullId" description="Adds a value to the selected Subreport. " usable="True">
          <Details>The Field names available in a Subreport are determined while the subreport is generated using the ReportDesigner.

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given SubreportId when a subreport is added. This is to ensure unique SubreportIds over different test-steps. 
This block-function can be used to add data to a specific subreport of a specific test step by explicitly providing the repetition number, test-step number and loop-id which should be used to construct the internally used SubreportId.</Details>
          <Parameter id="SubreportId" name="SubreportId" type="char[LONGNAMELENGTH]" value="" description="Identifier of the Subreport to which the data should be added." />
          <Parameter id="TestStepId" name="TestStepId" type="int" description="TestStepId used to explicitly address a subreport added in a specific test step." />
          <Parameter id="RepetitionNumber" name="RepetitionNumber" type="int" description="RepetitionNumber used to explicitly address a subreport added in a specific test step; select an execution phase from the drop-down menu or directly enter a repetition number as integer.">
            <enum>
              <item value="-5">TestrunBefore</item>
              <item value="-2">TestrunAfter</item>
              <item value="-4">DutLoopBefore</item>
              <item value="-3">DutLoopAfter</item>
            </enum>
          </Parameter>
          <Parameter id="SweepId" name="SweepId" type="int" description="Sweepid used to explicitly address a subreport added in a specific test step." />
          <Parameter id="FieldValue" name="FieldValue" type="char[LONGNAMELENGTH]" value="" description="Name of the field in the Subreport where the data should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value" name="Value" type="char[]" value="" description="Value which should be applied to the selected Field of the subreport." />
        </Function>
        <Function id="AddResultsToSubreportFullId" name="AddResultsToSubreportFullId" description="Adds up to 5 values to the slected Subreport. " usable="True">
          <Details>The field names available in a Subreport are determined while the subreport is generated using the ReportDesigner.

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given SubreportId when a subreport is added. This is to ensure unique SubreportIds over different test-steps. 
This block-function can be used to add data to a specific subreport of a specific test step by explicitly providing the repetition number, test-step number and loop-id which should be used to construct the internally used SubreportId.</Details>
          <Parameter id="SubreportId" name="SubreportId" type="char[LONGNAMELENGTH]" value="" description="Identifier of the Subreport to which the data should be added." />
          <Parameter id="TestStepId" name="TestStepId" type="int" description="TestStepId used to explicitly address a subreport added in a specific test step." />
          <Parameter id="RepetitionNumber" name="RepetitionNumber" type="int" description="RepetitionNumber used to explicitly address a subreport added in a specific test step; select an execution phase from the drop-down menu or directly enter a repetition number as integer.">
            <enum>
              <item value="-5">TestrunBefore</item>
              <item value="-2">TestrunAfter</item>
              <item value="-4">DutLoopBefore</item>
              <item value="-3">DutLoopAfter</item>
            </enum>
          </Parameter>
          <Parameter id="SweepId" name="SweepId" type="int" description="Sweepid used to explicitly address a subreport added in a specific test step." />
          <Parameter id="FieldValue1" name="FieldValue1" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value1" name="Value1" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue2" name="FieldValue2" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value2" name="Value2" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue3" name="FieldValue3" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value3" name="Value3" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue4" name="FieldValue4" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value4" name="Value4" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue5" name="FieldValue5" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value5" name="Value5" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
        </Function>
      </ProvidedFunctions>
      <RequiredFunctions></RequiredFunctions>
      <VersionInformation BlockAPIVersion="04.00" />
    </Block>
    <Block id="B_RS_UtilityBase" type="NonDevice" category="Utilities" parent="User" visible="False" description="Utility Block">
      <Details>Provides some useful helper methods.</Details>
      <Ports>
        <InPort id="BlockInPort" />
        <OutPort id="BlockOutPort" />
      </Ports>
      <ProvidedFunctions>
        <Function id="Delay" name="Delay" description="Create a delay timer">
          <Details>The test execution will continue once the given delay time has elapsed.</Details>
          <Parameter id="Unit" name="Unit" type="char[SHORTNAMELENGTH]" value="Milliseconds" description="Unit of the given delay.">
            <enum>
              <item value="Microseconds">Microseconds</item>
              <item value="Milliseconds">Milliseconds</item>
              <item value="Seconds">Seconds</item>
            </enum>
          </Parameter>
          <Parameter id="Delay" name="Delay" type="double" value="0" description="" />
        </Function>
        <Function id="ShowMessagebox" name="Show Messagebox" description="Display a messagebox." usable="True">
          <Details>Display a messagebox with the given title and the given text. The type of the message box and the icon can be selected from the drop down menu.

The test execution will continue after the message box is acknowledged by the user.</Details>
          <Reply id="Answer" name="Answer" type="char[SHORTNAMELENGTH]" value="" description="" />
          <Parameter id="Title" name="Title" type="char[LONGNAMELENGTH]" value="MessageBox" description="" />
          <Parameter id="Type" name="Type" type="char[SHORTNAMELENGTH]" value="OK" description="Specify the button type of the messagebox.">
            <enum>
              <item value="OK">OK</item>
              <item value="OKCANCEL">OKCANCEL</item>
              <item value="YESNO">YESNO</item>
              <item value="YESNOCANCEL">YESNOCANCEL</item>
              <item value="ABORTRETRYIGNORE">ABORTRETRYIGNORE</item>
              <item value="RETRYCANCEL">RETRYCANCEL</item>
            </enum>
          </Parameter>
          <Parameter id="Icon" name="Icon" type="char[SHORTNAMELENGTH]" value="ICONINFORMATION" description="Specify the icon type.">
            <enum>
              <item value="ICONERROR">ICONERROR</item>
              <item value="ICONQUESTION">ICONQUESTION</item>
              <item value="ICONWARNING">ICONWARNING</item>
              <item value="ICONINFORMATION">ICONINFORMATION</item>
            </enum>
          </Parameter>
          <Parameter id="Text" name="Text Part 1" type="char[]" value="Press Button to continue." description="Part 1 of Text. Will be concatenated." />
          <Parameter id="Text2" name="Text Part 2" type="char[]" value="" description="Part 2 of Text. Will be concatenated." />
          <Parameter id="Text3" name="Text Part 3" type="char[]" value="" description="Part 3 of Text. Will be concatenated." />
        </Function>
        <Function id="VisaControl" name="Visa Control" description="Execute multiple SCPI commands to multiple instruments." usable="True">
          <Details>1) Up to five Visa Connections can be opened. If less should be opened the default value has to be written as Visa Resource Parameter.
2) Execut up to five SCPI-Write/-Read/-Query commands and get all replys from the device if available in the ReplyMessage seperated by a samicolon.
3) Close the visa connection.

This block function can be used as standalone without the typical Init() and Close() functions.
The timeout for all five SCPI-Commands can be set in the Visa Resource, by default it ist always set to 2000 ms.
All SCPI-Commands are successively sent to one Visa Resource until the Visa Resource is closed and a new one is opened.
When Keep VisaConnection Open? is true only the first Visa Resource connection will open. Therefore the SCPI commands will only be sent to this one. All other Resources are not important in this mode.</Details>
          <Reply id="ReplyMessage" name="ReplyMessage" type="char[...]" value="" description="Set Test Project Variable ($G.) to further use the reply of the device." />
          <Parameter id="VisaResource" name="Visa Resource" type="VISA_Resource[LONGNAMELENGTH]" value="TCPIP::127.0.0.1:hislip999" regex="^(GPIB::\b\d{1,2}\b)|(TCPIP::\b(?:\d{1,3}\.){3}\d{1,3}\b)|(TCPIP::\b[a-zA-Z0-9\-\.]{1,15}$\b)|(USB::\b\S+\b::\b\S+\b::\S+)|(\$V.)" errmsg="IP, GPIB or USB Address expected. e.g. TCPIP::192.168.2.123 or GPIB::1 or USB::0x0aad::0x00e2::101413" description="Enter the VISA Resource." />
          <Parameter id="keepOpen" name="Keep Visa Connection Open?" type="bool" value="false" description="Keeps the first Visa Resource open and skip all other Resources" />
          <Parameter id="VisaResource2" name="Visa Resource 2" type="VISA_Resource[LONGNAMELENGTH]" value="TCPIP::127.0.0.1:hislip999" regex="^(GPIB::\b\d{1,2}\b)|(TCPIP::\b(?:\d{1,3}\.){3}\d{1,3}\b)|(TCPIP::\b[a-zA-Z0-9\-\.]{1,15}$\b)|(USB::\b\S+\b::\b\S+\b::\S+)|(\$V.)" errmsg="IP, GPIB or USB Address expected. e.g. TCPIP::192.168.2.123 or GPIB::1 or USB::0x0aad::0x00e2::101413" description="Enter a second VISA Resource. By setting the default value, no further Visa Connection is opened." />
          <Parameter id="VisaResource3" name="Visa Resource 3" type="VISA_Resource[LONGNAMELENGTH]" value="TCPIP::127.0.0.1:hislip999" regex="^(GPIB::\b\d{1,2}\b)|(TCPIP::\b(?:\d{1,3}\.){3}\d{1,3}\b)|(TCPIP::\b[a-zA-Z0-9\-\.]{1,15}$\b)|(USB::\b\S+\b::\b\S+\b::\S+)|(\$V.)" errmsg="IP, GPIB or USB Address expected. e.g. TCPIP::192.168.2.123 or GPIB::1 or USB::0x0aad::0x00e2::101413" description="Enter a third VISA Resource. By setting the default value, no further Visa Connection is opened." />
          <Parameter id="VisaResource4" name="Visa Resource 4" type="VISA_Resource[LONGNAMELENGTH]" value="TCPIP::127.0.0.1:hislip999" regex="^(GPIB::\b\d{1,2}\b)|(TCPIP::\b(?:\d{1,3}\.){3}\d{1,3}\b)|(TCPIP::\b[a-zA-Z0-9\-\.]{1,15}$\b)|(USB::\b\S+\b::\b\S+\b::\S+)|(\$V.)" errmsg="IP, GPIB or USB Address expected. e.g. TCPIP::192.168.2.123 or GPIB::1 or USB::0x0aad::0x00e2::101413" description="Enter a fourth VISA Resource. By setting the default value, no further Visa Connection is opened." />
          <Parameter id="VisaResource5" name="Visa Resource 5" type="VISA_Resource[LONGNAMELENGTH]" value="TCPIP::127.0.0.1:hislip999" regex="^(GPIB::\b\d{1,2}\b)|(TCPIP::\b(?:\d{1,3}\.){3}\d{1,3}\b)|(TCPIP::\b[a-zA-Z0-9\-\.]{1,15}$\b)|(USB::\b\S+\b::\b\S+\b::\S+)|(\$V.)" errmsg="IP, GPIB or USB Address expected. e.g. TCPIP::192.168.2.123 or GPIB::1 or USB::0x0aad::0x00e2::101413" description="Enter a fifth VISA Resource. By setting the default value, no further Visa Connection is opened." />
          <Parameter id="CommandType" name="Command Type" type="char[SHORTNAMELENGTH]" value="Write" description="Set Write, Read, Query.">
            <enum>
              <item value="Write">Write</item>
              <item value="Read">Read</item>
              <item value="Query">Query</item>
            </enum>
          </Parameter>
          <Parameter id="ScpiCmd" name="SCPI Command" type="SCPI_Command[LONGNAMELENGTH]" description="Only used for Write and Query." />
          <Parameter id="CommandType2" name="Command Type 2" type="char[SHORTNAMELENGTH]" value="" description="Set Write, Read, Query or leave empty if no further SCPI-Command is required.">
            <enum>
              <item value="Write">Write</item>
              <item value="Read">Read</item>
              <item value="Query">Query</item>
            </enum>
          </Parameter>
          <Parameter id="ScpiCmd2" name="SCPI Command 2" type="SCPI_Command[LONGNAMELENGTH]" description="Only used for Write and Query. By leaving empty, no further SCPI-Command is sent." />
          <Parameter id="CommandType3" name="Command Type 3" type="char[SHORTNAMELENGTH]" value="" description="Set Write, Read, Query or leave empty if no further SCPI-Command is required.">
            <enum>
              <item value="Write">Write</item>
              <item value="Read">Read</item>
              <item value="Query">Query</item>
            </enum>
          </Parameter>
          <Parameter id="ScpiCmd3" name="SCPI Command 3" type="SCPI_Command[LONGNAMELENGTH]" description="Only used for Write and Query. By leaving empty, no further SCPI-Command is sent." />
          <Parameter id="CommandType4" name="Command Type 4" type="char[SHORTNAMELENGTH]" value="" description="Set Write, Read, Query or leave empty if no further SCPI-Command is required.">
            <enum>
              <item value="Write">Write</item>
              <item value="Read">Read</item>
              <item value="Query">Query</item>
            </enum>
          </Parameter>
          <Parameter id="ScpiCmd4" name="SCPI Command 4" type="SCPI_Command[LONGNAMELENGTH]" description="Only used for Write and Query. By leaving empty, no further SCPI-Command is sent." />
          <Parameter id="CommandType5" name="Command Type 5" type="char[SHORTNAMELENGTH]" value="" description="Set Write, Read, Query or leave empty if no further SCPI-Command is required.">
            <enum>
              <item value="Write">Write</item>
              <item value="Read">Read</item>
              <item value="Query">Query</item>
            </enum>
          </Parameter>
          <Parameter id="ScpiCmd5" name="SCPI Command 5" type="SCPI_Command[LONGNAMELENGTH]" description="Only used for Write and Query. By leaving empty, no further SCPI-Command is sent." />
        </Function>
        <Function id="ShowImage" name="Show Image" description="Display a pop-up window with an image.">
          <Details>Display a pop-up window with the given title, text and image. 

The image is loaded from specific path. The path of the image file is defined relative to *tpl file. (Full path to file)= (Path of *.tpl file) + (Path provided);
e.g. 'ConfigurationFiles\myImage.jpg'

The position and the size of the pop-up window on the display can be set in % relative to the display resolution.

The test continues after the message box has been acknowledged by the user.</Details>
          <Reply id="Reply" name="Reply" type="char[...]" value="" description="" />
          <Parameter id="FileNameImage" name="Filename of the Image" type="char[LONGNAMELENGTH]" value="" description="Name of image-file. Path relative to *tpl file e.g. 'ConfigurationFiles\myImage.jpg'" />
          <Parameter id="Title" name="Title" type="char[LONGNAMELENGTH]" value="" description="Title of the Window." />
          <Parameter id="Message" name="Message" type="char[LONGNAMELENGTH]" value="" description="Information shown in the Window." />
          <Parameter id="Type" name="Type" type="char[SHORTNAMELENGTH]" value="OK" description="Specify the button type of the messagebox.">
            <enum>
              <item value="OK">OK</item>
              <item value="OKCANCEL">OKCANCEL</item>
              <item value="YESNO">YESNO</item>
              <item value="YESNOCANCEL">YESNOCANCEL</item>
              <item value="ABORTRETRYIGNORE">ABORTRETRYIGNORE</item>
              <item value="RETRYCANCEL">RETRYCANCEL</item>
            </enum>
          </Parameter>
          <Parameter id="height" name="Window Height" type="int" value="60" unit="%" description="Height of the Window in % relative to the display resolution." />
          <Parameter id="width" name="Window Width" type="int" value="32" unit="%" description="Width of the Window in % relative to the display resolution." />
          <Parameter id="top" name="Y-Positioning" type="int" value="20" unit="%" description="Define the position of the top-left corner of the pop-up window. 0 corresponds to the top alignment on the monitor, 100 to the bottom alignment." />
          <Parameter id="left" name="X-Positioning" type="int" value="34" unit="%" description="Define the position of the top-left corner of the pop-up window. 0 corresponds to the left alignment on the monitor, 100 to the top alignment." />
          <Parameter id="monitor" name="Monitor" type="char[SHORTNAMELENGTH]" value="Primary" description="Select the monitor where the Window will appear. Choose between primary- or secondary-monitor.">
            <enum>
              <item value="primary">Primary</item>
              <item value="secondary">Secondary</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="GetPathLoss" name="Get Path Loss" description="Calculate the path loss of a given Path (defined in the system configurator) at a given frequency.">
          <Details>The calculated path loss is available as output parameter.
 
Per request, the calculated path loss can be written to a configurable Result Log using a specified name.
Console Logging should be set at Verbose log level. </Details>
          <Reply id="PathLoss" name="Path Loss" type="double" unit="dB" description="Output the calculated path loss; &#xD;&#xA;negative number is loss, positive number is gain" />
          <Parameter id="Path" name="Path" type="RF_Path[LONGNAMELENGTH]" description="The name of the path; It must be mapped to the Path of the System Configurator." />
          <Parameter id="Frequency" name="Frequency" type="double" value="0.0" unit="MHz" description="Frequency of the calculated path loss" />
          <Parameter id="WriteToResultLog" name="Write to Result Log?" type="bool" value="false" description="Create an entry in the Result Log?" />
          <Parameter id="ResultHeader" name="Result Header" type="char[SHORTNAMELENGTH]" value="Result" description="Determine the Header, which is shown in the Result File (if &quot;Write to Result Log?&quot; is set to true)" />
        </Function>
        <Function id="InstrumentShowScreen" name="Instrument Show Screen" description="Connect to an instrument to display its software front panel via Remote-Desktop or LXI " usable="True">
          <Details>Establish a connection to the selected instrument via "Windows Remote Desktop" or the LXI web interface, so that the device can be controlled remotely by mouse-click or screenshots can be taken.

- Remote Desktop: full Windows Desktop is shown
- LXI-Web Interface: only the active Window, e.g. the Analyzer application window is shown.

If the block function "Close Remote Connection" is not set in the testplan, the Window will stay open even after testplan execution is completed.</Details>
          <Parameter id="ConnectionType" name="Connection Type" type="int" value="2" description="Choose between Remote-Desktop Connection (full desktop) and LXI &#xD;&#xA;connection over a web interface (application window only).">
            <enum>
              <item value="1">Remote LXI Connection</item>
              <item value="2">Remote Desktop Connection</item>
            </enum>
          </Parameter>
          <Parameter id="Server" name="Server" type="VISA_Resource[LONGNAMELENGTH]" description="VISA address of instrument to connect to.&#xD;&#xA;Only TCPIP type connections are accepted. Example: TCPIP::127.0.0.1::INSTR" />
          <Parameter id="Username" name="Username" type="char[LONGNAMELENGTH]" value="" description="Set the username for instrument login.&#xD;&#xA;If no username is required, entry is not taken into account." />
          <Parameter id="Password" name="Password" type="char[LONGNAMELENGTH]" value="" description="Set the password for instrument login.&#xD;&#xA;If no password is required, entry is not taken into account." />
          <Parameter id="WindowName" name="Window Name" type="char[LONGNAMELENGTH]" value="Instrument Screen" description="Identifier name for the opened up window.&#xD;&#xA;Used in the &quot;Close Remote Connection&quot; function to determine the correct &#xD;&#xA;window. Also displayed in the window header." />
          <Parameter id="Monitor" name="Monitor" type="int" value="0" description="Select the monitor where the window will be displayed. &#xD;&#xA;Choose between primary- and secondary-monitor.">
            <enum>
              <item value="0">Primary</item>
              <item value="1">Secondary</item>
            </enum>
          </Parameter>
          <Parameter id="WindowHeight" name="Window Height" type="int" value="100" unit="%" min="10" max="200" description="Height of the Window in % relative to the display size (min. 500 pixels)" />
          <Parameter id="WindowWidth" name="Window Width" type="int" value="70" unit="%" min="10" max="200" description="Width of the Window in % relative to the display size (min. 500 pixels)" />
          <Parameter id="YPositioning" name="Y-Positioning" type="int" value="0" unit="%" min="0" max="95" description="Define the position of the top-left corner of the pop-up window. &#xD;&#xA;0% corresponds to the top alignment of the monitor, 100% to the bottom alignment." />
          <Parameter id="XPositioning" name="X-Positioning" type="int" value="0" unit="%" min="0" max="95" description="Define the position of the top-left corner of the pop-up window. &#xD;&#xA;0% corresponds to the left alignment of the monitor, 100% to the right alignment." />
        </Function>
        <Function id="InstrumentCloseScreen" name="Instrument Close Screen" description="Close the soft front panel of an instrument and close the connection" usable="True">
          <Details>This block function closes Remote-Desktop or LXI-web windows opened with " Instrument Show Screen".

Do not call this function if you want the window to stay open even after execution of the testplan.
A specific window identified by WindowName or all open windows can be closed.
</Details>
          <Parameter id="CloseAllWindows" name="Close All Windows" type="bool" value="true" description="If set to true, all opened remote windows are closed.&#xD;&#xA;If set to false, only the window with the provided WindowName is closed." />
          <Parameter id="WindowName" name="Window Name" type="char[LONGNAMELENGTH]" value="Instrument Screen" description="If &quot;Close All Windows&quot; is set to false, a particular Window can be closed by&#xD;&#xA;providing its name here. " />
        </Function>
        <Function id="InstrumentWindowShot" name="Instrument Window Shot" description="Create a screenshot of the soft-frontpanel of an instrument." usable="True">
          <Details>Create a screenshot of a window previously opened with "Instrument Show Screen".

Select the window by providing the WindowName defined in the "Instrument Show Screen" blockfunction for this window.

By default the screenshot will be stored in the Windowshots subdirectory of the current DUT folder.

Alternatively an absolute path can be explicitly specified e.g. C:\Users\Admin\Pictures</Details>
          <Parameter id="WindowName" name="Window Name" type="char[LONGNAMELENGTH]" value="Instrument Screen" description="Name of the window from which the screenshot should be taken.&#xD;&#xA;Window must be opened with &quot;Instrument Show Screen&quot;." />
          <Parameter id="Path" name="Path" type="char[SHORTNAMELENGTH]" value="" description="Absolute path to the folder where the screenshots will be stored. &#xD;&#xA;Leave empty to store it in the Windowshots subfolder of the current DUT Folder." />
        </Function>
        <Function id="AbortPhase" name="Abort Phase" description="Abort the selected execution phase." usable="True">
          <Details>Abort a specific execution phase of the test or the complete test (TESTRUN).</Details>
          <Parameter id="Phase" name="Phase" type="int" value="1" description="Select the phase which will be aborted.">
            <enum>
              <item value="0">DUT</item>
              <item value="1">TESTSTEP</item>
              <item value="3">TESTRUN</item>
              <item value="4">REPETITION</item>
              <item value="5">NONE</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="SetProjectVariable" name="Set Project Variable" description="Set or modify the &quot;Input&quot; Test Project Variable or value with a user defined &quot;Value&quot; " usable="True">
          <Details>A given Input of type int or double can be incremented, decremented by "Value", which is normally used with a Test Project Variable.
This given Input of any type can be a set or appended with "Value".

If Input or Value have type string then the Value can only be appended to the Input.
e.g.
Input = type int , value 4
Value = (type string , value 'a')
Mode = Append
Output Project Variable = $G.Output (type string , value '4a')</Details>
          <Reply id="OutputString" name="Output 1" type="char[]" value="" description="Modified Input" />
          <Reply id="OutputString2" name="Output 2" type="char[]" value="" description="Modified Input" />
          <Reply id="OutputString3" name="Output 3" type="char[]" value="" description="Modified Input" />
          <Parameter id="InputString" name="Input" type="char[]" value="" description="Enter a valid value or reference" />
          <Parameter id="Mode" name="Mode" type="char[SHORTNAMELENGTH]" value="Set" description="Select from drop-down menu">
            <enum>
              <item value="Set">Set</item>
              <item value="Increment">Increment</item>
              <item value="Decrement">Decrement</item>
              <item value="Append">Append</item>
              <item value="AppenWithSemicolon">Append with ";"</item>
            </enum>
          </Parameter>
          <Parameter id="Value" name="Value" type="char[]" value="" description="Value used to modify the Input" />
        </Function>
        <Function id="LogVariable" name="LogVariable" description="Log the current value of a given variable to the LogViewer." usable="True">
          <Details>Input Parameter:
Name: 
Name the variable should have.

Value:
Variable that should be shown in the Result Viewer. A global reference parameter ($G.) can be used to use a varibable from a blockfunction before.

LogLevel:
Log Level that should be used to show the varibale in the log viewer, e.g. VERBOSE.</Details>
          <Parameter id="Name" name="Name" type="char[]" value="Name" description="Enter the name of the variable." />
          <Parameter id="Value" name="Value" type="char[]" value="" description="Enter the value or the reference to the variable which should be logged." />
          <Parameter id="LogLevel" name="LogLevel" type="int" value="3" description="Enter the Log Level.">
            <enum>
              <item value="-1">ALWAYS</item>
              <item value="5">DEBUG_PRINT</item>
              <item value="4">VERBOSE</item>
              <item value="3">NORMAL</item>
              <item value="2">WARN</item>
              <item value="1">ERR</item>
              <item value="0">NONE</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="StringReplace" name="String Replace" description="Replace any occurrences of a string or character in this instance.">
          <Details>Returns a new string in which all occurrences of a specified string in this instance are replaced with another specified string.</Details>
          <Reply id="OutputString" name="Output string" type="char[]" value="" description="A string that is equivalent to the current string except that all instances of oldValue are replaced with newValue. If oldValue is not found in the current string, the method returns the current string unchanged." />
          <Parameter id="InputString" name="Input string" type="char[]" value="" description="The specified string to modify." />
          <Parameter id="OldValue" name="Old value" type="char[]" value="" description="The string to be replaced." />
          <Parameter id="NewValue" name="New value" type="char[]" value="" description="The string to replace all occurrences of oldValue." />
        </Function>
        <Function id="StringTrimStart" name="String Trim Start" description="Remove leading characters in this instance.">
          <Details>Removes all leading occurrences of a set a character specified in an array from the current string.


Leave the 'Trim characters' field empty to remove all whitespace characters including Unicode characters of category SpaceSeparator, LineSeparator, ParagraphSeparator etc.

Members of the UnicodeCategory.SpaceSeparator category:
SPACE (U+0020), NO-BREAK SPACE (U+00A0), OGHAM SPACE MARK (U+1680), EN QUAD (U+2000), EM QUAD (U+2001), EN SPACE (U+2002), EM SPACE (U+2003), THREE-PER-EM SPACE (U+2004), FOUR-PER-EM SPACE (U+2005), SIX-PER-EM SPACE (U+2006), FIGURE SPACE (U+2007), PUNCTUATION SPACE (U+2008), THIN SPACE (U+2009), HAIR SPACE (U+200A), NARROW NO-BREAK SPACE (U+202F), MEDIUM MATHEMATICAL SPACE (U+205F), and IDEOGRAPHIC SPACE (U+3000)

Members of the UnicodeCategory.LineSeparator category:
LINE SEPARATOR character (U+2028)

Members of the UnicodeCategory.ParagraphSeparator category:
PARAGRAPH SEPARATOR character (U+2029).

Additional characters:
CHARACTER TABULATION (U+0009), LINE FEED (U+000A), LINE TABULATION (U+000B), FORM FEED (U+000C), CARRIAGE RETURN (U+000D), and NEXT LINE (U+0085).</Details>
          <Reply id="OutputString" name="Output string" type="char[]" value="" description="The string that remains after all occurrences of characters in the trimChars parameter are removed from the start of the current string." />
          <Parameter id="InputString" name="Input string" type="char[]" value="" description="The specified string to modify." />
          <Parameter id="TrimChars" name="Trim characters" type="char[]" value="" description="The characters to remove. Or leave this field empty to remove whitespace characters." />
        </Function>
        <Function id="StringTrimEnd" name="String Trim End" description="Remove trailing characters in this instance.">
          <Details>Removes all trailing occurrences of a set a character specified in an array from the current System.String object. 
      

Leave the 'Trim characters' field empty to remove all whitespace characters including Unicode characters of category SpaceSeparator, LineSeparator, ParagraphSeparator etc.

Members of the UnicodeCategory.SpaceSeparator category:
SPACE (U+0020), NO-BREAK SPACE (U+00A0), OGHAM SPACE MARK (U+1680), EN QUAD (U+2000), EM QUAD (U+2001), EN SPACE (U+2002), EM SPACE (U+2003), THREE-PER-EM SPACE (U+2004), FOUR-PER-EM SPACE (U+2005), SIX-PER-EM SPACE (U+2006), FIGURE SPACE (U+2007), PUNCTUATION SPACE (U+2008), THIN SPACE (U+2009), HAIR SPACE (U+200A), NARROW NO-BREAK SPACE (U+202F), MEDIUM MATHEMATICAL SPACE (U+205F), and IDEOGRAPHIC SPACE (U+3000)

Members of the UnicodeCategory.LineSeparator category:
LINE SEPARATOR character (U+2028)

Members of the UnicodeCategory.ParagraphSeparator category:
PARAGRAPH SEPARATOR character (U+2029).

Additional characters:
CHARACTER TABULATION (U+0009), LINE FEED (U+000A), LINE TABULATION (U+000B), FORM FEED (U+000C), CARRIAGE RETURN (U+000D), and NEXT LINE (U+0085).</Details>
          <Reply id="OutputString" name="Output string" type="char[]" value="" description="The string that remains after all occurrences of characters in the trimChars parameter are removed from the end of the current string." />
          <Parameter id="InputString" name="Input string" type="char[]" value="" description="The specified string to modify." />
          <Parameter id="TrimChars" name="Trim characters" type="char[]" value="" description="The characters to remove. Or leave this field empty to remove whitespace characters." />
        </Function>
        <Function id="TimerCreate" name="Timer Create" description="Creates new timer and returns an automatically generated ID." usable="True">
          <Details>The Return value "'Timer ID" is important for all other Timer functions.
To start and end the timer use the Timer Start and Timer End blockfunctions. Delete it by using the Timer Delete blockfunctions. Read out the Value with the Timer Current Value function, without setting the Timer back.

Input Parameter:
Timer ID: 
Name of the used timer. Make sure that the Timer ID matches with all called Timer functions.</Details>
          <Reply id="TimerID" name="Timer ID" type="int" description="automatically generated Timer ID." />
        </Function>
        <Function id="TimerStart" name="Timer Start" description="Starts a selected Timer." usable="True">
          <Details>This Function restarts a Timer and set its value to zero, if the Timer is running already. Otherwise it starts a created Timer.
Input Parameter:
Timer ID:
To execute Timer Start select an existing Timer through a valid TimerID.
Make sure that the Timer ID matches with a "Timer Create" generated ID .</Details>
          <Parameter id="TimerID" name="Timer ID" type="int" value="0" description="Timer ID of start function must match ID of timer stop function." />
        </Function>
        <Function id="TimerStop" name="Timer Stop" usable="True" description="Terminates the timer and returns the elapsed time.">
          <Details>Terminates the timer and returns the elapsed time.
The elapsed time is either available trough the TestStepsTimings.log file in the Results Viewer or as output parameter 'elapsed Time'.

Input Parameter:
Timer ID:
To execute Timer Stop select an existing Timer through a valid TimerID.
Make sure that the Timer ID matches with a "Timer Create" generated ID and that "Timer Start" was already called with this one.

Output Parameter:
elapsed Time: 
The parameter returnes the elapsed time. 
A global reference parameter ($G.) can be used to further use the value in an other blockfunction.</Details>
          <Reply id="elapTime" name="elapsed Time" type="double" description="Returns the elapsed time." />
          <Parameter id="TimerID" name="Timer ID" type="int" value="0" description="Timer ID of start function must match ID of timer stop function." />
        </Function>
        <Function id="TimerDelete" name="Timer Delete" description="Deletes an existing Timer." usable="True">
          <Details>Use the Timer ID to delete an existing Timer.

Input Parameter:
Timer ID: 
Make sure that the Timer ID matches with a "Timer Create" generated ID.</Details>
          <Parameter id="TimerID" name="Timer ID" type="int" value="0" description="Timer ID to delete existing Timer." />
        </Function>
        <Function id="LogResult" name="Log Result" description="Log the current value of a given variable as a result to the TestStepResults.log in the Result Viewer." usable="True">
          <Details>Input Parameter:
Name: 
Name the variable should have in the TestStepResults.log. 

Unit:
Unit the variable should have in the TestStepResults.log.

Value:
Variable that should be shown in the TestStepResults.log. A global reference parameter ($G.) can be used to use a varibable from a blockfunction before.</Details>
          <Parameter id="Name" name="Name" type="char[]" value="" description="Enter the name of the variable." />
          <Parameter id="Unit" name="Unit" type="char[]" value="" description="Enter the Unit, e.g. GHz." />
          <Parameter id="Value" name="Value" type="char[]" value="" description="Enter the value or the reference to the variable which should be logged." />
        </Function>
        <Function id="TraceToArray" name="Trace to Array" description="This block function reads a column from a trace file and converts it into an array of double values." usable="True">
          <Details>This block function reads a specific column from trace file and convert into array and returns this array  plus additonal information as output.

IN-Parameters:
Path: 
- Path to the trace file to load
- The "*" can be used in a  path e.g. "Path\Filename*.txt" to refere to files from the current test step. "*" is replaced by "RepNo_StepNo_SweepId".
- If just a filename is given, the current DUT result folder is used as search path; 
- relative paths (.\ and ..\ are also supported)
Column:
- The column in the trace file which should be transferred into the array; first column is "0"
- Column 0 is typcially the frequency column of a trace file
- Column 1,2,3..are typically the S Parameters column of a trace file
Scaling Factor:
- Scaling factor applied to each element of the array; e.g. use 0.001 if the values in the array should be in kHz; the trace file itself does not contain any units!
CorrectionPath:
Additionally, Correction Path is used to provide correction to raw measured data. This correction path is different for Calibration and Measurement.

OUT-Parameters:
Array:
- array of doubles containing the (corrected) data from the trace
Header:
- Header of the column read from the trace file
Unit:
- Unit of the column read from the trace file
Size:
- number of elements in the array

</Details>
          <Reply id="array" name="Array" type="double[]" description="Array of doubles read from trace file" />
          <Reply id="HeaderName" name="Header Name" type="char[SHORTNAMELENGTH]" value="" description="Header of the column read from the trace file" />
          <Reply id="Unit" name="Unit" type="char[SHORTNAMELENGTH]" value="" description="Unit of the column read from the trace file" />
          <Reply id="Size" name="No of Elements" type="int" description="Number of elements in the array" />
          <Reply id="TraceComment" name="Trace Comment" type="char[LONGNAMELENGTH]" value="" description="First Comment Line of Trace File" />
          <Reply id="MinValue" name="Min. Array Value" type="double" description="Minimum Value of &quot;Array&quot;" />
          <Reply id="MaxValue" name="Max. Array Value" type="double" description="Maximum Value of &quot;Array&quot;" />
          <Parameter id="path" name="Path" type="char[LONGNAMELENGTH]" value="ENTER_Filename*.txt" description="Path to the tracefile. Use &quot;Path\Filename*.txt&quot; for current RepetitionNumber, TestStepId, SweepID" />
          <Parameter id="colum" name="Column" type="int" value="1" min="0" description="Column of the trace file to be read; first column is &quot;0&quot;;" />
          <Parameter id="ScalingFactor" name="Scaling Factor" type="double" value="1.0" description="Scaling factor applied to each element of the array; e.g. 0.001 if values should be in kHz" />
          <Parameter id="CorrectionPath" name="Correction Path" type="RF_Path[LONGNAMELENGTH]" value="0" description="Optional RF-path for loss correction or directly a correction value" />
        </Function>
        <Function id="TraceCombine" name="Trace Combine" usable="True" description="Combines two traces into one trace including interpolation of values. The combined trace is stored in current DUT result folder.">
          <Details>This block function combines two traces with 2 columns each into one trace. The first column is assumed to be a frequency value. The second column is assumed to be a value belonging to this frequency. 
Additionally a system configuaration path can be provided to correct the combined trace by this path loss. If Path-2 is kept empty, only this path correction is applied to trace 1.

The first trace is considered as a master trace. While combining the two traces, each frequency point of trace 1 is searched in trace 2 and linear interpolation is applied if required to find match the frequency points of both traces. If a frequency point of trace 1 is outside of the frequency range covered by trace 2, the closest frequency point is used (the highest or the lowest).

It is assumed that the traces are sorted in ascending frequency order.

IN-Parameters ::

(1) Path 1: 
- Path to the first trace file to be combined
- The "*" can be used in a  path e.g. "Path\Filename*.txt" to refere to files from the current test step. "*" is replaced by "RepNo_StepNo_SweepId".
- If no path or just a filename is given, the current DUT result folder is used as search path; 
- relative paths (.\ and ..\ are also supported)

(2) Path 2: 
- Path to the second trace file to be combined
- The "*" can be used in a  path e.g. "Path\Filename*.txt" to refere to files from the current test step. "*" is replaced by "RepNo_StepNo_SweepId".
- If no path or just a filename is given, the current DUT result folder is used as search path; 
- relative paths (.\ and ..\ are also supported)

(3) File Name:
- Name of the resulting combined trace file. The RepetitionId, TestStepId and SweepId are appended at the end of File name. 

(4) Comment Line:
- Content of the comment line in the trace; the comment line starts with a "#" in the file; the "#" will be added automatically

(5) Correction Path:
- Correction Path is used to provide correction to raw measured data. This correction path is different for Calibration and Measurement.

OUT-Parameters:
Trace File Successfully Combined?:
- bool value indicates if the given two traces are combined into one trace successfully  
</Details>
          <Reply id="TraceFileCombined" name="Traces Successfully Combined?" type="bool" description="It indicates wheather combining of two traces is successful or not" />
          <Reply id="TraceFilePath" name="New Trace File Path" type="char[]" value="" description="Returns the newly created trace file path " />
          <Parameter id="Path1" name="Path 1" type="char[LONGNAMELENGTH]" value="ENTER_Filename of first Trace" description="Path to the first tracefile. Use &quot;Path\Filename*.txt&quot; for current RepetitionNumber, TeststepId and SweepId" />
          <Parameter id="scalingFactor1" name="Scaling Factor for Trace 1" type="double" value="1" description="Scaling applied to the gain values of trace 1" />
          <Parameter id="Path2" name="Path2" type="char[LONGNAMELENGTH]" value="ENTER_Filename of second Trace" description="Path to the first tracefile. Use &quot;Path\Filename*.txt&quot; for current RepetitionNumber, TeststepId and SweepId" />
          <Parameter id="scalingFactor2" name="Scaling Factor for Trace 2" type="double" value="1" description="Scaling applied to the gain values of trace 2" />
          <Parameter id="FileName" name="File Name" type="char[LONGNAMELENGTH]" value="MyFile" description="Enter the name of the resulting combined Trace" />
          <Parameter id="appendIerationId" name="Append Iteration Id" type="bool" value="true" description="Append repno/teststep/loopno to filenamen?" />
          <Parameter id="subfolderName" name="Subfolder Name" type="char[LONGNAMELENGTH]" value="" description="Leave empty to store the trace in the default TRACES folder" />
          <Parameter id="CommentLine" name="Comment Line" type="char[LONGNAMELENGTH]" value="Comment" description="Enter the Comment Line of the resulting combined Trace" />
          <Parameter id="CorrectionPath" name="Correction Path" type="RF_Path[LONGNAMELENGTH]" value="0" description="Optional RF-path for loss correction or directly a correction value" />
        </Function>
        <Function id="TraceCreate" name="Trace Create" description="This block function creates and saves a QuickStep trace file (*.txt). The created trace is stored in current DUT result folder." usable="True">
          <Details>
IN-Parameters
File name:
- Name of the trace file to be created. The RepetitionId, TestStepId and SweepId are appended at the end of File name. 
Comment Line: 
- Content of the comment line in the trace; the comment line starts with a "#" in the file; the "#" will be added automatically
First Column Array:
- Array used for the first column of trace
Fill first Column automatically:
-Fills first column automatically with 1,2,3,4,... (Value of First Column Array will be ingnored)
First Array Multiplier:
- Multiplier used for the values in "First Column Array"; E.g. 1000 for an array containing values in kHz; the trace file itself does not contain any units!
First Array Header:
- Header used for the first column
First Array Unit:
- Unit used for the first column
First Array No of Digits:
- Number of digits used for the first column; this is only taken into account in the QuickStep result viewer; the trace file itselfs contains all available digits
Second Column Array:
- Array used for the second column of trace
Second Array Multiplier:
- Multiplier used for the values in "Second Column Array"; E.g. 1000 for an array containing values in  kHz; the trace file itself does not contain any units!
Second Array Header:
- Header used for the second column
Second Array Unit:
- Unit used for the second column
Second Array No of Digits:
- Number of digits used for the second column; this is only taken into account in the QuickStep result viewer; the trace file itselfs contains all available digits

OUT-Parameters:
Trace File Created?:
- bool value indicates if a trace file was created successfully        </Details>
          <Reply id="TraceFileCreated" name="Trace File Created?" type="bool" description="Trace file created successfully?" />
          <Reply id="TraceFilePath" name="New Trace File Path" type="char[]" value="" description="Returns the newly created trace file path" />
          <Parameter id="fileName" name="File Name" type="char[LONGNAMELENGTH]" value="MyFile" description="Name of trace file to be generated" />
          <Parameter id="subfolderName" name="opt. Subfolder Name" type="char[LONGNAMELENGTH]" value="" description="Optional. Leave empty to save in default folder -Traces-" />
          <Parameter id="appenIterationId" name="Append Iteration Id" type="bool" value="true" description="Append RepetitionNo/TestStepId/LoopId to filename? Default is TRUE" />
          <Parameter id="CommentLine" name="Comment Line" type="char[LONGNAMELENGTH]" value="Comment" description="Enter a comment line" />
          <Parameter id="FirstArray" name="First Column Array" type="double[]" description="" />
          <Parameter id="autoFill" name="Fill first Column automatically" type="bool" value="false" description="Fills first column automatically with 1,2,3,4,... (First Column Array will be ingnored)" />
          <Parameter id="FirstArrayMultiplier" name="First Array Multiplier" type="double" value="1" description="Multiplier applied to first column e.g. 1000 for KHz" />
          <Parameter id="FirstArrayHeader" name="First Array Header" type="char[SHORTNAMELENGTH]" value="NoHeader1" description="" />
          <Parameter id="FirstArrayUnit" name="First Array Unit" type="char[SHORTNAMELENGTH]" value="NoUnit1" description="" />
          <Parameter id="FirstArrayNoOfDigits" name="First Array No Of Digits" type="int" value="3" min="0" description="" />
          <Parameter id="SecondArray" name="Second Column Array" type="double[]" description="" />
          <Parameter id="SecondArrayMultiplier" name="Second Array Multiplier" type="double" value="1" description="Multiplier applied to second column " />
          <Parameter id="SecondArrayHeader" name="Second Array Header" type="char[SHORTNAMELENGTH]" value="NoHeader2" description="" />
          <Parameter id="SecondArrayUnit" name="Second Array Unit" type="char[SHORTNAMELENGTH]" value="NoUnit2" description="" />
          <Parameter id="SecondArrayNoOfDigits" name="Second Array No Of Digits" type="int" value="3" min="0" description="" />
        </Function>
        <Function id="StringConcatenate" name="String Concatenate" description="Concatenate Strings to one string output variable." usable="True">
          <Details>Input Parameters:
String 1 - 10:
Strings that should be concatenated. Can be left empty to not use it.

Output Parameter:
Concatenated String: 
A global reference parameter ($G.) can be set to further use the array in other functions. The strings are not separated from each other. This has to be done by setting a whitespace behind the text in the prefixed string.
</Details>
          <Reply id="ConcatenatedString" name="Concatenated String" type="char[]" value="" description="String concatenated from the 10 input strings." />
          <Parameter id="String1" name="String1" type="char[LONGNAMELENGTH]" value="" description="String to concatenate; leave empty to not use it." />
          <Parameter id="String2" name="String2" type="char[LONGNAMELENGTH]" value="" description="String to concatenate; leave empty to not use it." />
          <Parameter id="String3" name="String3" type="char[LONGNAMELENGTH]" value="" description="String to concatenate; leave empty to not use it." />
          <Parameter id="String4" name="String4" type="char[LONGNAMELENGTH]" value="" description="String to concatenate; leave empty to not use it." />
          <Parameter id="String5" name="String5" type="char[LONGNAMELENGTH]" value="" description="String to concatenate; leave empty to not use it." />
          <Parameter id="String6" name="String6" type="char[LONGNAMELENGTH]" value="" description="String to concatenate; leave empty to not use it." />
          <Parameter id="String7" name="String7" type="char[LONGNAMELENGTH]" value="" description="String to concatenate; leave empty to not use it." />
          <Parameter id="String8" name="String8" type="char[LONGNAMELENGTH]" value="" description="String to concatenate; leave empty to not use it." />
          <Parameter id="String9" name="String9" type="char[LONGNAMELENGTH]" value="" description="String to concatenate; leave empty to not use it." />
          <Parameter id="String10" name="String10" type="char[LONGNAMELENGTH]" value="" description="String to concatenate; leave empty to not use it." />
        </Function>
        <Function id="TraceGetInterpolatedValue" name="Trace Get Interpolated Value" description="Get an interpolated value from a 2 column trace." usable="True">
          <Details>Two columns are read from a trace file and converted into arrays, typically a frequency and a gain array. The function will do a linear interpolation over the datapoints of this two arrays. It will be able to return the interpolated data value at every frequency in the frequencyrange of the column the user enters.

Input Parameter:
Path:
There are three possibilitys to set the path:
1: Absolute path, e.g. C:\Users\Public\Documents\Rohde-Schwarz\QuickStep\Projects
2: No path (empty). Stores the file in the current DUT result folder
3: Relative path: 
relative to the DUT result folder: e.g. ".\Results" 
relative to one folder above the DUT result folder: e.g. "..\"
The textfile name also needs to be entered at the end of the path. 
If the name has "*" as last character (e.g. Filename*.txt) QuickStep will add Repetition Number, TestStep ID and Loop Number.
This can be used when mutliple files are generated in one folder and the current one should be drawn.

Requested Frequency:
Frequency for which the interpolated data is requested.

Fequency Unit:
Unit of the requested frequency.

Output Parameters:
Frequency Found:
Frequency Found is set to true if the frequency point is found in the array and the belonging data is returned. It is set to false if the data is interpolated at the entered frequency point.

Valid Data:
Is set to false if the read data from the arrays is incorrect, e.g. if the two columns do not have the same size. Is set to true if the correct data is read.

Interpolated Value: 
The interpolated data value at the requested frequency is returned. A global reference parameter ($G.) can be used to further use the varibable in an other blockfunction.



</Details>
          <Reply id="FrequencyFound" name="Frequency Found" type="bool" description="Frequency point found or interpolated?" />
          <Reply id="ValidData" name="Valid Data" type="bool" description="Valid datapoint found?" />
          <Reply id="InterpolatedValue" name="Interpolated Value" type="double" description="Found resp. interpolated value" />
          <Parameter id="Path" name="Path" type="char[LONGNAMELENGTH]" value="./Filename*.txt" description="Relative paths to current DUT folder are also supported." />
          <Parameter id="RequestedPoint" name="Requested Frequency" type="double" value="0" description="Frequency for which the gain is requeste." />
          <Parameter id="FrequencyUnit" name="Frequency Unit" type="int" value="1000000" description="Unit for Frequency.">
            <enum>
              <item value="1000">kHz</item>
              <item value="1000000">MHz</item>
              <item value="1000000000">GHz</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="CSVRead" name="CSV Read" description="This function reads a column of a .csv file. To eliminate header lines in the .csv file, a row can be entered from which on the column is read. The column is returned as an array." usable="True">
          <Details>Input Parameter:
Path:
Path where the .csv file from which the column should be read is located. 
There are three possibilitys to set the path:
1: Absolute path, e.g. C:\Users\Public\Documents\Rohde-Schwarz\QuickStep\Projects
2: No path (empty). Stores the file in the current DUT result folder
3: Relative path: 
relative to the DUT result folder: e.g. ".\Results" 
relative to one folder above the DUT result folder: e.g. "..\"
The "*" can be used in a  path e.g. "Path\Filename*.txt" to refere to files from the current test step. "*" is replaced by "RepNo_StepNo_SweepId".

Row: 
The entered number of the row defines from which row on the column is read.

Column:
The entered number for the columns defines which column of the .csv file should be read.

Delimiter:
This parameter decides which delimiter should be used to separate the different entries in the returned array.

Output Parameter:
Array:
The column is returned as an array. A global reference parameter ($G.) can be set to further use the array in other functions.</Details>
          <Reply id="array" name="Array" type="double[]" description="Array that ist returned containing the read column. A global reference parameter can be set ($G.) to further use the array in other functions." />
          <Parameter id="path" name="Path" type="char[LONGNAMELENGTH]" value="ENTER_Filename.csv" description="Relative or absolute path where the .csv file from which the column should be read is located. " />
          <Parameter id="row" name="Row" type="int" value="1" min="1" description="Row from which on the column should be read. Header lines can be eliminated." />
          <Parameter id="column" name="Column " type="int" value="1" min="1" description="Column which should be read." />
          <Parameter id="delimiter" name="Delimiter" type="int" value="0" description="Delimiter that should be used to separate the entries of the column.">
            <enum>
              <item value="0">Comma</item>
              <item value="1">Semicolon</item>
              <item value="2">Tabulator</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="SendLogConsole" name="SendLogConsole" description="Send a message to the Log Viewer in the Test Execusion." usable="True">
          <Details>Input Parameters:
LogLevel:
Log Level that should be used to show the message in the log viewer, e.g. VERBOSE.

LogColor:
Color that is used to show the message in the log viewer.

LogText1:
First Text that is sent to the Log Viewer.

LogText2:
Second text that is sent to the Log Viewer. LogText1 and LogText2 are not separated. This has to be done by setting a whitespace behind the text in LogText1.</Details>
          <Parameter id="LogLevel" name="LogLevel" type="int" value="3" description="Log Level that should be used to show the message in the log viewer.">
            <enum>
              <item value="-2">SYSTEM</item>
              <item value="-1">ALLWAYS</item>
              <item value="0">NONE</item>
              <item value="1">ERR</item>
              <item value="2">WARN</item>
              <item value="3">NORMAL</item>
              <item value="4">VERBOSE</item>
              <item value="5">DEBUG_PRINT</item>
            </enum>
          </Parameter>
          <Parameter id="LogColor" name="LogColor" type="int" value="0" description="Color that is used to show the message in the log viewer.">
            <enum>
              <item value="-1">NOCOLOR</item>
              <item value="0">Green</item>
              <item value="1">BLue</item>
              <item value="2">Purple</item>
              <item value="3">Orange</item>
              <item value="4">Brown</item>
              <item value="5">Grey</item>
            </enum>
          </Parameter>
          <Parameter id="LogText1" name="LogText1" type="char[LONGNAMELENGTH]" value="" description="Concatenated with LogText2." />
          <Parameter id="LogText2" name="LogText2" type="char[LONGNAMELENGTH]" value="" description="Concatenated with LogText1" />
        </Function>
        <Function id="MessageBoxReply" name="Show Messagebox (with reply)" usable="True" description="Display a messagebox and a double value can be entered.">
          <Details>Display a messagebox with the given title and the given text.  A double value can be entered and is returned as Reply.

The test execution will continue after the message box is acknowledged by the user.</Details>
          <Reply id="Reply" name="Reply" type="double" description="Entered value." />
          <Parameter id="Title" name="Title" type="char[SHORTNAMELENGTH]" value="Enter Value" description="Title of the window." />
          <Parameter id="Text1" name="Text Line 1" type="char[LONGNAMELENGTH]" value="Please enter a double value." description="Text which is shown in the first line." />
          <Parameter id="Text2" name="Text Line 2" type="char[LONGNAMELENGTH]" value="Please note the Unit" description="Text which is shown in the second line." />
          <Parameter id="DefaultValue" name="Default Value" type="double" value="0" description="Enter Default Value" />
          <Parameter id="Unit" name="Unit" type="char[SHORTNAMELENGTH]" value="Unit" description="Unit of the parameter." />
        </Function>
        <Function id="TraceConcatenate" name="Trace Concatenate" description="Concatenates two trace files and provides a new output file with multiple columns. The concatenated trace is stored in current DUT result folder." usable="True">
          <Details>Trace Concatenate block function concatenates two trace files only if they have the same number of elements in it. Trace File 1 should be of the same number of columns as that of Trace File 2. The number of columns in each file can vary bt the length of the columns in both the trace file should be same, else the trace file concatenation will be aborted.

### IN-Parameters ###

(1) Trace File 1: 
- Path to the first trace file to be combined
- The "*" can be used in a  path e.g. "Path\Filename*.txt" to refere to files from the current test step. "*" is replaced by "RepNo_StepNo_SweepId".
- If no path or just a filename is given, the current DUT result folder is used as search path; 
- relative paths (.\ and ..\ are also supported)

(2) Trace File 1 Column:
- Column of the trace file 1 to be read; first column is "0"; 
- Enter the required number of columns to be concatenated in the following order 1;2;3;4;5;6
- Ordering of number of columns can be varied accordingly. For eg. 3;0;5

(3) Trace File 2: 
- Path to the second trace file to be combined
- The "*" can be used in a  path e.g. "Path\Filename*.txt" to refere to files from the current test step. "*" is replaced by "RepNo_StepNo_SweepId".
- If no path or just a filename is given, the current DUT result folder is used as search path; 
- relative paths (.\ and ..\ are also supported)

(4) Trace File 2 Column:
- Column of the trace file 2 to be read; first column is "0"; 
- Enter the required number of columns to be concatenated in the following order 1;2;3;4;5;6
- Ordering of number of columns can be varied accordingly. For eg. 3;0;5

(5) Resulting File Name:
- Name of the resulting combined trace file.

(6) Append Iteration ID
- If set to true, then the RepetitionId, TestStepId and SweepId are appended at the end of File name. 

(7) SubFolder Name
- Creates a new folder under traces folder.

(8) Comment Line:
- Content of the comment line in the trace; the comment line starts with a "#" in the file; the "#" will be added automatically

### Out-Parameters ###

(1) Trace File Created?:
- Returns true if the trace file is created else false. Use $G referencing here.

(2) No. Of Columns In New Trace:
- Returns the number of columns in the newly created trace file. Use $G referencing here.</Details>
          <Reply id="TraceFileCreated" name="Trace File Created?" type="bool" description="Returns true if the trace file is created else false. Use $G referencing here." />
          <Reply id="NumberOfColumns" name="No. Of Columns In New Trace" type="int" description="Returns the number of columns in the newly created trace file. Use $G referencing here." />
          <Reply id="TraceFilePath" name="New Trace File Path" type="char[]" value="" description="Returns the newly created trace file path" />
          <Parameter id="TraceFileOne" name="Trace File 1" type="char[LONGNAMELENGTH]" value="" description="Enter the trace file 1 path. Refer detailed description for using different ways of using paths." />
          <Parameter id="TraceFileOneColumn" name="Trace File 1 Column" type="int[]" description="Column of the trace file to be read; first column is &quot;0&quot;; Enter the required number of columns to be concatenated in the following order 1;2;3;4;5;6" />
          <Parameter id="TraceFileTwo" name="Trace File 2" type="char[LONGNAMELENGTH]" value="" description="Enter the trace file 2 path. Refer detailed description for using different ways of using paths." />
          <Parameter id="TraceFileTwoColumn" name="Trace File 2 Column" type="int[]" description="Column of the trace file to be read; first column is &quot;0&quot;; Enter the required number of columns to be concatenated in the following order 1;2;3;4;5;6" />
          <Parameter id="NewFileName" name="Resulting File Name" type="char[SHORTNAMELENGTH]" value="" description="Enter the new resulting trace file name" />
          <Parameter id="appendIterationId" name="Append Iteration ID" type="bool" value="true" description="Appends the iteration ID to the trace file name">
            <enum>
              <item value="true">True</item>
              <item value="false">False</item>
            </enum>
          </Parameter>
          <Parameter id="subfolderName" name="SubFolder Name" type="char[SHORTNAMELENGTH]" value="" description="Enter the subfolder name. If not entered, a subfolder is not created." />
          <Parameter id="CommentLine" name="Comment Line" type="char[]" value="" description="Enter the comment line for the trace file" />
        </Function>
        <Function id="TraceReplaceElement" name="Trace Replace Element" usable="True" description="This Block function can replace a single value of a trace file.">
          <Details>Trace File:
There are two possibilitys to set the path:
1: Absolute path, e.g. C:\Users\Public\Documents\Rohde-Schwarz\QuickStep\Projects\example.txt
2: Relative path: 
relative to the DUT result folder: e.g. ".\Results" 
relative to one folder above the DUT result folder: e.g. "..\"
The textfile name also needs to be entered at the end of the path. 
If the name has "*" as last character (e.g. Filename*.txt) QuickStep will add Repetition Number, TestStep ID and Loop Number.

Example:

TraceFile
1; 7
5; 3
2; 8

Replace Index "5" with New Value "11" =&gt; Result
1; 7
5; 11
2; 8
</Details>
          <Reply id="oldValue" name="Old Value" type="double" description="Old value of the element. If Index or file not found, -99.9 is returned." />
          <Parameter id="traceFile" name="Trace File" type="char[LONGNAMELENGTH]" value=".\example.txt" description="Path to the trace file." />
          <Parameter id="index" name="Index" type="double" value="-99.9" description="Index of the element, which should be replaced." />
          <Parameter id="column" name="Column" type="int" value="1" description="Column in Multiple-Column Traces in which the element should be replaced" />
          <Parameter id="newValue" name="New Value" type="double" value="-99.9" description="Value to be written at indexed position in column 2." />
        </Function>
        <Function id="CheckValue" name="Check Value" description="Checks if the given value passes through the limits (Max and Min) " usable="True">
          <Details>Checks if the value passes through the Max and Min Limits

Input Paramaters:
Input Value, Value Unit, Min, Max:
These define the information about the value, its unit and in what limits this value should be controlled

Log to Result:
If Active the Result aswell as the value, unit etc. will be written in the Result Log

Result Name:
Defines under what name the Result will be logged

Abort and Abort Phase:
If Log to Result is active and Abort aswell, it can be selected which phase should be aborted if the test fails

Use QS Limit Test:
If active a Limit Test File can be loaded at Testplan Editor --&gt; Limits Test --&gt; Limits Table.The Limit File should have Limits around 0....1 (Min ... Max) because the Result is normalized . With the Button Add Result it can be added a Limit to a specific result. The Result Name Reference must be always "Normalized Result". Also it must be selected which Function Result and which Limit has to be used. To make the breaks and failures work, in the TPR Options Tab Continue on Limit Fail must be false.

Output Parameters:

Passed:
Returns True or False, if the value passes the Limits or not

Normalized Result:
This Result is only important if Use QS Limit Test is active. This Output Parameter represents the normalized Result which has to be used with the QS Limit Test. For further description read the Use QS LimitTest explanation.</Details>
          <Reply id="isPassed" name="Passed" type="bool" description="Gives the result back, if the value has passed or not" />
          <Reply id="normalizedResult" name="Normalized Result" type="double" description="If Use QS Limit Test is active it returns the Normalized result otherwise the number -999" />
          <Parameter id="inputValue" name="Value" type="double" value="200" description="The value that has to be checked" />
          <Parameter id="valueUnit" name="Value Unit" type="char[SHORTNAMELENGTH]" value="" description="The unit of the input value" />
          <Parameter id="min" name="Min" type="double" value="100" description="Lower Limit" />
          <Parameter id="max" name="Max" type="double" value="300" description="Upper Limit" />
          <Parameter id="logResult" name="Log to Result" type="bool" value="true" description="Activates the writing to the result file" />
          <Parameter id="resultName" name="Result Name" type="char[LONGNAMELENGTH]" value="Test" description="The name of the result in the file" />
          <Parameter id="abort" name="Abort" type="bool" value="false" description="Activates the Abort of failed testphases" />
          <Parameter id="abortPhase" name="Abort Phase (if Abort is true)" type="int" value="5" description="This Phase will be aborted if the value fails the limit test">
            <enum>
              <item value="0">DUT</item>
              <item value="1">Teststep</item>
              <item value="4">Repetition</item>
              <item value="3">Testrun</item>
              <item value="5">None</item>
            </enum>
          </Parameter>
          <Parameter id="useQSLimitTest" name="Use QS Limit Test" type="bool" value="false" description="Activate the use of QS Limit Tests" />
        </Function>
        <Function id="CSVWrite" name="CSV Write" description="Writes a data into the csv file" usable="True">
          <Details>### IN Parameters###

(1) Path: 
- Enter the path where the csv file is created. If no csv file exists in the directory, a new csv file is created and the data is written into it. For eg. (Traces.csv) will be created and respective given data will be added to the csv file.
- The "*" can be used in a  path e.g. "Path\Filename*.txt" to refere to files from the current test step. "*" is replaced by "RepNo_StepNo_SweepId".
- If no path or just a filename is given, the current Project folder is used as search path; 
- relative paths (.\ and ..\ are also supported).

(2) Delimiter:
- Check the default delimiter of Windows before setting this parameter. To check or change the default delimiter, follow the instructions below,
- Go to ControlPanel-&gt; Change date, time or number formats-&gt; Additional settings-&gt;List separator. Change it accordingly and click on apply to save.
- Three type of delimiters are supported by CSV Write block function. 
- Comma(",")  Semicolon(";") and Tab("\t")
- Choose the delimiter accordingly and make sure to use the same delimiter in all CSV Write, which uses this block function's, csv file name.
- Use the same delimiter also in the "Value", if a row array or column array is selected.

(3) Row:
- Enter the row at which the data has to be added in the csv file
- First row is 1

(4) Column:
- Enter the column at which the data has to be added in the csv file
- First column is 1

(5) Value Type:
- Three type of value types are supported by CSV Write block function.
- Single Value: It will change a single value in the row and column specified.
- Row Array:  It will add a array of values in horizontal order, starting in the row and the column specified.
- Column Array:  It will add a array of values in the vertical order, starting in the row and the column specified.

(6) Value:
- For Single Value, Enter a single character (Number, Alphabet, Symbols(expect the delimiter)). For e.g., 21
- For Row Array Values, Enter an array of characters (Numbers, Alphabets, Symbols(expect the delimiter)). For e.g., 1;2;3 (or) 1,2,3 (or) this; is; csv; write  [Change the DELIMITERS according to the selected delimiter above]
- For Column Array Values, Enter an array of characters (Numbers, Alphabets, Symbols(expect the delimiter)). For e.g., 1;2;3 (or) 1,2,3 (or) this; is; csv; write [Change the DELIMITERS according to the selected delimiter above].


### Out-Parameters ###

(1) New File Path:
- Returns the newly created CSV file path. Use $G referencing here.</Details>
          <Reply id="CSVFilePath" name="New File Path" type="char[]" value="" description="Returns the newly created csv file path. Only $G referencing is allowed." />
          <Parameter id="FilePath" name="Path" type="char[]" value="" description="Enter the CSV file path or the file name to be created" />
          <Parameter id="Delimiter" name="Delimiter" type="int" value="0" description="Enter the delimiter(seperator) to be used in the csv files">
            <enum>
              <item value="0">Comma</item>
              <item value="1">Semicolon</item>
              <item value="2">Tab</item>
            </enum>
          </Parameter>
          <Parameter id="Row" name="Row" type="int" value="1" description="Enter the row at which the data has to be added" />
          <Parameter id="Column" name="Column" type="int" value="1" description="Enter the column at which the data has to be added" />
          <Parameter id="ValueType" name="ValueType" type="int" value="0" description="Select the type of data to be entered into the csv file">
            <enum>
              <item value="0">Single Value</item>
              <item value="1">Row Array</item>
              <item value="2">Column Array</item>
            </enum>
          </Parameter>
          <Parameter id="Value" name="Value" type="char[]" value="" description="Please read the description for detailed explanation" />
        </Function>
        <Function id="TimerCurrentValue" name="Timer Current Value" usable="True" description="Get the current value of a timer.">
          <Details>Returns the current time value of a created Timer. This function does not stop/restart the Timer. 
First call the Timer Create and Timer Start function. Otherwise the function cannot work.

Input Parameter:
Timer ID:
To execute Timer Current Value select an existing Timer through a valid TimerID.
Make sure that the Timer ID matches with a "Timer Create" generated ID and that "Timer Start" was already called with this one.

Output Parameter:
elapsed Time:
This value is identical to the current value of the Timer. 
</Details>
          <Reply id="elapTime" name="elapsed Time" type="double" description="Returns the elapsed time." />
          <Parameter id="TimerID" name="Timer ID" type="int" value="0" description="Timer ID of a start function must match this one." />
        </Function>
        <Function id="StringSplit" name="String Split" usable="True" description="Split an input string to several output strings">
          <Details>The input string is split at the defined delimiter character.

If more than 9 delimiters are found in the input string, the first 9 substrings are written to the Out-Parameters String_1...9, and the whole rest of the string is written into the Out_Parameter String_10.
Thus "String_10" can be used as input in another StringSplit() function.</Details>
          <Reply id="String1" name="String 1" type="char[LONGNAMELENGTH]" value="" description="String Element 1" />
          <Reply id="String2" name="String 2" type="char[LONGNAMELENGTH]" value="" description="String Element 2" />
          <Reply id="String3" name="String 3" type="char[LONGNAMELENGTH]" value="" description="String Element 3" />
          <Reply id="String4" name="String 4" type="char[LONGNAMELENGTH]" value="" description="String Element 4" />
          <Reply id="String5" name="String 5" type="char[LONGNAMELENGTH]" value="" description="String Element 5" />
          <Reply id="String6" name="String 6" type="char[LONGNAMELENGTH]" value="" description="String Element 6" />
          <Reply id="String7" name="String 7" type="char[LONGNAMELENGTH]" value="" description="String Element 7" />
          <Reply id="String8" name="String 8" type="char[LONGNAMELENGTH]" value="" description="String Element 8" />
          <Reply id="String9" name="String 9" type="char[LONGNAMELENGTH]" value="" description="String Element 9" />
          <Reply id="String10" name="String 10" type="char[]" value="" description="Remainder of the StringToSplit" />
          <Parameter id="StringToSplit" name="String To Split" type="char[]" value="" description="The string that should be split can be entered here." />
          <Parameter id="Delimiter" name="Delimiter" type="int" description="A delimiter to split the string can be selected from the drop down menu. If &quot;other&quot; is selected an arbitrary delimiter can be entered as value in the &quot;Other Delimiter&quot; input variable. ">
            <enum>
              <item value="0">Whitespace</item>
              <item value="1">Comma</item>
              <item value="2">Semicolon</item>
              <item value="3">Tabulator</item>
              <item value="4">Other</item>
            </enum>
          </Parameter>
          <Parameter id="Other" name="Other Delimiter" type="char[]" value="" description="An arbitrary delimiter can be entered to split the string." />
        </Function>
        <Function id="VisaAttribute" name="Visa Attribute" usable="True" description="Set/Get specified Attributes of a Visa-Connection">
          <Details>Typically used to set or get VISA-Attributes of an VISA connection opened by another block.

An additional connection to the given VISA-Resource is opened at the beginning of this block-function and closed at the end.  Thus the modification only persists if the VISA connection is kept open by another block (QuickStep closes a VISA connection only if all connections to a specific VISA-resource are closed).


===================================================
Input Parameters:
===================================================

Device Recource:
VISA resource-string of the connection for which the attributes should to be set/get.

Mode:
Choose "Set" to assign the specified Attribute-Values to the selected Attribute-Names.
Choose "Get", to query the current values of the requested Attribute-Names. The values are replied as Out_Parameters.

Attribute Name 1...5:
Choose an VISA-Attribute from the drop-down list. 
If the requestd attribute is not available in the list, look up the corresponding integer number in the VISA documentation. Create a $T Project Parameter with a suitable name and the integer number as value. Enter the $T reference in the drop-down field.
Choose "Do Nothing" to set/get less than 5 attributes.

Attribute Value 1...5:
The values to be set for the specified attribute. Only relevant, if the "Set" mode is active.

==================================================
Output Parameters:
==================================================

Reply Value 1...5:
If the mode "Get" is active, these Out_Parameters represent the current state of the attributes for the specified VISA resource.</Details>
          <Reply id="retValue1" name="Reply Value 1" type="int" description="Value of the first attribute" />
          <Reply id="retValue2" name="Reply Value 2" type="int" description="Value of the second attribute" />
          <Reply id="retValue3" name="Reply Value 3" type="int" description="Value of the third attribute" />
          <Reply id="retValue4" name="Reply Value 4" type="int" description="Value of the fourth attribute" />
          <Reply id="retValue5" name="Reply Value 5" type="int" description="Value of the fifth attribute" />
          <Parameter id="resource" name="Device Resource" type="VISA_Resource[LONGNAMELENGTH]" value="TCPIP::127.0.0.1:hislip999" regex="^(GPIB::\b\d{1,2}\b)|(TCPIP::\b(?:\d{1,3}\.){3}\d{1,3}\b)|(TCPIP::\b[a-zA-Z0-9\-\.]{1,15}$\b)|(USB::\b\S+\b::\b\S+\b::\S+)|(\$V.)" errmsg="IP, GPIB or USB Address expected. e.g. TCPIP::192.168.2.123 or GPIB::1 or USB::0x0aad::0x00e2::101413" description="The Visa Resource of a connected device" />
          <Parameter id="mode" name="Mode" type="int" value="0" description="Choose the execution mode of the function ">
            <enum>
              <item value="0">Set</item>
              <item value="1">Get</item>
            </enum>
          </Parameter>
          <Parameter id="attributeName1" name="Attribute Name 1" type="int" value="-1" description="Symbolic name of the first attribute">
            <enum>
              <item value="0">RSRC_CLASS</item>
              <item value="1">RSRC_NAME</item>
              <item value="2">RSRC_IMPL_VERSION</item>
              <item value="3">RSRC_LOCK_STATE</item>
              <item value="4">MAX_QUEUE_LENGTH</item>
              <item value="5">USER_DATA_32</item>
              <item value="6">FDC_CHNL</item>
              <item value="7">FDC_MODE</item>
              <item value="8">FDC_GEN_SIGNAL_EN</item>
              <item value="9">FDC_USE_PAIR</item>
              <item value="10">SEND_END_EN</item>
              <item value="11">TERMCHAR</item>
              <item value="12">TMO_VALUE</item>
              <item value="13">GPIB_READDR_EN</item>
              <item value="14">IO_PROT</item>
              <item value="15">DMA_ALLOW_EN</item>
              <item value="16">ASRL_BAUD</item>
              <item value="17">ASRL_DATA_BITS</item>
              <item value="18">ASRL_PARITY</item>
              <item value="19">ASRL_STOP_BITS</item>
              <item value="20">ASRL_FLOW_CNTRL</item>
              <item value="21">RD_BUF_OPER_MODE</item>
              <item value="22">RD_BUF_SIZE</item>
              <item value="23">WR_BUF_OPER_MODE</item>
              <item value="24">WR_BUF_SIZE</item>
              <item value="25">SUPPRESS_END_EN</item>
              <item value="26">TERMCHAR_EN</item>
              <item value="27">DEST_ACCESS_PRIV</item>
              <item value="28">DEST_BYTE_ORDER</item>
              <item value="29">SRC_ACCESS_PRIV</item>
              <item value="30">SRC_BYTE_ORDER</item>
              <item value="31">SRC_INCREMENT</item>
              <item value="32">DEST_INCREMENT</item>
              <item value="33">WIN_ACCESS_PRIV</item>
              <item value="34">WIN_BYTE_ORDER</item>
              <item value="35">GPIB_ATN_STATE</item>
              <item value="36">GPIB_ADDR_STATE</item>
              <item value="37">GPIB_CIC_STATE</item>
              <item value="38">GPIB_NDAC_STATE</item>
              <item value="39">GPIB_SRQ_STATE</item>
              <item value="40">GPIB_SYS_CNTRL_STATE</item>
              <item value="41">GPIB_HS488_CBL_LEN</item>
              <item value="42">CMDR_LA</item>
              <item value="43">VXI_DEV_CLASS</item>
              <item value="44">MAINFRAME_LA</item>
              <item value="45">MANF_NAME</item>
              <item value="46">MODEL_NAME</item>
              <item value="47">VXI_VME_INTR_STATUS</item>
              <item value="48">VXI_TRIG_STATUS</item>
              <item value="49">VXI_VME_SYSFAIL_STATE</item>
              <item value="50">WIN_BASE_ADDR_32</item>
              <item value="51">WIN_SIZE_32</item>
              <item value="52">ASRL_AVAIL_NUM</item>
              <item value="53">MEM_BASE_32</item>
              <item value="54">ASRL_CTS_STATE</item>
              <item value="55">ASRL_DCD_STATE</item>
              <item value="56">ASRL_DSR_STATE</item>
              <item value="57">ASRL_DTR_STATE</item>
              <item value="58">ASRL_END_IN</item>
              <item value="59">ASRL_END_OUT</item>
              <item value="60">ASRL_REPLACE_CHAR</item>
              <item value="61">ASRL_RI_STATE </item>
              <item value="62">ASRL_RTS_STATE</item>
              <item value="63">ASRL_XON_CHAR </item>
              <item value="64">ASRL_XOFF_CHAR</item>
              <item value="65">WIN_ACCESS</item>
              <item value="66">RM_SESSION</item>
              <item value="67">VXI_LA</item>
              <item value="68">MANF_ID</item>
              <item value="69">MEM_SIZE_32</item>
              <item value="70">MEM_SPACE</item>
              <item value="71">MODEL_CODE</item>
              <item value="72">SLOT</item>
              <item value="73">INTF_INST_NAME</item>
              <item value="74">IMMEDIATE_SERV</item>
              <item value="75">INTF_PARENT_NUM</item>
              <item value="76">RSRC_SPEC_VERSION</item>
              <item value="77">INTF_TYPE</item>
              <item value="78">GPIB_PRIMARY_ADDR</item>
              <item value="79">GPIB_SECONDARY_ADDR</item>
              <item value="80">RSRC_MANF_NAME</item>
              <item value="81">RSRC_MANF_ID</item>
              <item value="82">INTF_NUM</item>
              <item value="83">TRIG_ID</item>
              <item value="84">GPIB_REN_STATE</item>
              <item value="85">GPIB_UNADDR_EN</item>
              <item value="86">DEV_STATUS_BYTE</item>
              <item value="87">FILE_APPEND_EN</item>
              <item value="88">VXI_TRIG_SUPPORT</item>
              <item value="89">TCPIP_ADDR</item>
              <item value="90">TCPIP_HOSTNAME</item>
              <item value="91">TCPIP_PORT</item>
              <item value="92">TCPIP_DEVICE_NAME</item>
              <item value="93">TCPIP_NODELAY</item>
              <item value="94">TCPIP_KEEPALIVE</item>
              <item value="95">4882_COMPLIANT</item>
              <item value="96">USB_SERIAL_NUM</item>
              <item value="97">USB_INTFC_NUM</item>
              <item value="98">USB_PROTOCOL</item>
              <item value="99">USB_MAX_INTR_SIZE</item>
              <item value="100">PXI_DEV_NUM</item>
              <item value="101">PXI_FUNC_NUM</item>
              <item value="102">PXI_BUS_NUM</item>
              <item value="103">PXI_CHASSIS</item>
              <item value="104">PXI_SLOTPATH</item>
              <item value="105">PXI_SLOT_LBUS_LEFT</item>
              <item value="106">PXI_SLOT_LBUS_RIGHT</item>
              <item value="107">PXI_TRIG_BUS</item>
              <item value="108">PXI_STAR_TRIG_BUS </item>
              <item value="109">PXI_STAR_TRIG_LINE</item>
              <item value="110">PXI_SRC_TRIG_BUS</item>
              <item value="111">PXI_DEST_TRIG_BUS</item>
              <item value="112">PXI_MEM_TYPE_BAR0</item>
              <item value="113">PXI_MEM_TYPE_BAR1</item>
              <item value="114">PXI_MEM_TYPE_BAR2</item>
              <item value="115">PXI_MEM_TYPE_BAR3</item>
              <item value="116">PXI_MEM_TYPE_BAR4</item>
              <item value="117">PXI_MEM_TYPE_BAR5</item>
              <item value="118">PXI_MEM_BASE_BAR0_32</item>
              <item value="119">PXI_MEM_BASE_BAR1_32</item>
              <item value="120">PXI_MEM_BASE_BAR2_32</item>
              <item value="121">PXI_MEM_BASE_BAR3_32</item>
              <item value="122">PXI_MEM_BASE_BAR4_32</item>
              <item value="123">PXI_MEM_BASE_BAR5_32</item>
              <item value="124">PXI_MEM_BASE_BAR0_64</item>
              <item value="125">PXI_MEM_BASE_BAR1_64</item>
              <item value="126">PXI_MEM_BASE_BAR2_64</item>
              <item value="127">PXI_MEM_BASE_BAR3_64</item>
              <item value="128">PXI_MEM_BASE_BAR4_64</item>
              <item value="129">PXI_MEM_BASE_BAR5_64</item>
              <item value="130">PXI_MEM_SIZE_BAR0_32</item>
              <item value="131">PXI_MEM_SIZE_BAR1_32</item>
              <item value="132">PXI_MEM_SIZE_BAR2_32</item>
              <item value="133">PXI_MEM_SIZE_BAR3_32</item>
              <item value="134">PXI_MEM_SIZE_BAR4_32</item>
              <item value="135">PXI_MEM_SIZE_BAR5_32</item>
              <item value="136">PXI_MEM_SIZE_BAR0_64</item>
              <item value="137">PXI_MEM_SIZE_BAR1_64</item>
              <item value="138">PXI_MEM_SIZE_BAR2_64</item>
              <item value="139">PXI_MEM_SIZE_BAR3_64</item>
              <item value="140">PXI_MEM_SIZE_BAR4_64</item>
              <item value="141">PXI_MEM_SIZE_BAR5_64</item>
              <item value="142">PXI_IS_EXPRESS</item>
              <item value="143">PXI_SLOT_LWIDTH</item>
              <item value="144">PXI_MAX_LWIDTH</item>
              <item value="145">PXI_ACTUAL_LWIDTH</item>
              <item value="146">PXI_DSTAR_BUS</item>
              <item value="147">PXI_DSTAR_SET</item>
              <item value="148">PXI_ALLOW_WRITE_COMBINE</item>
              <item value="149">TCPIP_HISLIP_OVERLAP_EN</item>
              <item value="150">TCPIP_HISLIP_VERSION</item>
              <item value="151">TCPIP_HISLIP_MAX_MESSAGE_KB</item>
              <item value="152">TCPIP_IS_HISLIP</item>
              <item value="-1">Do Nothing</item>
            </enum>
          </Parameter>
          <Parameter id="attributeValue1" name="Attribute Value 1" type="int" value="0" description="Value of the first attribute" />
          <Parameter id="attributeName2" name="Attribute Name 2" type="int" value="-1" description="Symbolic name of the second attribute">
            <enum>
              <item value="0">RSRC_CLASS</item>
              <item value="1">RSRC_NAME</item>
              <item value="2">RSRC_IMPL_VERSION</item>
              <item value="3">RSRC_LOCK_STATE</item>
              <item value="4">MAX_QUEUE_LENGTH</item>
              <item value="5">USER_DATA_32</item>
              <item value="6">FDC_CHNL</item>
              <item value="7">FDC_MODE</item>
              <item value="8">FDC_GEN_SIGNAL_EN</item>
              <item value="9">FDC_USE_PAIR</item>
              <item value="10">SEND_END_EN</item>
              <item value="11">TERMCHAR</item>
              <item value="12">TMO_VALUE</item>
              <item value="13">GPIB_READDR_EN</item>
              <item value="14">IO_PROT</item>
              <item value="15">DMA_ALLOW_EN</item>
              <item value="16">ASRL_BAUD</item>
              <item value="17">ASRL_DATA_BITS</item>
              <item value="18">ASRL_PARITY</item>
              <item value="19">ASRL_STOP_BITS</item>
              <item value="20">ASRL_FLOW_CNTRL</item>
              <item value="21">RD_BUF_OPER_MODE</item>
              <item value="22">RD_BUF_SIZE</item>
              <item value="23">WR_BUF_OPER_MODE</item>
              <item value="24">WR_BUF_SIZE</item>
              <item value="25">SUPPRESS_END_EN</item>
              <item value="26">TERMCHAR_EN</item>
              <item value="27">DEST_ACCESS_PRIV</item>
              <item value="28">DEST_BYTE_ORDER</item>
              <item value="29">SRC_ACCESS_PRIV</item>
              <item value="30">SRC_BYTE_ORDER</item>
              <item value="31">SRC_INCREMENT</item>
              <item value="32">DEST_INCREMENT</item>
              <item value="33">WIN_ACCESS_PRIV</item>
              <item value="34">WIN_BYTE_ORDER</item>
              <item value="35">GPIB_ATN_STATE</item>
              <item value="36">GPIB_ADDR_STATE</item>
              <item value="37">GPIB_CIC_STATE</item>
              <item value="38">GPIB_NDAC_STATE</item>
              <item value="39">GPIB_SRQ_STATE</item>
              <item value="40">GPIB_SYS_CNTRL_STATE</item>
              <item value="41">GPIB_HS488_CBL_LEN</item>
              <item value="42">CMDR_LA</item>
              <item value="43">VXI_DEV_CLASS</item>
              <item value="44">MAINFRAME_LA</item>
              <item value="45">MANF_NAME</item>
              <item value="46">MODEL_NAME</item>
              <item value="47">VXI_VME_INTR_STATUS</item>
              <item value="48">VXI_TRIG_STATUS</item>
              <item value="49">VXI_VME_SYSFAIL_STATE</item>
              <item value="50">WIN_BASE_ADDR_32</item>
              <item value="51">WIN_SIZE_32</item>
              <item value="52">ASRL_AVAIL_NUM</item>
              <item value="53">MEM_BASE_32</item>
              <item value="54">ASRL_CTS_STATE</item>
              <item value="55">ASRL_DCD_STATE</item>
              <item value="56">ASRL_DSR_STATE</item>
              <item value="57">ASRL_DTR_STATE</item>
              <item value="58">ASRL_END_IN</item>
              <item value="59">ASRL_END_OUT</item>
              <item value="60">ASRL_REPLACE_CHAR</item>
              <item value="61">ASRL_RI_STATE </item>
              <item value="62">ASRL_RTS_STATE</item>
              <item value="63">ASRL_XON_CHAR </item>
              <item value="64">ASRL_XOFF_CHAR</item>
              <item value="65">WIN_ACCESS</item>
              <item value="66">RM_SESSION</item>
              <item value="67">VXI_LA</item>
              <item value="68">MANF_ID</item>
              <item value="69">MEM_SIZE_32</item>
              <item value="70">MEM_SPACE</item>
              <item value="71">MODEL_CODE</item>
              <item value="72">SLOT</item>
              <item value="73">INTF_INST_NAME</item>
              <item value="74">IMMEDIATE_SERV</item>
              <item value="75">INTF_PARENT_NUM</item>
              <item value="76">RSRC_SPEC_VERSION</item>
              <item value="77">INTF_TYPE</item>
              <item value="78">GPIB_PRIMARY_ADDR</item>
              <item value="79">GPIB_SECONDARY_ADDR</item>
              <item value="80">RSRC_MANF_NAME</item>
              <item value="81">RSRC_MANF_ID</item>
              <item value="82">INTF_NUM</item>
              <item value="83">TRIG_ID</item>
              <item value="84">GPIB_REN_STATE</item>
              <item value="85">GPIB_UNADDR_EN</item>
              <item value="86">DEV_STATUS_BYTE</item>
              <item value="87">FILE_APPEND_EN</item>
              <item value="88">VXI_TRIG_SUPPORT</item>
              <item value="89">TCPIP_ADDR</item>
              <item value="90">TCPIP_HOSTNAME</item>
              <item value="91">TCPIP_PORT</item>
              <item value="92">TCPIP_DEVICE_NAME</item>
              <item value="93">TCPIP_NODELAY</item>
              <item value="94">TCPIP_KEEPALIVE</item>
              <item value="95">4882_COMPLIANT</item>
              <item value="96">USB_SERIAL_NUM</item>
              <item value="97">USB_INTFC_NUM</item>
              <item value="98">USB_PROTOCOL</item>
              <item value="99">USB_MAX_INTR_SIZE</item>
              <item value="100">PXI_DEV_NUM</item>
              <item value="101">PXI_FUNC_NUM</item>
              <item value="102">PXI_BUS_NUM</item>
              <item value="103">PXI_CHASSIS</item>
              <item value="104">PXI_SLOTPATH</item>
              <item value="105">PXI_SLOT_LBUS_LEFT</item>
              <item value="106">PXI_SLOT_LBUS_RIGHT</item>
              <item value="107">PXI_TRIG_BUS</item>
              <item value="108">PXI_STAR_TRIG_BUS </item>
              <item value="109">PXI_STAR_TRIG_LINE</item>
              <item value="110">PXI_SRC_TRIG_BUS</item>
              <item value="111">PXI_DEST_TRIG_BUS</item>
              <item value="112">PXI_MEM_TYPE_BAR0</item>
              <item value="113">PXI_MEM_TYPE_BAR1</item>
              <item value="114">PXI_MEM_TYPE_BAR2</item>
              <item value="115">PXI_MEM_TYPE_BAR3</item>
              <item value="116">PXI_MEM_TYPE_BAR4</item>
              <item value="117">PXI_MEM_TYPE_BAR5</item>
              <item value="118">PXI_MEM_BASE_BAR0_32</item>
              <item value="119">PXI_MEM_BASE_BAR1_32</item>
              <item value="120">PXI_MEM_BASE_BAR2_32</item>
              <item value="121">PXI_MEM_BASE_BAR3_32</item>
              <item value="122">PXI_MEM_BASE_BAR4_32</item>
              <item value="123">PXI_MEM_BASE_BAR5_32</item>
              <item value="124">PXI_MEM_BASE_BAR0_64</item>
              <item value="125">PXI_MEM_BASE_BAR1_64</item>
              <item value="126">PXI_MEM_BASE_BAR2_64</item>
              <item value="127">PXI_MEM_BASE_BAR3_64</item>
              <item value="128">PXI_MEM_BASE_BAR4_64</item>
              <item value="129">PXI_MEM_BASE_BAR5_64</item>
              <item value="130">PXI_MEM_SIZE_BAR0_32</item>
              <item value="131">PXI_MEM_SIZE_BAR1_32</item>
              <item value="132">PXI_MEM_SIZE_BAR2_32</item>
              <item value="133">PXI_MEM_SIZE_BAR3_32</item>
              <item value="134">PXI_MEM_SIZE_BAR4_32</item>
              <item value="135">PXI_MEM_SIZE_BAR5_32</item>
              <item value="136">PXI_MEM_SIZE_BAR0_64</item>
              <item value="137">PXI_MEM_SIZE_BAR1_64</item>
              <item value="138">PXI_MEM_SIZE_BAR2_64</item>
              <item value="139">PXI_MEM_SIZE_BAR3_64</item>
              <item value="140">PXI_MEM_SIZE_BAR4_64</item>
              <item value="141">PXI_MEM_SIZE_BAR5_64</item>
              <item value="142">PXI_IS_EXPRESS</item>
              <item value="143">PXI_SLOT_LWIDTH</item>
              <item value="144">PXI_MAX_LWIDTH</item>
              <item value="145">PXI_ACTUAL_LWIDTH</item>
              <item value="146">PXI_DSTAR_BUS</item>
              <item value="147">PXI_DSTAR_SET</item>
              <item value="148">PXI_ALLOW_WRITE_COMBINE</item>
              <item value="149">TCPIP_HISLIP_OVERLAP_EN</item>
              <item value="150">TCPIP_HISLIP_VERSION</item>
              <item value="151">TCPIP_HISLIP_MAX_MESSAGE_KB</item>
              <item value="152">TCPIP_IS_HISLIP</item>
              <item value="-1">Do Nothing</item>
            </enum>
          </Parameter>
          <Parameter id="attributeValue2" name="Attribute Value 2" type="int" value="0" description="Value of the second attribute" />
          <Parameter id="attributeName3" name="Attribute Name 3" type="int" value="-1" description="Symbolic name of the third attribute">
            <enum>
              <item value="0">RSRC_CLASS</item>
              <item value="1">RSRC_NAME</item>
              <item value="2">RSRC_IMPL_VERSION</item>
              <item value="3">RSRC_LOCK_STATE</item>
              <item value="4">MAX_QUEUE_LENGTH</item>
              <item value="5">USER_DATA_32</item>
              <item value="6">FDC_CHNL</item>
              <item value="7">FDC_MODE</item>
              <item value="8">FDC_GEN_SIGNAL_EN</item>
              <item value="9">FDC_USE_PAIR</item>
              <item value="10">SEND_END_EN</item>
              <item value="11">TERMCHAR</item>
              <item value="12">TMO_VALUE</item>
              <item value="13">GPIB_READDR_EN</item>
              <item value="14">IO_PROT</item>
              <item value="15">DMA_ALLOW_EN</item>
              <item value="16">ASRL_BAUD</item>
              <item value="17">ASRL_DATA_BITS</item>
              <item value="18">ASRL_PARITY</item>
              <item value="19">ASRL_STOP_BITS</item>
              <item value="20">ASRL_FLOW_CNTRL</item>
              <item value="21">RD_BUF_OPER_MODE</item>
              <item value="22">RD_BUF_SIZE</item>
              <item value="23">WR_BUF_OPER_MODE</item>
              <item value="24">WR_BUF_SIZE</item>
              <item value="25">SUPPRESS_END_EN</item>
              <item value="26">TERMCHAR_EN</item>
              <item value="27">DEST_ACCESS_PRIV</item>
              <item value="28">DEST_BYTE_ORDER</item>
              <item value="29">SRC_ACCESS_PRIV</item>
              <item value="30">SRC_BYTE_ORDER</item>
              <item value="31">SRC_INCREMENT</item>
              <item value="32">DEST_INCREMENT</item>
              <item value="33">WIN_ACCESS_PRIV</item>
              <item value="34">WIN_BYTE_ORDER</item>
              <item value="35">GPIB_ATN_STATE</item>
              <item value="36">GPIB_ADDR_STATE</item>
              <item value="37">GPIB_CIC_STATE</item>
              <item value="38">GPIB_NDAC_STATE</item>
              <item value="39">GPIB_SRQ_STATE</item>
              <item value="40">GPIB_SYS_CNTRL_STATE</item>
              <item value="41">GPIB_HS488_CBL_LEN</item>
              <item value="42">CMDR_LA</item>
              <item value="43">VXI_DEV_CLASS</item>
              <item value="44">MAINFRAME_LA</item>
              <item value="45">MANF_NAME</item>
              <item value="46">MODEL_NAME</item>
              <item value="47">VXI_VME_INTR_STATUS</item>
              <item value="48">VXI_TRIG_STATUS</item>
              <item value="49">VXI_VME_SYSFAIL_STATE</item>
              <item value="50">WIN_BASE_ADDR_32</item>
              <item value="51">WIN_SIZE_32</item>
              <item value="52">ASRL_AVAIL_NUM</item>
              <item value="53">MEM_BASE_32</item>
              <item value="54">ASRL_CTS_STATE</item>
              <item value="55">ASRL_DCD_STATE</item>
              <item value="56">ASRL_DSR_STATE</item>
              <item value="57">ASRL_DTR_STATE</item>
              <item value="58">ASRL_END_IN</item>
              <item value="59">ASRL_END_OUT</item>
              <item value="60">ASRL_REPLACE_CHAR</item>
              <item value="61">ASRL_RI_STATE </item>
              <item value="62">ASRL_RTS_STATE</item>
              <item value="63">ASRL_XON_CHAR </item>
              <item value="64">ASRL_XOFF_CHAR</item>
              <item value="65">WIN_ACCESS</item>
              <item value="66">RM_SESSION</item>
              <item value="67">VXI_LA</item>
              <item value="68">MANF_ID</item>
              <item value="69">MEM_SIZE_32</item>
              <item value="70">MEM_SPACE</item>
              <item value="71">MODEL_CODE</item>
              <item value="72">SLOT</item>
              <item value="73">INTF_INST_NAME</item>
              <item value="74">IMMEDIATE_SERV</item>
              <item value="75">INTF_PARENT_NUM</item>
              <item value="76">RSRC_SPEC_VERSION</item>
              <item value="77">INTF_TYPE</item>
              <item value="78">GPIB_PRIMARY_ADDR</item>
              <item value="79">GPIB_SECONDARY_ADDR</item>
              <item value="80">RSRC_MANF_NAME</item>
              <item value="81">RSRC_MANF_ID</item>
              <item value="82">INTF_NUM</item>
              <item value="83">TRIG_ID</item>
              <item value="84">GPIB_REN_STATE</item>
              <item value="85">GPIB_UNADDR_EN</item>
              <item value="86">DEV_STATUS_BYTE</item>
              <item value="87">FILE_APPEND_EN</item>
              <item value="88">VXI_TRIG_SUPPORT</item>
              <item value="89">TCPIP_ADDR</item>
              <item value="90">TCPIP_HOSTNAME</item>
              <item value="91">TCPIP_PORT</item>
              <item value="92">TCPIP_DEVICE_NAME</item>
              <item value="93">TCPIP_NODELAY</item>
              <item value="94">TCPIP_KEEPALIVE</item>
              <item value="95">4882_COMPLIANT</item>
              <item value="96">USB_SERIAL_NUM</item>
              <item value="97">USB_INTFC_NUM</item>
              <item value="98">USB_PROTOCOL</item>
              <item value="99">USB_MAX_INTR_SIZE</item>
              <item value="100">PXI_DEV_NUM</item>
              <item value="101">PXI_FUNC_NUM</item>
              <item value="102">PXI_BUS_NUM</item>
              <item value="103">PXI_CHASSIS</item>
              <item value="104">PXI_SLOTPATH</item>
              <item value="105">PXI_SLOT_LBUS_LEFT</item>
              <item value="106">PXI_SLOT_LBUS_RIGHT</item>
              <item value="107">PXI_TRIG_BUS</item>
              <item value="108">PXI_STAR_TRIG_BUS </item>
              <item value="109">PXI_STAR_TRIG_LINE</item>
              <item value="110">PXI_SRC_TRIG_BUS</item>
              <item value="111">PXI_DEST_TRIG_BUS</item>
              <item value="112">PXI_MEM_TYPE_BAR0</item>
              <item value="113">PXI_MEM_TYPE_BAR1</item>
              <item value="114">PXI_MEM_TYPE_BAR2</item>
              <item value="115">PXI_MEM_TYPE_BAR3</item>
              <item value="116">PXI_MEM_TYPE_BAR4</item>
              <item value="117">PXI_MEM_TYPE_BAR5</item>
              <item value="118">PXI_MEM_BASE_BAR0_32</item>
              <item value="119">PXI_MEM_BASE_BAR1_32</item>
              <item value="120">PXI_MEM_BASE_BAR2_32</item>
              <item value="121">PXI_MEM_BASE_BAR3_32</item>
              <item value="122">PXI_MEM_BASE_BAR4_32</item>
              <item value="123">PXI_MEM_BASE_BAR5_32</item>
              <item value="124">PXI_MEM_BASE_BAR0_64</item>
              <item value="125">PXI_MEM_BASE_BAR1_64</item>
              <item value="126">PXI_MEM_BASE_BAR2_64</item>
              <item value="127">PXI_MEM_BASE_BAR3_64</item>
              <item value="128">PXI_MEM_BASE_BAR4_64</item>
              <item value="129">PXI_MEM_BASE_BAR5_64</item>
              <item value="130">PXI_MEM_SIZE_BAR0_32</item>
              <item value="131">PXI_MEM_SIZE_BAR1_32</item>
              <item value="132">PXI_MEM_SIZE_BAR2_32</item>
              <item value="133">PXI_MEM_SIZE_BAR3_32</item>
              <item value="134">PXI_MEM_SIZE_BAR4_32</item>
              <item value="135">PXI_MEM_SIZE_BAR5_32</item>
              <item value="136">PXI_MEM_SIZE_BAR0_64</item>
              <item value="137">PXI_MEM_SIZE_BAR1_64</item>
              <item value="138">PXI_MEM_SIZE_BAR2_64</item>
              <item value="139">PXI_MEM_SIZE_BAR3_64</item>
              <item value="140">PXI_MEM_SIZE_BAR4_64</item>
              <item value="141">PXI_MEM_SIZE_BAR5_64</item>
              <item value="142">PXI_IS_EXPRESS</item>
              <item value="143">PXI_SLOT_LWIDTH</item>
              <item value="144">PXI_MAX_LWIDTH</item>
              <item value="145">PXI_ACTUAL_LWIDTH</item>
              <item value="146">PXI_DSTAR_BUS</item>
              <item value="147">PXI_DSTAR_SET</item>
              <item value="148">PXI_ALLOW_WRITE_COMBINE</item>
              <item value="149">TCPIP_HISLIP_OVERLAP_EN</item>
              <item value="150">TCPIP_HISLIP_VERSION</item>
              <item value="151">TCPIP_HISLIP_MAX_MESSAGE_KB</item>
              <item value="152">TCPIP_IS_HISLIP</item>
              <item value="-1">Do Nothing</item>
            </enum>
          </Parameter>
          <Parameter id="attributeValue3" name="Attribute Value 3" type="int" value="0" description="Value of the third attribute" />
          <Parameter id="attributeName4" name="Attribute Name 4" type="int" value="-1" description="Symbolic name of the fourth attribute">
            <enum>
              <item value="0">RSRC_CLASS</item>
              <item value="1">RSRC_NAME</item>
              <item value="2">RSRC_IMPL_VERSION</item>
              <item value="3">RSRC_LOCK_STATE</item>
              <item value="4">MAX_QUEUE_LENGTH</item>
              <item value="5">USER_DATA_32</item>
              <item value="6">FDC_CHNL</item>
              <item value="7">FDC_MODE</item>
              <item value="8">FDC_GEN_SIGNAL_EN</item>
              <item value="9">FDC_USE_PAIR</item>
              <item value="10">SEND_END_EN</item>
              <item value="11">TERMCHAR</item>
              <item value="12">TMO_VALUE</item>
              <item value="13">GPIB_READDR_EN</item>
              <item value="14">IO_PROT</item>
              <item value="15">DMA_ALLOW_EN</item>
              <item value="16">ASRL_BAUD</item>
              <item value="17">ASRL_DATA_BITS</item>
              <item value="18">ASRL_PARITY</item>
              <item value="19">ASRL_STOP_BITS</item>
              <item value="20">ASRL_FLOW_CNTRL</item>
              <item value="21">RD_BUF_OPER_MODE</item>
              <item value="22">RD_BUF_SIZE</item>
              <item value="23">WR_BUF_OPER_MODE</item>
              <item value="24">WR_BUF_SIZE</item>
              <item value="25">SUPPRESS_END_EN</item>
              <item value="26">TERMCHAR_EN</item>
              <item value="27">DEST_ACCESS_PRIV</item>
              <item value="28">DEST_BYTE_ORDER</item>
              <item value="29">SRC_ACCESS_PRIV</item>
              <item value="30">SRC_BYTE_ORDER</item>
              <item value="31">SRC_INCREMENT</item>
              <item value="32">DEST_INCREMENT</item>
              <item value="33">WIN_ACCESS_PRIV</item>
              <item value="34">WIN_BYTE_ORDER</item>
              <item value="35">GPIB_ATN_STATE</item>
              <item value="36">GPIB_ADDR_STATE</item>
              <item value="37">GPIB_CIC_STATE</item>
              <item value="38">GPIB_NDAC_STATE</item>
              <item value="39">GPIB_SRQ_STATE</item>
              <item value="40">GPIB_SYS_CNTRL_STATE</item>
              <item value="41">GPIB_HS488_CBL_LEN</item>
              <item value="42">CMDR_LA</item>
              <item value="43">VXI_DEV_CLASS</item>
              <item value="44">MAINFRAME_LA</item>
              <item value="45">MANF_NAME</item>
              <item value="46">MODEL_NAME</item>
              <item value="47">VXI_VME_INTR_STATUS</item>
              <item value="48">VXI_TRIG_STATUS</item>
              <item value="49">VXI_VME_SYSFAIL_STATE</item>
              <item value="50">WIN_BASE_ADDR_32</item>
              <item value="51">WIN_SIZE_32</item>
              <item value="52">ASRL_AVAIL_NUM</item>
              <item value="53">MEM_BASE_32</item>
              <item value="54">ASRL_CTS_STATE</item>
              <item value="55">ASRL_DCD_STATE</item>
              <item value="56">ASRL_DSR_STATE</item>
              <item value="57">ASRL_DTR_STATE</item>
              <item value="58">ASRL_END_IN</item>
              <item value="59">ASRL_END_OUT</item>
              <item value="60">ASRL_REPLACE_CHAR</item>
              <item value="61">ASRL_RI_STATE </item>
              <item value="62">ASRL_RTS_STATE</item>
              <item value="63">ASRL_XON_CHAR </item>
              <item value="64">ASRL_XOFF_CHAR</item>
              <item value="65">WIN_ACCESS</item>
              <item value="66">RM_SESSION</item>
              <item value="67">VXI_LA</item>
              <item value="68">MANF_ID</item>
              <item value="69">MEM_SIZE_32</item>
              <item value="70">MEM_SPACE</item>
              <item value="71">MODEL_CODE</item>
              <item value="72">SLOT</item>
              <item value="73">INTF_INST_NAME</item>
              <item value="74">IMMEDIATE_SERV</item>
              <item value="75">INTF_PARENT_NUM</item>
              <item value="76">RSRC_SPEC_VERSION</item>
              <item value="77">INTF_TYPE</item>
              <item value="78">GPIB_PRIMARY_ADDR</item>
              <item value="79">GPIB_SECONDARY_ADDR</item>
              <item value="80">RSRC_MANF_NAME</item>
              <item value="81">RSRC_MANF_ID</item>
              <item value="82">INTF_NUM</item>
              <item value="83">TRIG_ID</item>
              <item value="84">GPIB_REN_STATE</item>
              <item value="85">GPIB_UNADDR_EN</item>
              <item value="86">DEV_STATUS_BYTE</item>
              <item value="87">FILE_APPEND_EN</item>
              <item value="88">VXI_TRIG_SUPPORT</item>
              <item value="89">TCPIP_ADDR</item>
              <item value="90">TCPIP_HOSTNAME</item>
              <item value="91">TCPIP_PORT</item>
              <item value="92">TCPIP_DEVICE_NAME</item>
              <item value="93">TCPIP_NODELAY</item>
              <item value="94">TCPIP_KEEPALIVE</item>
              <item value="95">4882_COMPLIANT</item>
              <item value="96">USB_SERIAL_NUM</item>
              <item value="97">USB_INTFC_NUM</item>
              <item value="98">USB_PROTOCOL</item>
              <item value="99">USB_MAX_INTR_SIZE</item>
              <item value="100">PXI_DEV_NUM</item>
              <item value="101">PXI_FUNC_NUM</item>
              <item value="102">PXI_BUS_NUM</item>
              <item value="103">PXI_CHASSIS</item>
              <item value="104">PXI_SLOTPATH</item>
              <item value="105">PXI_SLOT_LBUS_LEFT</item>
              <item value="106">PXI_SLOT_LBUS_RIGHT</item>
              <item value="107">PXI_TRIG_BUS</item>
              <item value="108">PXI_STAR_TRIG_BUS </item>
              <item value="109">PXI_STAR_TRIG_LINE</item>
              <item value="110">PXI_SRC_TRIG_BUS</item>
              <item value="111">PXI_DEST_TRIG_BUS</item>
              <item value="112">PXI_MEM_TYPE_BAR0</item>
              <item value="113">PXI_MEM_TYPE_BAR1</item>
              <item value="114">PXI_MEM_TYPE_BAR2</item>
              <item value="115">PXI_MEM_TYPE_BAR3</item>
              <item value="116">PXI_MEM_TYPE_BAR4</item>
              <item value="117">PXI_MEM_TYPE_BAR5</item>
              <item value="118">PXI_MEM_BASE_BAR0_32</item>
              <item value="119">PXI_MEM_BASE_BAR1_32</item>
              <item value="120">PXI_MEM_BASE_BAR2_32</item>
              <item value="121">PXI_MEM_BASE_BAR3_32</item>
              <item value="122">PXI_MEM_BASE_BAR4_32</item>
              <item value="123">PXI_MEM_BASE_BAR5_32</item>
              <item value="124">PXI_MEM_BASE_BAR0_64</item>
              <item value="125">PXI_MEM_BASE_BAR1_64</item>
              <item value="126">PXI_MEM_BASE_BAR2_64</item>
              <item value="127">PXI_MEM_BASE_BAR3_64</item>
              <item value="128">PXI_MEM_BASE_BAR4_64</item>
              <item value="129">PXI_MEM_BASE_BAR5_64</item>
              <item value="130">PXI_MEM_SIZE_BAR0_32</item>
              <item value="131">PXI_MEM_SIZE_BAR1_32</item>
              <item value="132">PXI_MEM_SIZE_BAR2_32</item>
              <item value="133">PXI_MEM_SIZE_BAR3_32</item>
              <item value="134">PXI_MEM_SIZE_BAR4_32</item>
              <item value="135">PXI_MEM_SIZE_BAR5_32</item>
              <item value="136">PXI_MEM_SIZE_BAR0_64</item>
              <item value="137">PXI_MEM_SIZE_BAR1_64</item>
              <item value="138">PXI_MEM_SIZE_BAR2_64</item>
              <item value="139">PXI_MEM_SIZE_BAR3_64</item>
              <item value="140">PXI_MEM_SIZE_BAR4_64</item>
              <item value="141">PXI_MEM_SIZE_BAR5_64</item>
              <item value="142">PXI_IS_EXPRESS</item>
              <item value="143">PXI_SLOT_LWIDTH</item>
              <item value="144">PXI_MAX_LWIDTH</item>
              <item value="145">PXI_ACTUAL_LWIDTH</item>
              <item value="146">PXI_DSTAR_BUS</item>
              <item value="147">PXI_DSTAR_SET</item>
              <item value="148">PXI_ALLOW_WRITE_COMBINE</item>
              <item value="149">TCPIP_HISLIP_OVERLAP_EN</item>
              <item value="150">TCPIP_HISLIP_VERSION</item>
              <item value="151">TCPIP_HISLIP_MAX_MESSAGE_KB</item>
              <item value="152">TCPIP_IS_HISLIP</item>
              <item value="-1">Do Nothing</item>
            </enum>
          </Parameter>
          <Parameter id="attributeValue4" name="Attribute Value 4" type="int" value="0" description="Value of the fourth attribute" />
          <Parameter id="attributeName5" name="Attribute Name 5" type="int" value="-1" description="Symbolic name of the fifth attribute">
            <enum>
              <item value="0">RSRC_CLASS</item>
              <item value="1">RSRC_NAME</item>
              <item value="2">RSRC_IMPL_VERSION</item>
              <item value="3">RSRC_LOCK_STATE</item>
              <item value="4">MAX_QUEUE_LENGTH</item>
              <item value="5">USER_DATA_32</item>
              <item value="6">FDC_CHNL</item>
              <item value="7">FDC_MODE</item>
              <item value="8">FDC_GEN_SIGNAL_EN</item>
              <item value="9">FDC_USE_PAIR</item>
              <item value="10">SEND_END_EN</item>
              <item value="11">TERMCHAR</item>
              <item value="12">TMO_VALUE</item>
              <item value="13">GPIB_READDR_EN</item>
              <item value="14">IO_PROT</item>
              <item value="15">DMA_ALLOW_EN</item>
              <item value="16">ASRL_BAUD</item>
              <item value="17">ASRL_DATA_BITS</item>
              <item value="18">ASRL_PARITY</item>
              <item value="19">ASRL_STOP_BITS</item>
              <item value="20">ASRL_FLOW_CNTRL</item>
              <item value="21">RD_BUF_OPER_MODE</item>
              <item value="22">RD_BUF_SIZE</item>
              <item value="23">WR_BUF_OPER_MODE</item>
              <item value="24">WR_BUF_SIZE</item>
              <item value="25">SUPPRESS_END_EN</item>
              <item value="26">TERMCHAR_EN</item>
              <item value="27">DEST_ACCESS_PRIV</item>
              <item value="28">DEST_BYTE_ORDER</item>
              <item value="29">SRC_ACCESS_PRIV</item>
              <item value="30">SRC_BYTE_ORDER</item>
              <item value="31">SRC_INCREMENT</item>
              <item value="32">DEST_INCREMENT</item>
              <item value="33">WIN_ACCESS_PRIV</item>
              <item value="34">WIN_BYTE_ORDER</item>
              <item value="35">GPIB_ATN_STATE</item>
              <item value="36">GPIB_ADDR_STATE</item>
              <item value="37">GPIB_CIC_STATE</item>
              <item value="38">GPIB_NDAC_STATE</item>
              <item value="39">GPIB_SRQ_STATE</item>
              <item value="40">GPIB_SYS_CNTRL_STATE</item>
              <item value="41">GPIB_HS488_CBL_LEN</item>
              <item value="42">CMDR_LA</item>
              <item value="43">VXI_DEV_CLASS</item>
              <item value="44">MAINFRAME_LA</item>
              <item value="45">MANF_NAME</item>
              <item value="46">MODEL_NAME</item>
              <item value="47">VXI_VME_INTR_STATUS</item>
              <item value="48">VXI_TRIG_STATUS</item>
              <item value="49">VXI_VME_SYSFAIL_STATE</item>
              <item value="50">WIN_BASE_ADDR_32</item>
              <item value="51">WIN_SIZE_32</item>
              <item value="52">ASRL_AVAIL_NUM</item>
              <item value="53">MEM_BASE_32</item>
              <item value="54">ASRL_CTS_STATE</item>
              <item value="55">ASRL_DCD_STATE</item>
              <item value="56">ASRL_DSR_STATE</item>
              <item value="57">ASRL_DTR_STATE</item>
              <item value="58">ASRL_END_IN</item>
              <item value="59">ASRL_END_OUT</item>
              <item value="60">ASRL_REPLACE_CHAR</item>
              <item value="61">ASRL_RI_STATE </item>
              <item value="62">ASRL_RTS_STATE</item>
              <item value="63">ASRL_XON_CHAR </item>
              <item value="64">ASRL_XOFF_CHAR</item>
              <item value="65">WIN_ACCESS</item>
              <item value="66">RM_SESSION</item>
              <item value="67">VXI_LA</item>
              <item value="68">MANF_ID</item>
              <item value="69">MEM_SIZE_32</item>
              <item value="70">MEM_SPACE</item>
              <item value="71">MODEL_CODE</item>
              <item value="72">SLOT</item>
              <item value="73">INTF_INST_NAME</item>
              <item value="74">IMMEDIATE_SERV</item>
              <item value="75">INTF_PARENT_NUM</item>
              <item value="76">RSRC_SPEC_VERSION</item>
              <item value="77">INTF_TYPE</item>
              <item value="78">GPIB_PRIMARY_ADDR</item>
              <item value="79">GPIB_SECONDARY_ADDR</item>
              <item value="80">RSRC_MANF_NAME</item>
              <item value="81">RSRC_MANF_ID</item>
              <item value="82">INTF_NUM</item>
              <item value="83">TRIG_ID</item>
              <item value="84">GPIB_REN_STATE</item>
              <item value="85">GPIB_UNADDR_EN</item>
              <item value="86">DEV_STATUS_BYTE</item>
              <item value="87">FILE_APPEND_EN</item>
              <item value="88">VXI_TRIG_SUPPORT</item>
              <item value="89">TCPIP_ADDR</item>
              <item value="90">TCPIP_HOSTNAME</item>
              <item value="91">TCPIP_PORT</item>
              <item value="92">TCPIP_DEVICE_NAME</item>
              <item value="93">TCPIP_NODELAY</item>
              <item value="94">TCPIP_KEEPALIVE</item>
              <item value="95">4882_COMPLIANT</item>
              <item value="96">USB_SERIAL_NUM</item>
              <item value="97">USB_INTFC_NUM</item>
              <item value="98">USB_PROTOCOL</item>
              <item value="99">USB_MAX_INTR_SIZE</item>
              <item value="100">PXI_DEV_NUM</item>
              <item value="101">PXI_FUNC_NUM</item>
              <item value="102">PXI_BUS_NUM</item>
              <item value="103">PXI_CHASSIS</item>
              <item value="104">PXI_SLOTPATH</item>
              <item value="105">PXI_SLOT_LBUS_LEFT</item>
              <item value="106">PXI_SLOT_LBUS_RIGHT</item>
              <item value="107">PXI_TRIG_BUS</item>
              <item value="108">PXI_STAR_TRIG_BUS </item>
              <item value="109">PXI_STAR_TRIG_LINE</item>
              <item value="110">PXI_SRC_TRIG_BUS</item>
              <item value="111">PXI_DEST_TRIG_BUS</item>
              <item value="112">PXI_MEM_TYPE_BAR0</item>
              <item value="113">PXI_MEM_TYPE_BAR1</item>
              <item value="114">PXI_MEM_TYPE_BAR2</item>
              <item value="115">PXI_MEM_TYPE_BAR3</item>
              <item value="116">PXI_MEM_TYPE_BAR4</item>
              <item value="117">PXI_MEM_TYPE_BAR5</item>
              <item value="118">PXI_MEM_BASE_BAR0_32</item>
              <item value="119">PXI_MEM_BASE_BAR1_32</item>
              <item value="120">PXI_MEM_BASE_BAR2_32</item>
              <item value="121">PXI_MEM_BASE_BAR3_32</item>
              <item value="122">PXI_MEM_BASE_BAR4_32</item>
              <item value="123">PXI_MEM_BASE_BAR5_32</item>
              <item value="124">PXI_MEM_BASE_BAR0_64</item>
              <item value="125">PXI_MEM_BASE_BAR1_64</item>
              <item value="126">PXI_MEM_BASE_BAR2_64</item>
              <item value="127">PXI_MEM_BASE_BAR3_64</item>
              <item value="128">PXI_MEM_BASE_BAR4_64</item>
              <item value="129">PXI_MEM_BASE_BAR5_64</item>
              <item value="130">PXI_MEM_SIZE_BAR0_32</item>
              <item value="131">PXI_MEM_SIZE_BAR1_32</item>
              <item value="132">PXI_MEM_SIZE_BAR2_32</item>
              <item value="133">PXI_MEM_SIZE_BAR3_32</item>
              <item value="134">PXI_MEM_SIZE_BAR4_32</item>
              <item value="135">PXI_MEM_SIZE_BAR5_32</item>
              <item value="136">PXI_MEM_SIZE_BAR0_64</item>
              <item value="137">PXI_MEM_SIZE_BAR1_64</item>
              <item value="138">PXI_MEM_SIZE_BAR2_64</item>
              <item value="139">PXI_MEM_SIZE_BAR3_64</item>
              <item value="140">PXI_MEM_SIZE_BAR4_64</item>
              <item value="141">PXI_MEM_SIZE_BAR5_64</item>
              <item value="142">PXI_IS_EXPRESS</item>
              <item value="143">PXI_SLOT_LWIDTH</item>
              <item value="144">PXI_MAX_LWIDTH</item>
              <item value="145">PXI_ACTUAL_LWIDTH</item>
              <item value="146">PXI_DSTAR_BUS</item>
              <item value="147">PXI_DSTAR_SET</item>
              <item value="148">PXI_ALLOW_WRITE_COMBINE</item>
              <item value="149">TCPIP_HISLIP_OVERLAP_EN</item>
              <item value="150">TCPIP_HISLIP_VERSION</item>
              <item value="151">TCPIP_HISLIP_MAX_MESSAGE_KB</item>
              <item value="152">TCPIP_IS_HISLIP</item>
              <item value="-1">Do Nothing</item>
            </enum>
          </Parameter>
          <Parameter id="attributeValue5" name="Attribute Value 5" type="int" value="0" description="Value of the fifth attribute" />
        </Function>
      </ProvidedFunctions>
      <RequiredFunctions></RequiredFunctions>
      <Results>
        <Result id="Elapsed Time" restype="timing" type="double" />
        <Result id="Normalized Result" restype="result" type="char[]" />
      </Results>
      <VersionInformation BlockAPIVersion="04.00" />
    </Block>
  </BlockDefinitions>
  <SystemDefinition name="Solutionname">
    <Projects>
      <Project name="R&amp;S Demosystem" isactive="True" id="2968e174-3412-4643-9b0b-13f472c31100">
        <Parameters />
        <Devices>
          <Device id="d37546c2-a955-4be3-8495-22cbedd0c4ce" name="RS_RfGeneratorBase" type="B_RS_RfGeneratorBase" selectedId="Init" position="42.3918615887777,-38.6425553795075">
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="SMW_VISA" name="SMW_VISA" value="$V.SMW" type="VISA_Resource[LONGNAMELENGTH]" unit="" description="" />
                  <Parameter id="SMW Power [dBm]" name="SMW Power " value="-11" type="double" unit="dBm" description="Deduct 35dBm from your target power for Basestation emulation by SMW!" />
                </Parameters>
              </Function>
            </Functions>
          </Device>
          <Device id="833106cb-eba5-4f19-bd2c-7a84bcdeb7ae" name="RSAnalyzer" type="B_DeviceRSAnalyzer" selectedId="Init" position="1271.26592487617,-78.2815281785823">
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="FSW_VISA" name="FSW_VISA" value="$V.FSW" type="VISA_Resource[LONGNAMELENGTH]" unit="" description="" />
                  <Parameter id="Use Gating for TDD" name="Use Gating for TDD" value="True" type="bool" unit="" description="Use Gating for TDD signals?" />
                  <Parameter id="Gate Length [msec]" name="Gate Length " value="3" type="double" unit="msec" description="Gate Length applied" />
                </Parameters>
              </Function>
            </Functions>
          </Device>
          <Device id="c2cee76d-76ef-457d-ab33-abcd5547e8cd" name="Atten. All Other TestCases" type="Attenuator" selectedId="Init" position="649.975243667968,-88.6501054493575">
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" unit="" description="">
                    <enum>
                      <item value="sub">Subelements</item>
                      <item value="att">Path Loss</item>
                      <item value="snp">SnP File</item>
                      <item value="csv">CSV File</item>
                    </enum>
                  </Parameter>
                  <Parameter id="att" name="Path Loss" value="35" type="double" unit="dB" description="Negative value for path loss, positive value for path gain!" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" unit="" description="Enter filename and parameter: Filename.sNp [Snn] , e.g. cable_15dB_att.s2p [S21]" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" unit="" description="Enter filename with extension *.csv , e.g. myLosses.csv" />
                </Parameters>
              </Function>
            </Functions>
          </Device>
          <Device id="f4298004-4ec8-46f8-8155-2283dd6a6952" name="QuickStepPC" type="B_QuickStepPC" selectedId="Init" position="454.161128479108,-298.364212434822">
            <Functions>
              <Function id="Init" refId="">
                <Parameters />
              </Function>
            </Functions>
          </Device>
          <Device id="20382f4c-8191-47df-b76a-36e82f0fb5ac" name="ConnectorBoard" type="B_ConnectorBoard" selectedId="Init" position="658.674827676771,699.554448690972">
            <Functions>
              <Function id="Init" refId="">
                <Parameters />
              </Function>
            </Functions>
          </Device>
          <Device id="e018613d-44be-4251-8df4-88f7a5513edb" name="TestModel" type="B_TestModel" selectedId="Init" position="842.024773455385,-295.83864718341">
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="Deployment" name="Deployment" value="0" type="int" unit="" description="Frequency Deployment">
                    <enum>
                      <item value="0">f &lt;= 3 GHz</item>
                      <item value="1">3 GHz &lt; f &lt;= 6 GHz</item>
                      <item value="2">f &gt; 6 GHz</item>
                    </enum>
                  </Parameter>
                  <Parameter id="NR-TM" name="NR-TM" value="1" type="int" unit="" description="NR Test Model">
                    <enum>
                      <item value="0">None</item>
                      <item value="1">TM 1.1</item>
                      <item value="2">TM 1.2</item>
                      <item value="3">TM 2</item>
                      <item value="4">TM 2a</item>
                      <item value="5">TM 3.1</item>
                      <item value="6">TM 3.1a</item>
                      <item value="7">TM 3.2</item>
                      <item value="8">TM 3.3</item>
                    </enum>
                  </Parameter>
                  <Parameter id="SCS" name="SCS" value="1" type="int" unit="" description="Subcarrier Spacing">
                    <enum>
                      <item value="0">15 kHz</item>
                      <item value="1">30 kHz</item>
                      <item value="2">60 kHz</item>
                    </enum>
                  </Parameter>
                  <Parameter id="Duplex" name="Duplex" value="0" type="int" unit="" description="Duplexing">
                    <enum>
                      <item value="0">FDD</item>
                      <item value="1">TDD</item>
                    </enum>
                  </Parameter>
                  <Parameter id="Base Station Type" name="Base Station Type" value="0" type="int" unit="" description="">
                    <enum>
                      <item value="0">C</item>
                      <item value="1">H</item>
                      <item value="2">O</item>
                    </enum>
                  </Parameter>
                  <Parameter id="Frequency [MHz]" name="Frequency " value="1000" type="double" unit="MHz" description="" />
                  <Parameter id="Channel Bandwidth (MHz)" name="Channel Bandwidth (MHz)" value="12" type="int" unit="" description="Channel Bandwidth">
                    <enum>
                      <item value="0">5</item>
                      <item value="1">10</item>
                      <item value="2">15</item>
                      <item value="3">20</item>
                      <item value="4">25</item>
                      <item value="5">30</item>
                      <item value="6">40</item>
                      <item value="7">50</item>
                      <item value="8">60</item>
                      <item value="9">70</item>
                      <item value="10">80</item>
                      <item value="11">90</item>
                      <item value="12">100</item>
                    </enum>
                  </Parameter>
                </Parameters>
              </Function>
            </Functions>
          </Device>
          <Device id="8d96b4f8-0ef4-4309-9e8b-eacd8f91b439" name="Notch /n.a." type="B_Notch" selectedId="Init" position="785.991314044346,319.719563184678">
            <Functions>
              <Function id="Init" refId="">
                <Parameters />
              </Function>
            </Functions>
          </Device>
          <Device id="aa25ee65-6a4b-4191-8b45-28b9e9370097" name="Limiter /n.a." type="B_Limiter" selectedId="Init" position="786.731808409433,62.1817784451784">
            <Functions>
              <Function id="Init" refId="">
                <Parameters />
              </Function>
            </Functions>
          </Device>
          <Device id="dbd32e50-5413-4901-8d52-09436d0f2d94" name="SwitchLeft /n.a" type="B_SwitchLeft" selectedId="Init" position="279.11471968258,-78.6425553795075">
            <Functions>
              <Function id="Init" refId="">
                <Parameters />
              </Function>
            </Functions>
          </Device>
          <Device id="0f730777-1ba7-4307-990c-656a3d33e4ea" name="SwitchRight /n.a" type="B_SwitchRight" selectedId="Init" position="1044.12671267499,-78.3051823225209">
            <Functions>
              <Function id="Init" refId="">
                <Parameters />
              </Function>
            </Functions>
          </Device>
          <Device id="d08e1d37-a561-463c-9289-84905046dbd2" name="HybridCoupler /n.a." type="B_HybridCoupler" selectedId="Init" position="535.57190818971,193.596119807339">
            <Functions>
              <Function id="Init" refId="">
                <Parameters />
              </Function>
            </Functions>
          </Device>
          <Device id="37a63fce-20be-4270-8cb8-198bb0891da0" name="Circulator /n.a." type="B_Circulator" selectedId="Init" position="785.374361705591,524.505877196497">
            <Functions>
              <Function id="Init" refId="">
                <Parameters />
              </Function>
            </Functions>
          </Device>
          <Device id="08d5920d-c4fa-4850-85a8-fa429a2cf3ec" name="Attenuator TestCase 6.4" type="Attenuator" selectedId="Init" position="536.298111383354,82.1636274814824">
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" unit="" description="">
                    <enum>
                      <item value="sub">Subelements</item>
                      <item value="att">Path Loss</item>
                      <item value="snp">SnP File</item>
                      <item value="csv">CSV File</item>
                    </enum>
                  </Parameter>
                  <Parameter id="att" name="Path Loss" value="0" type="double" unit="dB" description="Negative value for path loss, positive value for path gain!" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" unit="" description="Enter filename and parameter: Filename.sNp [Snn] , e.g. cable_15dB_att.s2p [S21]" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" unit="" description="Enter filename with extension *.csv , e.g. myLosses.csv" />
                </Parameters>
              </Function>
            </Functions>
          </Device>
          <Device id="4ed61c5a-2d94-4759-b065-9236d97382cb" name="Attenuator TestCase 6.5.4" type="Attenuator" selectedId="Init" position="765.229488965578,213.497668500137">
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" unit="" description="">
                    <enum>
                      <item value="sub">Subelements</item>
                      <item value="att">Path Loss</item>
                      <item value="snp">SnP File</item>
                      <item value="csv">CSV File</item>
                    </enum>
                  </Parameter>
                  <Parameter id="att" name="Path Loss" value="0" type="double" unit="dB" description="Negative value for path loss, positive value for path gain!" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" unit="" description="Enter filename and parameter: Filename.sNp [Snn] , e.g. cable_15dB_att.s2p [S21]" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" unit="" description="Enter filename with extension *.csv , e.g. myLosses.csv" />
                </Parameters>
              </Function>
            </Functions>
          </Device>
          <Device id="6e666c43-79ad-4ded-8e5e-84e7ef95ae0d" name="Attenuator TestCase 6.6.5" type="Attenuator" selectedId="Init" position="519.238696246791,339.627181268475">
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" unit="" description="">
                    <enum>
                      <item value="sub">Subelements</item>
                      <item value="att">Path Loss</item>
                      <item value="snp">SnP File</item>
                      <item value="csv">CSV File</item>
                    </enum>
                  </Parameter>
                  <Parameter id="att" name="Path Loss" value="0" type="double" unit="dB" description="Negative value for path loss, positive value for path gain!" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" unit="" description="Enter filename and parameter: Filename.sNp [Snn] , e.g. cable_15dB_att.s2p [S21]" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" unit="" description="Enter filename with extension *.csv , e.g. myLosses.csv" />
                </Parameters>
              </Function>
            </Functions>
          </Device>
          <Device id="a5133560-e747-4619-87b7-1fcfcbfe60a6" name="Interfer.TestCase 6.7 /n.a." type="B_RS_PA_APT_SignalGenerator" selectedId="Init" position="540.295009185632,455.142846698287">
            <Functions>
              <Function id="Init" refId="">
                <Parameters />
              </Function>
            </Functions>
          </Device>
        </Devices>
        <Connections>
          <Connection id="aa85c535-00be-478e-b190-f972ed4492e9">
            <Source deviceId="d37546c2-a955-4be3-8495-22cbedd0c4ce" port="RfOut" name="RF Out" />
            <Target deviceId="dbd32e50-5413-4901-8d52-09436d0f2d94" port="Port_1" name="In" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="5b03dee0-6adc-4994-aa86-31a769648189">
            <Source deviceId="d37546c2-a955-4be3-8495-22cbedd0c4ce" port="User_1" name="User 1" />
            <Target deviceId="20382f4c-8191-47df-b76a-36e82f0fb5ac" port="Port_1" name="1 In" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="7ff61475-de94-41ab-9e1c-65d1962b16e1">
            <Source deviceId="20382f4c-8191-47df-b76a-36e82f0fb5ac" port="Port_5" name="Out 1" />
            <Target deviceId="833106cb-eba5-4f19-bd2c-7a84bcdeb7ae" port="TRIG_1" name="TRIG 1" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="719b9a50-1e55-43cd-a363-7a038aff6702">
            <Source deviceId="d37546c2-a955-4be3-8495-22cbedd0c4ce" port="MHz_Out" name="10MHz Out" />
            <Target deviceId="20382f4c-8191-47df-b76a-36e82f0fb5ac" port="Port_2" name="2 In" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="ad5ed91c-9a99-433a-b6e5-438bd1c8e1f0">
            <Source deviceId="20382f4c-8191-47df-b76a-36e82f0fb5ac" port="Port_6" name="Out 2" />
            <Target deviceId="833106cb-eba5-4f19-bd2c-7a84bcdeb7ae" port="10MHzin" name="10MHz in" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="72d054ee-f125-472a-b1f2-8ada373965d2">
            <Source deviceId="0f730777-1ba7-4307-990c-656a3d33e4ea" port="Port_6" name="Out" />
            <Target deviceId="833106cb-eba5-4f19-bd2c-7a84bcdeb7ae" port="RF_IN" name="RF IN" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="97faac38-aa48-4a5e-8217-6ad3d0bcfa3b">
            <Source deviceId="08d5920d-c4fa-4850-85a8-fa429a2cf3ec" port="out" name="Out" />
            <Target deviceId="aa25ee65-6a4b-4191-8b45-28b9e9370097" port="Port_1" name="In" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="f2ef84f9-02ce-4f53-8117-080e1032d6cc">
            <Source deviceId="4ed61c5a-2d94-4759-b065-9236d97382cb" port="out" name="Out" />
            <Target deviceId="0f730777-1ba7-4307-990c-656a3d33e4ea" port="Port_3" name="In 3" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="ae6d7535-3d29-4a87-83d3-2156fc20ca39">
            <Source deviceId="d08e1d37-a561-463c-9289-84905046dbd2" port="Port_5" name="Out" />
            <Target deviceId="4ed61c5a-2d94-4759-b065-9236d97382cb" port="in" name="In" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="8a1ada97-253c-495f-8577-a769007b6109">
            <Source deviceId="dbd32e50-5413-4901-8d52-09436d0f2d94" port="Port_4" name="Out 3" />
            <Target deviceId="d08e1d37-a561-463c-9289-84905046dbd2" port="Port_1" name="In 1" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="0d863331-0d3f-40ba-ad00-275214823548">
            <Source deviceId="d08e1d37-a561-463c-9289-84905046dbd2" port="Port_1" name="In 1" />
            <Target deviceId="d08e1d37-a561-463c-9289-84905046dbd2" port="Port_2" name="In 2" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="209d6dbc-094d-4003-8d29-d2cc36affa1b">
            <Source deviceId="d08e1d37-a561-463c-9289-84905046dbd2" port="Port_2" name="In 2" />
            <Target deviceId="d08e1d37-a561-463c-9289-84905046dbd2" port="Port_3" name="In 3" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="99000a84-93a8-4e30-8d68-de66296ec6a8">
            <Source deviceId="d08e1d37-a561-463c-9289-84905046dbd2" port="Port_3" name="In 3" />
            <Target deviceId="d08e1d37-a561-463c-9289-84905046dbd2" port="Port_4" name="In 4" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="2a2578e2-df9c-4b32-96c7-71892b7a0184">
            <Source deviceId="dbd32e50-5413-4901-8d52-09436d0f2d94" port="Port_5" name="Out 4" />
            <Target deviceId="6e666c43-79ad-4ded-8e5e-84e7ef95ae0d" port="in" name="In" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="6e9d221a-425b-4140-88f6-eeabf499c439">
            <Source deviceId="6e666c43-79ad-4ded-8e5e-84e7ef95ae0d" port="out" name="Out" />
            <Target deviceId="8d96b4f8-0ef4-4309-9e8b-eacd8f91b439" port="Port_1" name="In" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="59c5d33f-5c48-4951-a130-2055d6c56fc7">
            <Source deviceId="8d96b4f8-0ef4-4309-9e8b-eacd8f91b439" port="Port_2" name="Out" />
            <Target deviceId="0f730777-1ba7-4307-990c-656a3d33e4ea" port="Port_4" name="In 4" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="b251fd06-00da-4c0f-b143-e238a0cf9703">
            <Source deviceId="37a63fce-20be-4270-8cb8-198bb0891da0" port="Port_3" name="Port_3" />
            <Target deviceId="0f730777-1ba7-4307-990c-656a3d33e4ea" port="Port_5" name="In 5" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="fa312652-d434-4c0b-b363-7814a714db8d">
            <Source deviceId="dbd32e50-5413-4901-8d52-09436d0f2d94" port="Port_6" name="Out 5" />
            <Target deviceId="37a63fce-20be-4270-8cb8-198bb0891da0" port="Port_2" name="Port_2" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="80a2b3ea-0620-453f-bffd-a7607a9bb816">
            <Source deviceId="a5133560-e747-4619-87b7-1fcfcbfe60a6" port="RF_Out" name="RF" />
            <Target deviceId="37a63fce-20be-4270-8cb8-198bb0891da0" port="Port_1" name="Port_1" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="cde055c0-2a67-42cf-9b50-996f2a507f9e">
            <Source deviceId="aa25ee65-6a4b-4191-8b45-28b9e9370097" port="Port_2" name="Out" />
            <Target deviceId="0f730777-1ba7-4307-990c-656a3d33e4ea" port="Port_2" name="In 2" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="2869dda1-fdee-4c5c-9a64-2e0a05a5d791">
            <Source deviceId="dbd32e50-5413-4901-8d52-09436d0f2d94" port="Port_3" name="Out 2" />
            <Target deviceId="08d5920d-c4fa-4850-85a8-fa429a2cf3ec" port="in" name="In" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="0fabdfa0-ea7c-4604-b696-0893efa3d731">
            <Source deviceId="dbd32e50-5413-4901-8d52-09436d0f2d94" port="Port_2" name="Out 1" />
            <Target deviceId="c2cee76d-76ef-457d-ab33-abcd5547e8cd" port="in" name="In" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
          <Connection id="a8e03a47-9ae5-4ddb-bb28-efe49504bd7f">
            <Source deviceId="c2cee76d-76ef-457d-ab33-abcd5547e8cd" port="out" name="Out" />
            <Target deviceId="0f730777-1ba7-4307-990c-656a3d33e4ea" port="Port_1" name="In 1" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                  <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                  <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
        </Connections>
        <ConnectionGroups>
          <ConnectionGroup name="FSWInputPath" id="6f5f4414-98c6-40f9-93b7-9434cfc400d0">
            <Function id="Init" refId="">
              <Parameters>
                <Parameter id="use" name="Use" value="sub" type="char[SHORTNAMELENGTH]" logging="false" />
                <Parameter id="att" name="Path Loss" value="0" type="double" logging="false" />
                <Parameter id="snp" name="SnP File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
                <Parameter id="csv" name="CSV File" value="" type="char[SHORTNAMELENGTH]" logging="false" />
              </Parameters>
            </Function>
            <Device refId="c2cee76d-76ef-457d-ab33-abcd5547e8cd" />
          </ConnectionGroup>
        </ConnectionGroups>
      </Project>
    </Projects>
  </SystemDefinition>
  <TestrunBefore name="Testrun Before" enabled="true" description="The Block Functions in this phase are executed only once at the start of the test." condition="">
    <TestStep index="0" enabled="true" breakpoint="false" id="0" refTpId="MainProcedureBefore">
      <Description></Description>
      <Parameters />
      <TestFunction id="0" refTpFunctionId="8e084f08-b816-47f6-9862-4e7bca715ceb" refTpId="MainProcedureBefore">
        <Parameters>
          <Parameter id="ForceScpi" value="True" />
          <Parameter id="VisaResource" value="$M.FSW_VISA" />
          <Parameter id="SMW" value="$M.SMW_VISA" />
          <Parameter id="useSMW" value="False" />
        </Parameters>
        <Replies>
          <Reply id="ReplyMessage" value="" />
        </Replies>
      </TestFunction>
      <TestFunction id="1" refTpFunctionId="bbb69e28-b862-4176-9707-2b38c85a0377" refTpId="MainProcedureBefore">
        <Parameters>
          <Parameter id="ShowPreview" value="False" />
          <Parameter id="height" value="90" />
          <Parameter id="width" value="50" />
          <Parameter id="top" value="0" />
          <Parameter id="left" value="0" />
          <Parameter id="monitor" value="1" />
        </Parameters>
        <Replies>
          <Reply id="ReplyMessage" value="" />
        </Replies>
      </TestFunction>
      <TestFunction id="2" refTpFunctionId="76f57e24-3e87-4c64-ad4e-62eba2fbdba3" refTpId="MainProcedureBefore">
        <Parameters>
          <Parameter id="VisaResource" value="$M.FSW_VISA" />
          <Parameter id="keepOpen" value="False" />
          <Parameter id="VisaResource2" value="TCPIP::127.0.0.1:hislip999" />
          <Parameter id="VisaResource3" value="TCPIP::127.0.0.1:hislip999" />
          <Parameter id="VisaResource4" value="TCPIP::127.0.0.1:hislip999" />
          <Parameter id="VisaResource5" value="TCPIP::127.0.0.1:hislip999" />
          <Parameter id="CommandType" value="Write" />
          <Parameter id="ScpiCmd" value="SYSTem:DISPlay:UPDate ON" />
          <Parameter id="CommandType2" value="" />
          <Parameter id="ScpiCmd2" value="" />
          <Parameter id="CommandType3" value="" />
          <Parameter id="ScpiCmd3" value="" />
          <Parameter id="CommandType4" value="" />
          <Parameter id="ScpiCmd4" value="" />
          <Parameter id="CommandType5" value="" />
          <Parameter id="ScpiCmd5" value="" />
        </Parameters>
        <Replies>
          <Reply id="ReplyMessage" value="" />
        </Replies>
      </TestFunction>
      <TestFunction id="3" refTpFunctionId="8ae66051-af4c-4d94-a6b8-2aa620a9101b" refTpId="MainProcedureBefore">
        <Parameters>
          <Parameter id="ConnectionType" value="1" />
          <Parameter id="Server" value="$V.SMW" />
          <Parameter id="Username" value="instrument" />
          <Parameter id="Password" value="instrument" />
          <Parameter id="WindowName" value="SMW GUI" />
          <Parameter id="Monitor" value="0" />
          <Parameter id="WindowHeight" value="60" />
          <Parameter id="WindowWidth" value="40" />
          <Parameter id="YPositioning" value="40" />
          <Parameter id="XPositioning" value="0" />
        </Parameters>
        <Replies />
      </TestFunction>
      <TestFunction id="4" refTpFunctionId="ad5023b9-fece-472d-a004-19128f45f143" refTpId="MainProcedureBefore">
        <Parameters>
          <Parameter id="FileNameImage" value=".\ConfigurationFiles\FullSetup.png" />
          <Parameter id="Title" value="Full Test Setup" />
          <Parameter id="Message" value="The figure shows the full test setup for a real base-station test. For the purpose of this demo an SMW is used to emulate the base-station." />
          <Parameter id="Type" value="OK" />
          <Parameter id="height" value="80" />
          <Parameter id="width" value="70" />
          <Parameter id="top" value="10" />
          <Parameter id="left" value="15" />
          <Parameter id="monitor" value="primary" />
        </Parameters>
        <Replies>
          <Reply id="Reply" value="" />
        </Replies>
      </TestFunction>
      <TestFunction id="5" refTpFunctionId="481c33b8-064e-464f-985a-53b156b678d2" refTpId="MainProcedureBefore">
        <Parameters>
          <Parameter id="ConnectionType" value="2" />
          <Parameter id="Server" value="$V.FSW" />
          <Parameter id="Username" value="instrument" />
          <Parameter id="Password" value="894129" />
          <Parameter id="WindowName" value="FSW GUI" />
          <Parameter id="Monitor" value="0" />
          <Parameter id="WindowHeight" value="40" />
          <Parameter id="WindowWidth" value="33" />
          <Parameter id="YPositioning" value="0" />
          <Parameter id="XPositioning" value="0" />
        </Parameters>
        <Replies />
      </TestFunction>
      <TestFunction id="6" refTpFunctionId="2d0c02e8-65c3-43e0-a555-e7330ff603c3" refTpId="MainProcedureBefore">
        <Parameters>
          <Parameter id="FileNameImage" value=".\ConfigurationFiles\Setup.png" />
          <Parameter id="Title" value="Starting Test" />
          <Parameter id="Message" value="The test model and other parameters can be adjusted in the SYSTEM CONFIGURATOR tab of R&amp;S QuickStep. For demo only!" />
          <Parameter id="Type" value="OK" />
          <Parameter id="height" value="80" />
          <Parameter id="width" value="70" />
          <Parameter id="top" value="10" />
          <Parameter id="left" value="15" />
          <Parameter id="monitor" value="primary" />
        </Parameters>
        <Replies>
          <Reply id="Reply" value="" />
        </Replies>
      </TestFunction>
      <Limits>
        <StaticResultLimits />
        <DynamicResultLimits />
      </Limits>
    </TestStep>
  </TestrunBefore>
  <TestrunAfter name="Testrun After" enabled="true" description="" condition="">
    <TestStep index="0" enabled="true" breakpoint="false" id="0" refTpId="MainProcedureAfter">
      <Description></Description>
      <Parameters />
      <TestFunction id="0" refTpFunctionId="e9f35d14-ba03-4cae-b2a9-6edc928a6338" refTpId="MainProcedureAfter">
        <Parameters />
        <Replies />
      </TestFunction>
      <TestFunction id="1" refTpFunctionId="e3df0b3a-6924-4b35-803a-0bce8fb0b8c9" refTpId="MainProcedureAfter">
        <Parameters />
        <Replies />
      </TestFunction>
      <TestFunction id="2" refTpFunctionId="e4d057cf-3e55-4796-ba19-f976036e499f" refTpId="MainProcedureAfter">
        <Parameters>
          <Parameter id="FileNameImage" value=".\ConfigurationFiles\Finish.png" />
          <Parameter id="Title" value="Test completed" />
          <Parameter id="Message" value="Please go to the RESULT VIEWER tab and open the test report." />
          <Parameter id="Type" value="OK" />
          <Parameter id="height" value="80" />
          <Parameter id="width" value="60" />
          <Parameter id="top" value="10" />
          <Parameter id="left" value="20" />
          <Parameter id="monitor" value="primary" />
        </Parameters>
        <Replies>
          <Reply id="Reply" value="" />
        </Replies>
      </TestFunction>
      <Limits>
        <StaticResultLimits />
        <DynamicResultLimits />
      </Limits>
    </TestStep>
  </TestrunAfter>
  <GroupBefore />
  <GroupAfter />
  <RepetitionBefore name="DUT Loop Before" enabled="true" description="" condition="">
    <TestStep index="0" enabled="true" breakpoint="false" id="0" refTpId="MainProcedureBefore">
      <Description></Description>
      <Parameters />
      <TestFunction id="0" refTpFunctionId="60a8156e-4eb0-434d-8ad9-f4d147ec0070" refTpId="MainProcedureBefore">
        <Parameters>
          <Parameter id="Type" value="Body1" />
          <Parameter id="DutName" value="" />
          <Parameter id="ReportName" value="R&amp;S BS 5G TX Test Demo" />
          <Parameter id="Title" value="" />
          <Parameter id="Subtitle" value="" />
        </Parameters>
        <Replies />
      </TestFunction>
      <Limits>
        <StaticResultLimits />
        <DynamicResultLimits />
      </Limits>
    </TestStep>
  </RepetitionBefore>
  <RepetitionAfter name="DUT Loop After" enabled="true" description="" condition="">
    <TestStep index="0" enabled="true" breakpoint="false" id="0" refTpId="MainProcedureAfter">
      <Description></Description>
      <Parameters />
      <TestFunction id="0" refTpFunctionId="705ccc05-5546-46a4-86a2-b46957db1c0d" refTpId="MainProcedureAfter">
        <Parameters>
          <Parameter id="ReportType" value="PDF" />
          <Parameter id="ReportPath" value="" />
        </Parameters>
        <Replies>
          <Reply id="FullReportPath" value="" />
        </Replies>
      </TestFunction>
      <Limits>
        <StaticResultLimits />
        <DynamicResultLimits />
      </Limits>
    </TestStep>
  </RepetitionAfter>
  <TestProcedureBefore />
  <TestProcedureAfter />
  <TestGroup>
    <TestPlan index="0" name="Test 1" enabled="true" description="" condition="">
      <TestSteps>
        <TestStep index="1" enabled="true" breakpoint="true" id="1" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
          <Description></Description>
          <Parameters />
          <TestFunction id="1" refTpFunctionId="7bcbff0a-68fc-4fa5-ba2c-7092ec1ed0b7" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="supports_256QAM" value="False" />
              <Parameter id="powerbackoff" value="False" />
            </Parameters>
            <Replies />
          </TestFunction>
          <TestFunction id="2" refTpFunctionId="153d76ee-9627-43be-b019-1b76d8dead16" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="Path" value="AnalyzerInPath" />
              <Parameter id="Frequency" value="0" />
              <Parameter id="WriteToResultLog" value="True" />
              <Parameter id="ResultHeader" value="In_Loss" />
            </Parameters>
            <Replies>
              <Reply id="PathLoss" value="$G.PathLoss" />
            </Replies>
          </TestFunction>
          <TestFunction id="3" refTpFunctionId="8cf06c16-63d8-4f6c-bea4-4bbd5df84e93" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters />
            <Replies />
          </TestFunction>
          <TestFunction id="4" refTpFunctionId="fa49bcd7-f700-4ce1-b2bb-cb3230fbd43a" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters />
            <Replies />
          </TestFunction>
          <TestFunction id="5" refTpFunctionId="2131b7aa-64f7-4386-afb6-2e454ace8a42" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters />
            <Replies />
          </TestFunction>
          <TestFunction id="6" refTpFunctionId="d3be4527-6ba6-48ed-be32-005989d075af" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters />
            <Replies />
          </TestFunction>
          <TestFunction id="7" refTpFunctionId="1f1206fa-3925-43d1-948b-20ec00194680" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters />
            <Replies />
          </TestFunction>
          <TestFunction id="8" refTpFunctionId="9dce21e8-1e90-491b-aa99-ef8a22469b23" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters />
            <Replies />
          </TestFunction>
          <TestFunction id="9" refTpFunctionId="fd3f1ab7-518f-49f2-8f64-611802d52f68" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="Category" value="0" />
            </Parameters>
            <Replies>
              <Reply id="FreqStart" value="" />
              <Reply id="FreqStop" value="" />
              <Reply id="RBW" value="" />
              <Reply id="Level" value="" />
            </Replies>
          </TestFunction>
          <TestFunction id="10" refTpFunctionId="16d0274a-5fd4-41fc-b9ba-5967f57cf8db" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="Category" value="0" />
            </Parameters>
            <Replies>
              <Reply id="FreqStart" value="" />
              <Reply id="FreqStop" value="" />
              <Reply id="RBW" value="" />
              <Reply id="Level" value="" />
            </Replies>
          </TestFunction>
          <TestFunction id="11" refTpFunctionId="e24e3cd9-3d4a-4c6a-b38e-d09920012f9b" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters />
            <Replies>
              <Reply id="OccupiedBW" value="" />
            </Replies>
          </TestFunction>
          <TestFunction id="12" refTpFunctionId="ed558c80-5164-46f8-87b1-4846acd162ae" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="Layers" value="0" />
            </Parameters>
            <Replies>
              <Reply id="TimeError" value="" />
            </Replies>
          </TestFunction>
          <TestFunction id="13" refTpFunctionId="6db8112c-c5d5-477c-ba20-568bade74173" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="DCIgnore" value="True" />
            </Parameters>
            <Replies>
              <Reply id="FreqErr" value="" />
              <Reply id="EVM" value="" />
              <Reply id="Power" value="" />
            </Replies>
          </TestFunction>
          <TestFunction id="14" refTpFunctionId="efed9c0f-cbaf-4cd7-96b9-a4beeff3ec1a" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="NoisCanc" value="True" />
            </Parameters>
            <Replies>
              <Reply id="OffPower" value="" />
              <Reply id="TransPeriod" value="" />
            </Replies>
          </TestFunction>
          <TestFunction id="15" refTpFunctionId="d259680d-9313-48f1-a311-c15c64bdf793" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="DCIgnore" value="True" />
            </Parameters>
            <Replies>
              <Reply id="Power" value="" />
              <Reply id="EVM" value="" />
              <Reply id="FreqErr" value="" />
            </Replies>
          </TestFunction>
          <TestFunction id="16" refTpFunctionId="929b231f-0b24-443f-96de-6528b129c3e2" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="BW_Interferer" value="0" />
              <Parameter id="Offset" value="1" />
              <Parameter id="Category" value="0" />
            </Parameters>
            <Replies>
              <Reply id="ACLR" value="" />
              <Reply id="SEMStartFreq" value="" />
              <Reply id="SEMStopFreq" value="" />
              <Reply id="SEMRBW" value="" />
              <Reply id="SEMPow" value="" />
              <Reply id="SpurStartFreq" value="" />
              <Reply id="SpurStopFreq" value="" />
              <Reply id="SpurRPW" value="" />
              <Reply id="SpurPow" value="" />
            </Replies>
          </TestFunction>
          <TestFunction id="17" refTpFunctionId="f0fbf999-c433-4de3-94f6-ad0c80275b93" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="NoiseCancel" value="True" />
              <Parameter id="AdjChann" value="0" />
            </Parameters>
            <Replies>
              <Reply id="ACLRResult" value="" />
            </Replies>
          </TestFunction>
          <TestFunction id="18" refTpFunctionId="36afb494-3cc1-4401-91f0-e89ca4cc0dfc" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="RFpath" value="0" />
              <Parameter id="MIMO" value="False" />
              <Parameter id="SMW" value="$M.SMW_VISA" />
              <Parameter id="setPower" value="$M.SMW Power [dBm]" />
            </Parameters>
            <Replies />
          </TestFunction>
          <TestFunction id="19" refTpFunctionId="d90c5037-baab-44f1-828e-a35ce16c6447" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="Reset" value="True" />
              <Parameter id="ExtRef" value="True" />
              <Parameter id="Frequency" value="$M.Frequency [MHz]" />
              <Parameter id="RefLev" value="5" />
              <Parameter id="Deployment" value="$M.Deployment" />
              <Parameter id="ChannelBW" value="$M.Channel Bandwidth (MHz)" />
              <Parameter id="TM" value="$M.NR-TM" />
              <Parameter id="SCS" value="$M.SCS" />
              <Parameter id="Duplex" value="$M.Duplex" />
              <Parameter id="Attenuation" value="$G.PathLoss" />
              <Parameter id="AttenuationSMW" value="0.0" />
              <Parameter id="BSType" value="$M.Base Station Type" />
              <Parameter id="useGateForTdd" value="$M.Use Gating for TDD" />
              <Parameter id="gateLength" value="$M.Gate Length [msec]" />
            </Parameters>
            <Replies />
          </TestFunction>
          <Limits>
            <StaticResultLimits />
            <DynamicResultLimits />
          </Limits>
        </TestStep>
      </TestSteps>
    </TestPlan>
  </TestGroup>
  <Mapping selectedSysConfId="2968e174-3412-4643-9b0b-13f472c31100">
    <ParameterMapping refSysConfId="2968e174-3412-4643-9b0b-13f472c31100">
      <Map id="SMW_VISA" refSysBlockId="d37546c2-a955-4be3-8495-22cbedd0c4ce" />
      <Map id="FSW_VISA" refSysBlockId="833106cb-eba5-4f19-bd2c-7a84bcdeb7ae" />
      <Map id="Deployment" refSysBlockId="e018613d-44be-4251-8df4-88f7a5513edb" />
      <Map id="NR-TM" refSysBlockId="e018613d-44be-4251-8df4-88f7a5513edb" />
      <Map id="SCS" refSysBlockId="e018613d-44be-4251-8df4-88f7a5513edb" />
      <Map id="Duplex" refSysBlockId="e018613d-44be-4251-8df4-88f7a5513edb" />
      <Map id="Base Station Type" refSysBlockId="e018613d-44be-4251-8df4-88f7a5513edb" />
      <Map id="Frequency [MHz]" refSysBlockId="e018613d-44be-4251-8df4-88f7a5513edb" />
      <Map id="Channel Bandwidth (MHz)" refSysBlockId="e018613d-44be-4251-8df4-88f7a5513edb" />
      <Map id="Use Gating for TDD" refSysBlockId="833106cb-eba5-4f19-bd2c-7a84bcdeb7ae" />
      <Map id="Gate Length [msec]" refSysBlockId="833106cb-eba5-4f19-bd2c-7a84bcdeb7ae" />
      <Map id="SMW Power [dBm]" refSysBlockId="d37546c2-a955-4be3-8495-22cbedd0c4ce" />
    </ParameterMapping>
    <PathMapping refSysConfId="2968e174-3412-4643-9b0b-13f472c31100">
      <Map path="AnalyzerInPath" refSysPathId="6f5f4414-98c6-40f9-93b7-9434cfc400d0" sysPathName="FSWInputPath" />
    </PathMapping>
  </Mapping>
  <AdditionalInfo>
    <GUI version="5.0.0.0" />
    <Sequencer version="5.0.3" />
  </AdditionalInfo>
  <TestProjectParameters>
    <Parameter id="PathLoss" name="$G.PathLoss" type="double" unit="" enabled="true" description="Attenuation FSx" value="" projectparamtype="Variable" paramoperation="Create" paramcomment="" />
  </TestProjectParameters>
  <LimitTable />
  <AccessControl enabled="false">
    <Profiles>
      <Profile id="Developer">
        <ModuleConfiguration id="testSystemConfigurator" name="Test System Configurator">
          <Function id="testSystemConfigurator" refId="">
            <Parameters>
              <Parameter id="ShowTestSystemConfigurator" name="ShowTestSystemConfigurator" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testPlanEditor" name="Test Plan Editor">
          <Function id="testPlanEditor" refId="">
            <Parameters>
              <Parameter id="ShowTestPlanEditor" name="ShowTestPlanEditor" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="resultViewer" name="Result Viewer">
          <Function id="resultViewer" refId="">
            <Parameters>
              <Parameter id="ShowResultViewer" name="ShowResultViewer" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testProcedureEditor" name="Test Procedure Editor">
          <Function id="testProcedureEditor" refId="">
            <Parameters>
              <Parameter id="ShowTestProcedure" name="ShowTestProcedure" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testExecutionModule" name="Test Execution">
          <Function id="testExecutionModule" refId="">
            <Parameters>
              <Parameter id="ShowTestExecutionViewer" name="ShowTestExecutionViewer" value="True" type="bool" logging="false" />
              <Parameter id="ShowTestDebugger" name="ShowTestDebugger" value="True" type="bool" logging="false" />
              <Parameter id="System Selection" name="System Selection" value="True" type="bool" logging="false" />
              <Parameter id="Single Run" name="Single Run" value="True" type="bool" logging="false" />
              <Parameter id="Continous Run" name="Continous Run" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testProgress" name="Test Progress">
          <Function id="testProgress" refId="">
            <Parameters>
              <Parameter id="Continue" name="Continue" value="True" type="bool" logging="false" />
              <Parameter id="Step" name="Step" value="True" type="bool" logging="false" />
              <Parameter id="Break" name="Break" value="True" type="bool" logging="false" />
              <Parameter id="Abort" name="Abort" value="True" type="bool" logging="false" />
              <Parameter id="Kill" name="Kill" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
      </Profile>
      <Profile id="TestPlanEditor">
        <ModuleConfiguration id="testSystemConfigurator" name="Test System Configurator">
          <Function id="testSystemConfigurator" refId="">
            <Parameters>
              <Parameter id="ShowTestSystemConfigurator" name="ShowTestSystemConfigurator" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testPlanEditor" name="Test Plan Editor">
          <Function id="testPlanEditor" refId="">
            <Parameters>
              <Parameter id="ShowTestPlanEditor" name="ShowTestPlanEditor" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="resultViewer" name="Result Viewer">
          <Function id="resultViewer" refId="">
            <Parameters>
              <Parameter id="ShowResultViewer" name="ShowResultViewer" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testProcedureEditor" name="Test Procedure Editor">
          <Function id="testProcedureEditor" refId="">
            <Parameters>
              <Parameter id="ShowTestProcedure" name="ShowTestProcedure" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testExecutionModule" name="Test Execution">
          <Function id="testExecutionModule" refId="">
            <Parameters>
              <Parameter id="ShowTestExecutionViewer" name="ShowTestExecutionViewer" value="True" type="bool" logging="false" />
              <Parameter id="ShowTestDebugger" name="ShowTestDebugger" value="True" type="bool" logging="false" />
              <Parameter id="System Selection" name="System Selection" value="True" type="bool" logging="false" />
              <Parameter id="Single Run" name="Single Run" value="True" type="bool" logging="false" />
              <Parameter id="Continous Run" name="Continous Run" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testProgress" name="Test Progress">
          <Function id="testProgress" refId="">
            <Parameters>
              <Parameter id="Continue" name="Continue" value="True" type="bool" logging="false" />
              <Parameter id="Step" name="Step" value="True" type="bool" logging="false" />
              <Parameter id="Break" name="Break" value="True" type="bool" logging="false" />
              <Parameter id="Abort" name="Abort" value="True" type="bool" logging="false" />
              <Parameter id="Kill" name="Kill" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
      </Profile>
      <Profile id="Operator">
        <ModuleConfiguration id="testSystemConfigurator" name="Test System Configurator">
          <Function id="testSystemConfigurator" refId="">
            <Parameters>
              <Parameter id="ShowTestSystemConfigurator" name="ShowTestSystemConfigurator" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testPlanEditor" name="Test Plan Editor">
          <Function id="testPlanEditor" refId="">
            <Parameters>
              <Parameter id="ShowTestPlanEditor" name="ShowTestPlanEditor" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="resultViewer" name="Result Viewer">
          <Function id="resultViewer" refId="">
            <Parameters>
              <Parameter id="ShowResultViewer" name="ShowResultViewer" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testProcedureEditor" name="Test Procedure Editor">
          <Function id="testProcedureEditor" refId="">
            <Parameters>
              <Parameter id="ShowTestProcedure" name="ShowTestProcedure" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testExecutionModule" name="Test Execution">
          <Function id="testExecutionModule" refId="">
            <Parameters>
              <Parameter id="ShowTestExecutionViewer" name="ShowTestExecutionViewer" value="True" type="bool" logging="false" />
              <Parameter id="ShowTestDebugger" name="ShowTestDebugger" value="True" type="bool" logging="false" />
              <Parameter id="System Selection" name="System Selection" value="True" type="bool" logging="false" />
              <Parameter id="Single Run" name="Single Run" value="True" type="bool" logging="false" />
              <Parameter id="Continous Run" name="Continous Run" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testProgress" name="Test Progress">
          <Function id="testProgress" refId="">
            <Parameters>
              <Parameter id="Continue" name="Continue" value="True" type="bool" logging="false" />
              <Parameter id="Step" name="Step" value="True" type="bool" logging="false" />
              <Parameter id="Break" name="Break" value="True" type="bool" logging="false" />
              <Parameter id="Abort" name="Abort" value="True" type="bool" logging="false" />
              <Parameter id="Kill" name="Kill" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
      </Profile>
    </Profiles>
    <Users>
      <User name="Developer" password="" profileId="Developer" />
      <User name="TestPlanEditor" password="" profileId="TestPlanEditor" />
      <User name="Operator" password="" profileId="Operator" />
    </Users>
  </AccessControl>
  <TestProcedures>
    <ConnectivityPlan>
      <Devices>
        <Device id="f826fce5-38db-4ce3-bd8d-302816611d8a" name="RS_Report" type="B_RS_Report" position="391,73.08">
          <Parameters>
            <Parameter id="Enabled" name="Enabled" value="True" default="True" type="bool" description="Enables block instance for test procedure execution" />
            <Parameter id="EmulationMode" name="Emulation Mode" value="True" default="False" type="bool" description="Enable the emulation mode for this instance" />
            <Parameter id="BlockInstanceColor" name="Block Instance Color" value="#8DB3E3" default="#FFF5E7" type="color" description="Select the color for this instance" />
          </Parameters>
          <Functions />
        </Device>
        <Device id="15985e7f-67d1-4cb9-8568-6ba853420658" name="NR_BS_TransmitterTests" type="B_NR_BS_TransmitterTests" position="8,-174.92">
          <Parameters>
            <Parameter id="Enabled" name="Enabled" value="True" default="True" type="bool" description="Enables block instance for test procedure execution" />
            <Parameter id="EmulationMode" name="Emulation Mode" value="False" default="False" type="bool" description="Enable the emulation mode for this instance" />
            <Parameter id="BlockInstanceColor" name="Block Instance Color" value="#FCD5B5" default="#FFF5E7" type="color" description="Select the color for this instance" />
          </Parameters>
          <Functions />
        </Device>
        <Device id="62a747ad-970b-4faa-aa7e-9221136c9285" name="RS_UtilityBase" type="B_RS_UtilityBase" position="-260,72.08">
          <Parameters>
            <Parameter id="Enabled" name="Enabled" value="True" default="True" type="bool" description="Enables block instance for test procedure execution" />
            <Parameter id="EmulationMode" name="Emulation Mode" value="False" default="False" type="bool" description="Enable the emulation mode for this instance" />
            <Parameter id="BlockInstanceColor" name="Block Instance Color" value="#B9CDE5" default="#FFF5E7" type="color" description="Select the color for this instance" />
          </Parameters>
          <Functions />
        </Device>
      </Devices>
      <Connections>
        <Connection id="0fdfc2ff-f1b0-40df-a82c-e6d24c7b483a">
          <Source deviceId="15985e7f-67d1-4cb9-8568-6ba853420658" port="BlockOutPort" name="BlockOutPort" />
          <Target deviceId="f826fce5-38db-4ce3-bd8d-302816611d8a" port="BlockInPort" name="BlockInPort" />
        </Connection>
      </Connections>
      <Parameters />
    </ConnectivityPlan>
    <MainProcedureBefore id="MainProcedureBefore" name="Main Procedure Before">
      <TestrunBefore enabled="True">
        <TestFunction id="bbb69e28-b862-4176-9707-2b38c85a0377" name="Init" type="TestFunction" blockid="f826fce5-38db-4ce3-bd8d-302816611d8a" functionid="Init" condition="" enabled="true" position="290,0" width="80" breakpoint="false">
          <Parameters>
            <Parameter id="ShowPreview" name="ShowPreview" value="False" type="bool" enabled="true" logging="false" />
            <Parameter id="height" name="Window Height" value="90" type="int" enabled="true" logging="false" />
            <Parameter id="width" name="Window Width" value="50" type="int" enabled="true" logging="false" />
            <Parameter id="top" name="Y-Positioning" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="left" name="X-Positioning" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="monitor" name="Monitor" value="1" type="int" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="ReplyMessage" name="ReplyMessage" value="" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
          </Replies>
          <Dependency to="8e084f08-b816-47f6-9862-4e7bca715ceb" />
          <Successor to="76f57e24-3e87-4c64-ad4e-62eba2fbdba3" />
        </TestFunction>
        <TestFunction id="8e084f08-b816-47f6-9862-4e7bca715ceb" name="Init" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Init" condition="" enabled="true" position="250,-120" width="160" breakpoint="false">
          <Parameters>
            <Parameter id="ForceScpi" name="Force sending SCPI commands." value="True" type="bool" enabled="true" logging="false" />
            <Parameter id="VisaResource" name="FSW" value="$M.FSW_VISA" type="VISA_Resource[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="SMW" name="SMW" value="$M.SMW_VISA" type="VISA_Resource[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="useSMW" name="useSMW" value="False" type="bool" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="ReplyMessage" name="ReplyMessage" value="" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
          </Replies>
          <Successor to="bbb69e28-b862-4176-9707-2b38c85a0377" />
        </TestFunction>
        <TestFunction id="2d0c02e8-65c3-43e0-a555-e7330ff603c3" name="Show Demo Setup" type="TestFunction" blockid="62a747ad-970b-4faa-aa7e-9221136c9285" functionid="ShowImage" condition="" enabled="true" position="-110,-120" width="160" breakpoint="false">
          <Parameters>
            <Parameter id="FileNameImage" name="Filename of the Image" value=".\ConfigurationFiles\Setup.png" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Title" name="Title" value="Starting Test" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Message" name="Message" value="The test model and other parameters can be adjusted in the SYSTEM CONFIGURATOR tab of R&amp;S QuickStep. For demo only!" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Type" name="Type" value="OK" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="height" name="Window Height" value="80" type="int" enabled="true" logging="false" />
            <Parameter id="width" name="Window Width" value="70" type="int" enabled="true" logging="false" />
            <Parameter id="top" name="Y-Positioning" value="10" type="int" enabled="true" logging="false" />
            <Parameter id="left" name="X-Positioning" value="15" type="int" enabled="true" logging="false" />
            <Parameter id="monitor" name="Monitor" value="primary" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="Reply" name="Reply" value="" type="char[...]" enabled="true" logging="false" />
          </Replies>
          <Successor to="481c33b8-064e-464f-985a-53b156b678d2" />
          <Dependency to="ad5023b9-fece-472d-a004-19128f45f143" />
        </TestFunction>
        <TestFunction id="481c33b8-064e-464f-985a-53b156b678d2" name="Instrument Show FSW" type="TestFunction" blockid="62a747ad-970b-4faa-aa7e-9221136c9285" functionid="InstrumentShowScreen" condition="" enabled="true" position="-110,0" width="160" breakpoint="false">
          <Parameters>
            <Parameter id="ConnectionType" name="Connection Type" value="2" type="int" enabled="true" logging="false" />
            <Parameter id="Server" name="Server" value="$V.FSW" type="VISA_Resource[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Username" name="Username" value="instrument" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Password" name="Password" value="894129" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="WindowName" name="Window Name" value="FSW GUI" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Monitor" name="Monitor" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="WindowHeight" name="Window Height" value="40" type="int" enabled="true" logging="false" />
            <Parameter id="WindowWidth" name="Window Width" value="33" type="int" enabled="true" logging="false" />
            <Parameter id="YPositioning" name="Y-Positioning" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="XPositioning" name="X-Positioning" value="0" type="int" enabled="true" logging="false" />
          </Parameters>
          <Replies />
          <Dependency to="2d0c02e8-65c3-43e0-a555-e7330ff603c3" />
          <Successor to="8ae66051-af4c-4d94-a6b8-2aa620a9101b" />
        </TestFunction>
        <TestFunction id="ad5023b9-fece-472d-a004-19128f45f143" name="Show Ideal Setup" type="TestFunction" blockid="62a747ad-970b-4faa-aa7e-9221136c9285" functionid="ShowImage" condition="" enabled="true" position="-90,-230" width="120" breakpoint="false">
          <Parameters>
            <Parameter id="FileNameImage" name="Filename of the Image" value=".\ConfigurationFiles\FullSetup.png" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Title" name="Title" value="Full Test Setup" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Message" name="Message" value="The figure shows the full test setup for a real base-station test. For the purpose of this demo an SMW is used to emulate the base-station." type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Type" name="Type" value="OK" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="height" name="Window Height" value="80" type="int" enabled="true" logging="false" />
            <Parameter id="width" name="Window Width" value="70" type="int" enabled="true" logging="false" />
            <Parameter id="top" name="Y-Positioning" value="10" type="int" enabled="true" logging="false" />
            <Parameter id="left" name="X-Positioning" value="15" type="int" enabled="true" logging="false" />
            <Parameter id="monitor" name="Monitor" value="primary" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="Reply" name="Reply" value="" type="char[...]" enabled="true" logging="false" />
          </Replies>
          <Successor to="2d0c02e8-65c3-43e0-a555-e7330ff603c3" />
        </TestFunction>
        <TestFunction id="8ae66051-af4c-4d94-a6b8-2aa620a9101b" name="Instrument Show SMW" type="TestFunction" blockid="62a747ad-970b-4faa-aa7e-9221136c9285" functionid="InstrumentShowScreen" condition="" enabled="true" position="-110,100" width="160" breakpoint="false">
          <Parameters>
            <Parameter id="ConnectionType" name="Connection Type" value="1" type="int" enabled="true" logging="false" />
            <Parameter id="Server" name="Server" value="$V.SMW" type="VISA_Resource[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Username" name="Username" value="instrument" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Password" name="Password" value="instrument" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="WindowName" name="Window Name" value="SMW GUI" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Monitor" name="Monitor" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="WindowHeight" name="Window Height" value="60" type="int" enabled="true" logging="false" />
            <Parameter id="WindowWidth" name="Window Width" value="40" type="int" enabled="true" logging="false" />
            <Parameter id="YPositioning" name="Y-Positioning" value="40" type="int" enabled="true" logging="false" />
            <Parameter id="XPositioning" name="X-Positioning" value="0" type="int" enabled="true" logging="false" />
          </Parameters>
          <Replies />
          <Dependency to="481c33b8-064e-464f-985a-53b156b678d2" />
        </TestFunction>
        <TestFunction id="76f57e24-3e87-4c64-ad4e-62eba2fbdba3" name="Visa: FSW Disp:Upd ON" type="TestFunction" blockid="62a747ad-970b-4faa-aa7e-9221136c9285" functionid="VisaControl" condition="" enabled="true" position="250,100" width="160" breakpoint="false">
          <Parameters>
            <Parameter id="VisaResource" name="Visa Resource" value="$M.FSW_VISA" type="VISA_Resource[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="keepOpen" name="Keep Visa Connection Open?" value="False" type="bool" enabled="true" logging="false" />
            <Parameter id="VisaResource2" name="Visa Resource 2" value="TCPIP::127.0.0.1:hislip999" type="VISA_Resource[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="VisaResource3" name="Visa Resource 3" value="TCPIP::127.0.0.1:hislip999" type="VISA_Resource[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="VisaResource4" name="Visa Resource 4" value="TCPIP::127.0.0.1:hislip999" type="VISA_Resource[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="VisaResource5" name="Visa Resource 5" value="TCPIP::127.0.0.1:hislip999" type="VISA_Resource[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="CommandType" name="Command Type" value="Write" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="ScpiCmd" name="SCPI Command" value="SYSTem:DISPlay:UPDate ON" type="SCPI_Command[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="CommandType2" name="Command Type 2" value="" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="ScpiCmd2" name="SCPI Command 2" value="" type="SCPI_Command[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="CommandType3" name="Command Type 3" value="" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="ScpiCmd3" name="SCPI Command 3" value="" type="SCPI_Command[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="CommandType4" name="Command Type 4" value="" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="ScpiCmd4" name="SCPI Command 4" value="" type="SCPI_Command[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="CommandType5" name="Command Type 5" value="" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="ScpiCmd5" name="SCPI Command 5" value="" type="SCPI_Command[LONGNAMELENGTH]" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="ReplyMessage" name="ReplyMessage" value="" type="char[...]" enabled="true" logging="false" />
          </Replies>
          <Dependency to="bbb69e28-b862-4176-9707-2b38c85a0377" />
        </TestFunction>
        <Connection id="0ae65aba-fd18-42ed-8e95-99062a54efdb" name="" condition="">
          <Source functionid="8e084f08-b816-47f6-9862-4e7bca715ceb" name="Init" port="Down1" />
          <Target functionid="bbb69e28-b862-4176-9707-2b38c85a0377" name="Init" />
        </Connection>
        <Connection id="5b27207d-f0a2-4038-bad9-e44b964d52e5" name="" condition="">
          <Source functionid="2d0c02e8-65c3-43e0-a555-e7330ff603c3" name="Show Demo Setup" port="Down1" />
          <Target functionid="481c33b8-064e-464f-985a-53b156b678d2" name="Instrument Show FSW" />
        </Connection>
        <Connection id="34bb7ea7-26f8-420b-851f-2670e6dd16ed" name="" condition="">
          <Source functionid="ad5023b9-fece-472d-a004-19128f45f143" name="Show Ideal Setup" port="Down1" />
          <Target functionid="2d0c02e8-65c3-43e0-a555-e7330ff603c3" name="Show Demo Setup" />
        </Connection>
        <Connection id="c06edffa-8fac-4f77-b24b-86716a93bd09" name="" condition="">
          <Source functionid="481c33b8-064e-464f-985a-53b156b678d2" name="Instrument Show FSW" port="Down1" />
          <Target functionid="8ae66051-af4c-4d94-a6b8-2aa620a9101b" name="Instrument Show SMW" />
        </Connection>
        <Connection id="6557c3e7-93f3-4ed3-82ea-27ab467e9b3d" name="" condition="">
          <Source functionid="bbb69e28-b862-4176-9707-2b38c85a0377" name="Init" port="Down1" />
          <Target functionid="76f57e24-3e87-4c64-ad4e-62eba2fbdba3" name="Visa: FSW Disp:Upd ON" />
        </Connection>
        <Parameters />
      </TestrunBefore>
      <RepetitionBefore enabled="True">
        <TestFunction id="60a8156e-4eb0-434d-8ad9-f4d147ec0070" name="5G Basestation Tx Test " type="TestFunction" blockid="f826fce5-38db-4ce3-bd8d-302816611d8a" functionid="CreateReport" condition="" enabled="true" position="170,227.08" width="NaN" breakpoint="false">
          <Parameters>
            <Parameter id="Type" name="Type" value="Body1" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="DutName" name="DutName" value="" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="ReportName" name="ReportName" value="R&amp;S BS 5G TX Test Demo" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Title" name="Title" value="" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Subtitle" name="Subtitle" value="" type="char[]" enabled="true" logging="false" />
          </Parameters>
          <Replies />
        </TestFunction>
        <Parameters />
      </RepetitionBefore>
    </MainProcedureBefore>
    <TestProcedure id="9433152d-f42d-4261-adb4-24d5d781c81b" name="Test Procedure">
      <TestProcedureBefore enabled="True">
        <Parameters />
      </TestProcedureBefore>
      <TestStep enabled="True">
        <TestFunction id="d90c5037-baab-44f1-828e-a35ce16c6447" name="Basics" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Basics" condition="" enabled="true" position="-100,-70" width="160" breakpoint="false">
          <Parameters>
            <Parameter id="Reset" name="Reset" value="True" type="bool" enabled="true" logging="false" />
            <Parameter id="ExtRef" name="External Reference" value="True" type="bool" enabled="true" logging="false" />
            <Parameter id="Frequency" name="Frequency (MHz)" value="$M.Frequency [MHz]" type="double" enabled="true" logging="false" />
            <Parameter id="RefLev" name="Reference Level (dBm)" value="5" type="double" enabled="true" logging="false" />
            <Parameter id="Deployment" name="Deployment" value="$M.Deployment" type="int" enabled="true" logging="false" />
            <Parameter id="ChannelBW" name="Channel Bandwidth (MHz)" value="$M.Channel Bandwidth (MHz)" type="int" enabled="true" logging="false" />
            <Parameter id="TM" name="NR-TM" value="$M.NR-TM" type="int" enabled="true" logging="false" />
            <Parameter id="SCS" name="SCS" value="$M.SCS" type="int" enabled="true" logging="false" />
            <Parameter id="Duplex" name="Duplex" value="$M.Duplex" type="int" enabled="true" logging="false" />
            <Parameter id="Attenuation" name="FSx Attenuation (dB)" value="$G.PathLoss" type="double" enabled="true" logging="false" />
            <Parameter id="AttenuationSMW" name="SMW Attenuation (dB)" value="0.0" type="double" enabled="true" logging="false" />
            <Parameter id="BSType" name="Base Station Type" value="$M.Base Station Type" type="int" enabled="true" logging="false" />
            <Parameter id="useGateForTdd" name="Use Gating for TDD" value="$M.Use Gating for TDD" type="bool" enabled="true" logging="false" />
            <Parameter id="gateLength" name="Gate Length" value="$M.Gate Length [msec]" type="double" enabled="true" logging="false" />
          </Parameters>
          <Replies />
          <Dependency to="153d76ee-9627-43be-b019-1b76d8dead16" />
          <Successor to="36afb494-3cc1-4401-91f0-e89ca4cc0dfc" />
        </TestFunction>
        <TestFunction id="36afb494-3cc1-4401-91f0-e89ca4cc0dfc" name="Tx_DemoSMW" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Tx_DemoSMW" condition="" enabled="true" position="-100,60" width="160" breakpoint="false">
          <Parameters>
            <Parameter id="RFpath" name="RF path" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="MIMO" name="MIMO 2 layers" value="False" type="bool" enabled="true" logging="false" />
            <Parameter id="SMW" name="SMW" value="$M.SMW_VISA" type="VISA_Resource[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="setPower" name="Power" value="$M.SMW Power [dBm]" type="double" enabled="true" logging="false" />
          </Parameters>
          <Replies />
          <Dependency to="d90c5037-baab-44f1-828e-a35ce16c6447" />
          <Successor to="9dce21e8-1e90-491b-aa99-ef8a22469b23" />
        </TestFunction>
        <TestFunction id="f0fbf999-c433-4de3-94f6-ad0c80275b93" name="Tx_6_6_3_ACLR" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Tx_6_6_3_ACLR" condition="($M.NR-TM) &lt; 3" enabled="true" position="700,-70" width="160" breakpoint="false">
          <Parameters>
            <Parameter id="NoiseCancel" name="Noise Cancellation" value="True" type="bool" enabled="true" logging="false" />
            <Parameter id="AdjChann" name="Adjacent Channels" value="0" type="int" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="ACLRResult" name="ACLR Results" value="" type="double[]" enabled="true" logging="true" />
          </Replies>
          <Dependency to="8cf06c16-63d8-4f6c-bea4-4bbd5df84e93" />
          <Successor to="16d0274a-5fd4-41fc-b9ba-5967f57cf8db" />
        </TestFunction>
        <TestFunction id="929b231f-0b24-443f-96de-6528b129c3e2" name="Tx_6_7_TxIntermod" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Tx_6_7_TxIntermod" condition="" enabled="false" position="700,280" width="160" breakpoint="false">
          <Parameters>
            <Parameter id="BW_Interferer" name="BW Interferer (MHz)" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="Offset" name="Offset n" value="1" type="int" enabled="true" logging="false" />
            <Parameter id="Category" name="Category" value="0" type="int" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="ACLR" name="ACLR" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="SEMStartFreq" name="SEMStartFreq" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="SEMStopFreq" name="SEMStopFreq" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="SEMRBW" name="SEMRBW" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="SEMPow" name="SEMPow" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="SpurStartFreq" name="SpurStartFreq" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="SpurStopFreq" name="SpurStopFreq" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="SpurRPW" name="SpurRPW" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="SpurPow" name="SpurPow" value="" type="double[]" enabled="true" logging="false" />
          </Replies>
          <Dependency to="fd3f1ab7-518f-49f2-8f64-611802d52f68" />
        </TestFunction>
        <TestFunction id="d259680d-9313-48f1-a311-c15c64bdf793" name="Tx_6_2_OutputPower" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Tx_6_2_OutputPower" condition="" enabled="true" position="280,-110" width="160" breakpoint="false">
          <Parameters>
            <Parameter id="DCIgnore" name="Ignore DC" value="True" type="bool" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="Power" name="OutputPower" value="" type="double" enabled="true" logging="true" />
            <Reply id="EVM" name="EVM" value="" type="double" enabled="true" logging="false" />
            <Reply id="FreqErr" name="Frequency Error" value="" type="double" enabled="true" logging="false" />
          </Replies>
          <Dependency to="fa49bcd7-f700-4ce1-b2bb-cb3230fbd43a" />
          <Successor to="7bcbff0a-68fc-4fa5-ba2c-7092ec1ed0b7" />
        </TestFunction>
        <TestFunction id="efed9c0f-cbaf-4cd7-96b9-a4beeff3ec1a" name="Tx_6_4_TransmitOnOff" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Tx_6_4_TransmitOnOff" condition="($M.Duplex) == 1" enabled="true" position="280,130" width="160" breakpoint="false">
          <Parameters>
            <Parameter id="NoisCanc" name="Noise Cancellation" value="True" type="bool" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="OffPower" name="OffPower" value="" type="double[]" enabled="true" logging="true" />
            <Reply id="TransPeriod" name="TransPeriod" value="" type="double[]" enabled="true" logging="true" />
          </Replies>
          <Dependency to="7bcbff0a-68fc-4fa5-ba2c-7092ec1ed0b7" />
          <Successor to="6db8112c-c5d5-477c-ba20-568bade74173" />
        </TestFunction>
        <TestFunction id="6db8112c-c5d5-477c-ba20-568bade74173" name="Tx_6_5_23_FreqErr_ModQual" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Tx_6_5_23_FreqErr_ModQual" condition="($M.NR-TM) &gt; 2" enabled="true" position="260,260" width="200" breakpoint="false">
          <Parameters>
            <Parameter id="DCIgnore" name="Ignore DC" value="True" type="bool" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="FreqErr" name="Frequency Error" value="" type="double" enabled="true" logging="true" />
            <Reply id="EVM" name="EVM" value="" type="double" enabled="true" logging="true" />
            <Reply id="Power" name="Power" value="" type="double" enabled="true" logging="true" />
          </Replies>
          <Dependency to="efed9c0f-cbaf-4cd7-96b9-a4beeff3ec1a" />
          <Successor to="ed558c80-5164-46f8-87b1-4846acd162ae" />
        </TestFunction>
        <TestFunction id="ed558c80-5164-46f8-87b1-4846acd162ae" name="Tx_6_5_4_TimeAlign" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Tx_6_5_4_TimeAlign" condition="" enabled="false" position="280,380" width="160" breakpoint="false">
          <Parameters>
            <Parameter id="Layers" name="Number Layers" value="0" type="int" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="TimeError" name=" Time Alignment Error" value="" type="double[]" enabled="true" logging="false" />
          </Replies>
          <Dependency to="6db8112c-c5d5-477c-ba20-568bade74173" />
          <Successor to="e24e3cd9-3d4a-4c6a-b38e-d09920012f9b" />
        </TestFunction>
        <TestFunction id="e24e3cd9-3d4a-4c6a-b38e-d09920012f9b" name="Tx_6_6_2_OccupiedBW" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Tx_6_6_2_OccupiedBW" condition="($M.NR-TM) == 1" enabled="true" position="280,490" width="160" breakpoint="false">
          <Parameters />
          <Replies>
            <Reply id="OccupiedBW" name="OccupiedBW" value="" type="double" enabled="true" logging="true" />
          </Replies>
          <Dependency to="ed558c80-5164-46f8-87b1-4846acd162ae" />
          <Successor to="2131b7aa-64f7-4386-afb6-2e454ace8a42" />
        </TestFunction>
        <TestFunction id="16d0274a-5fd4-41fc-b9ba-5967f57cf8db" name="Tx_6_6_4_UnwantedEmissions" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Tx_6_6_4_UnwantedEmissions" condition="($M.NR-TM) &lt; 3" enabled="true" position="680,60" width="200" breakpoint="false">
          <Parameters>
            <Parameter id="Category" name="Category" value="0" type="int" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="FreqStart" name="Start Freqeuncy" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="FreqStop" name="Stop Frequency" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="RBW" name="RBW" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="Level" name="Level" value="" type="double[]" enabled="true" logging="false" />
          </Replies>
          <Successor to="fd3f1ab7-518f-49f2-8f64-611802d52f68" />
          <Dependency to="f0fbf999-c433-4de3-94f6-ad0c80275b93" />
        </TestFunction>
        <TestFunction id="fd3f1ab7-518f-49f2-8f64-611802d52f68" name="Tx_6_6_5_SpuriousEmissions" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Tx_6_6_5_SpuriousEmissions" condition="($M.NR-TM) == 1" enabled="true" position="680,170" width="200" breakpoint="false">
          <Parameters>
            <Parameter id="Category" name="Category" value="0" type="int" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="FreqStart" name="Start Frequency" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="FreqStop" name="Stop Frequency" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="RBW" name="RBW" value="" type="double[]" enabled="true" logging="false" />
            <Reply id="Level" name="Level" value="" type="double[]" enabled="true" logging="false" />
          </Replies>
          <Dependency to="16d0274a-5fd4-41fc-b9ba-5967f57cf8db" />
          <Successor to="929b231f-0b24-443f-96de-6528b129c3e2" />
        </TestFunction>
        <TestFunction id="9dce21e8-1e90-491b-aa99-ef8a22469b23" name="Routing Pin" type="PinRoute" blockid="B_FlowControl" functionid="Pin" condition="" enabled="true" position="90,150" width="40" breakpoint="false">
          <Parameters />
          <Replies />
          <Successor to="1f1206fa-3925-43d1-948b-20ec00194680" />
          <Dependency to="36afb494-3cc1-4401-91f0-e89ca4cc0dfc" />
        </TestFunction>
        <TestFunction id="1f1206fa-3925-43d1-948b-20ec00194680" name="Routing Pin_1" type="PinRoute" blockid="B_FlowControl" functionid="Pin" condition="" enabled="true" position="90,-240" width="40" breakpoint="false">
          <Parameters />
          <Replies />
          <Dependency to="9dce21e8-1e90-491b-aa99-ef8a22469b23" />
          <Successor to="fa49bcd7-f700-4ce1-b2bb-cb3230fbd43a" />
        </TestFunction>
        <TestFunction id="d3be4527-6ba6-48ed-be32-005989d075af" name="Routing Pin_2" type="PinRoute" blockid="B_FlowControl" functionid="Pin" condition="" enabled="true" position="590,-230" width="40" breakpoint="false">
          <Parameters />
          <Replies />
          <Dependency to="2131b7aa-64f7-4386-afb6-2e454ace8a42" />
          <Successor to="8cf06c16-63d8-4f6c-bea4-4bbd5df84e93" />
        </TestFunction>
        <TestFunction id="2131b7aa-64f7-4386-afb6-2e454ace8a42" name="Routing Pin_3" type="PinRoute" blockid="B_FlowControl" functionid="Pin" condition="" enabled="true" position="590,560" width="40" breakpoint="false">
          <Parameters />
          <Replies />
          <Dependency to="e24e3cd9-3d4a-4c6a-b38e-d09920012f9b" />
          <Successor to="d3be4527-6ba6-48ed-be32-005989d075af" />
        </TestFunction>
        <TestFunction id="fa49bcd7-f700-4ce1-b2bb-cb3230fbd43a" name="Fork/Join" type="Join" blockid="B_FlowControl" functionid="Join" condition="" enabled="true" position="320,-190" width="80" breakpoint="false">
          <Parameters />
          <Replies />
          <Successor to="d259680d-9313-48f1-a311-c15c64bdf793" />
          <Dependency to="1f1206fa-3925-43d1-948b-20ec00194680" />
        </TestFunction>
        <TestFunction id="8cf06c16-63d8-4f6c-bea4-4bbd5df84e93" name="Fork/Join_1" type="Join" blockid="B_FlowControl" functionid="Join" condition="" enabled="true" position="720,-190" width="120" breakpoint="false">
          <Parameters />
          <Replies />
          <Successor to="f0fbf999-c433-4de3-94f6-ad0c80275b93" />
          <Dependency to="d3be4527-6ba6-48ed-be32-005989d075af" />
        </TestFunction>
        <TestFunction id="153d76ee-9627-43be-b019-1b76d8dead16" name="Get Path Loss" type="TestFunction" blockid="62a747ad-970b-4faa-aa7e-9221136c9285" functionid="GetPathLoss" condition="" enabled="true" position="-80,-250" width="120" breakpoint="false">
          <Parameters>
            <Parameter id="Path" name="Path" value="AnalyzerInPath" type="RF_Path[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Frequency" name="Frequency" value="0" type="double" enabled="true" logging="false" />
            <Parameter id="WriteToResultLog" name="Write to Result Log?" value="True" type="bool" enabled="true" logging="false" />
            <Parameter id="ResultHeader" name="Result Header" value="In_Loss" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="PathLoss" name="Path Loss" value="$G.PathLoss" type="double" enabled="true" logging="false" />
          </Replies>
          <Successor to="d90c5037-baab-44f1-828e-a35ce16c6447" />
        </TestFunction>
        <TestFunction id="7bcbff0a-68fc-4fa5-ba2c-7092ec1ed0b7" name="Tx_6_3_3_PowerDynamicRange" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Tx_6_3_3_PowerDynamicRange" condition="" enabled="false" position="240,10" width="240" breakpoint="false">
          <Parameters>
            <Parameter id="supports256QAM" name="BS supports 256 QAM" value="False" type="bool" enabled="true" logging="false" />
            <Parameter id="powerbackkoff" name="with power back off" value="False" type="bool" enabled="true" logging="false" />
          </Parameters>
          <Replies />
          <Successor to="efed9c0f-cbaf-4cd7-96b9-a4beeff3ec1a" />
          <Dependency to="d259680d-9313-48f1-a311-c15c64bdf793" />
        </TestFunction>
        <Connection id="acd9ca10-ca1f-4674-b9f6-cfc31a23b206" name="Only for TDD" condition="">
          <Source functionid="7bcbff0a-68fc-4fa5-ba2c-7092ec1ed0b7" name="Tx_6_3_3_PowerDynamicRange" port="" />
          <Target functionid="efed9c0f-cbaf-4cd7-96b9-a4beeff3ec1a" name="Tx_6_4_TransmitOnOff" />
        </Connection>
        <Connection id="4cbd4f08-6e44-4c72-afe1-e5c76edf7a49" name="Test Models 2 and 3" condition="">
          <Source functionid="efed9c0f-cbaf-4cd7-96b9-a4beeff3ec1a" name="Tx_6_4_TransmitOnOff" port="" />
          <Target functionid="6db8112c-c5d5-477c-ba20-568bade74173" name="Tx_6_5_23_FreqErr_ModQual" />
        </Connection>
        <Connection id="8f4a37e2-7b36-4d27-bb6d-deea10a40efe" name="Multi-Antenna only: not supported by demo" condition="">
          <Source functionid="6db8112c-c5d5-477c-ba20-568bade74173" name="Tx_6_5_23_FreqErr_ModQual" port="" />
          <Target functionid="ed558c80-5164-46f8-87b1-4846acd162ae" name="Tx_6_5_4_TimeAlign" />
        </Connection>
        <Connection id="30c21b1f-b632-4bd0-9ca4-3dfce910f0fb" name="Test Model 1.1 only" condition="">
          <Source functionid="ed558c80-5164-46f8-87b1-4846acd162ae" name="Tx_6_5_4_TimeAlign" port="" />
          <Target functionid="e24e3cd9-3d4a-4c6a-b38e-d09920012f9b" name="Tx_6_6_2_OccupiedBW" />
        </Connection>
        <Connection id="9aa22e01-ae5d-4981-9f50-1fefd1e9908a" name="Test Model 1.1 only" condition="">
          <Source functionid="16d0274a-5fd4-41fc-b9ba-5967f57cf8db" name="Tx_6_6_4_UnwantedEmissions" port="" />
          <Target functionid="fd3f1ab7-518f-49f2-8f64-611802d52f68" name="Tx_6_6_5_SpuriousEmissions" />
        </Connection>
        <Connection id="0cb6cad8-9edd-4750-8e71-098884388a81" name="Test Model 1.1 only; second RFGen not supported by demo" condition="">
          <Source functionid="fd3f1ab7-518f-49f2-8f64-611802d52f68" name="Tx_6_6_5_SpuriousEmissions" port="Down1" />
          <Target functionid="929b231f-0b24-443f-96de-6528b129c3e2" name="Tx_6_7_TxIntermod" />
        </Connection>
        <Connection id="8ef0fbe5-8a8b-4257-b095-9553e2458277" name="Test Execution" condition="">
          <Source functionid="fa49bcd7-f700-4ce1-b2bb-cb3230fbd43a" name="Fork/Join" port="Down1" />
          <Target functionid="d259680d-9313-48f1-a311-c15c64bdf793" name="Tx_6_2_OutputPower" />
        </Connection>
        <Connection id="aa44e30b-3885-486e-b639-c17ac41977dc" name="Test Models 1.1 and 1.2 only" condition="">
          <Source functionid="8cf06c16-63d8-4f6c-bea4-4bbd5df84e93" name="Fork/Join_1" port="Down1" />
          <Target functionid="f0fbf999-c433-4de3-94f6-ad0c80275b93" name="Tx_6_6_3_ACLR" />
        </Connection>
        <Connection id="d66921a8-2bd8-4094-865c-22bdc4d310a0" name="Test Models 1.1 and 1.2  only" condition="">
          <Source functionid="f0fbf999-c433-4de3-94f6-ad0c80275b93" name="Tx_6_6_3_ACLR" port="Down1" />
          <Target functionid="16d0274a-5fd4-41fc-b9ba-5967f57cf8db" name="Tx_6_6_4_UnwantedEmissions" />
        </Connection>
        <Connection id="fdf6ab04-6d59-4146-b8a7-7a78ac513679" name="Test Setup" condition="">
          <Source functionid="153d76ee-9627-43be-b019-1b76d8dead16" name="Get Path Loss" port="Down1" />
          <Target functionid="d90c5037-baab-44f1-828e-a35ce16c6447" name="Basics" />
        </Connection>
        <Connection id="cb0f76b8-f0bd-4343-bf5f-7c730d96cd49" name="" condition="">
          <Source functionid="9dce21e8-1e90-491b-aa99-ef8a22469b23" name="Routing Pin" port="RoutePinUpConnector" />
          <Target functionid="1f1206fa-3925-43d1-948b-20ec00194680" name="Routing Pin_1" />
        </Connection>
        <Connection id="abf266dc-d503-41b5-a226-a5b259abf860" name="" condition="">
          <Source functionid="e24e3cd9-3d4a-4c6a-b38e-d09920012f9b" name="Tx_6_6_2_OccupiedBW" port="Down1" />
          <Target functionid="2131b7aa-64f7-4386-afb6-2e454ace8a42" name="Routing Pin_3" />
        </Connection>
        <Connection id="3f32abe5-aac1-4e1e-809d-c71c9bd73d0c" name="" condition="">
          <Source functionid="2131b7aa-64f7-4386-afb6-2e454ace8a42" name="Routing Pin_3" port="RoutePinUpConnector" />
          <Target functionid="d3be4527-6ba6-48ed-be32-005989d075af" name="Routing Pin_2" />
        </Connection>
        <Connection id="8d7f355a-9772-428f-9c1e-3491c6e4197c" name="" condition="">
          <Source functionid="1f1206fa-3925-43d1-948b-20ec00194680" name="Routing Pin_1" port="RoutePinRightConnector" />
          <Target functionid="fa49bcd7-f700-4ce1-b2bb-cb3230fbd43a" name="Fork/Join" />
        </Connection>
        <Connection id="33982d07-c3ff-4666-93e1-4253df5c0f99" name="" condition="">
          <Source functionid="d3be4527-6ba6-48ed-be32-005989d075af" name="Routing Pin_2" port="RoutePinRightConnector" />
          <Target functionid="8cf06c16-63d8-4f6c-bea4-4bbd5df84e93" name="Fork/Join_1" />
        </Connection>
        <Connection id="279baf92-675a-4f5a-ae8f-07586bc28f92" name="" condition="">
          <Source functionid="d90c5037-baab-44f1-828e-a35ce16c6447" name="Basics" port="Down1" />
          <Target functionid="36afb494-3cc1-4401-91f0-e89ca4cc0dfc" name="Tx_DemoSMW" />
        </Connection>
        <Connection id="68beffbf-918b-4e10-9c5a-8df20a10de39" name="" condition="">
          <Source functionid="36afb494-3cc1-4401-91f0-e89ca4cc0dfc" name="Tx_DemoSMW" port="Down1" />
          <Target functionid="9dce21e8-1e90-491b-aa99-ef8a22469b23" name="Routing Pin" />
        </Connection>
        <Connection id="6f197069-303e-46f2-b244-107d53a20b4e" name="change transmitted test model during measurement; not supported by demo" condition="">
          <Source functionid="d259680d-9313-48f1-a311-c15c64bdf793" name="Tx_6_2_OutputPower" port="Down1" />
          <Target functionid="7bcbff0a-68fc-4fa5-ba2c-7092ec1ed0b7" name="Tx_6_3_3_PowerDynamicRange" />
        </Connection>
        <Parameters />
      </TestStep>
      <TestProcedureAfter enabled="True">
        <Parameters />
      </TestProcedureAfter>
    </TestProcedure>
    <MainProcedureAfter id="MainProcedureAfter" name="Main Procedure After">
      <RepetitionAfter enabled="True">
        <TestFunction id="705ccc05-5546-46a4-86a2-b46957db1c0d" name="SaveReport" type="TestFunction" blockid="f826fce5-38db-4ce3-bd8d-302816611d8a" functionid="SaveReport" condition="" enabled="true" position="237,272.08" width="NaN" breakpoint="false">
          <Parameters>
            <Parameter id="ReportType" name="ReportType" value="PDF" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="ReportPath" name="ReportPath" value="" type="char[]" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="FullReportPath" name="FullReportPath" value="" type="char[]" enabled="true" logging="false" />
          </Replies>
        </TestFunction>
        <Parameters />
      </RepetitionAfter>
      <TestrunAfter enabled="True">
        <TestFunction id="e3df0b3a-6924-4b35-803a-0bce8fb0b8c9" name="Close" type="TestFunction" blockid="f826fce5-38db-4ce3-bd8d-302816611d8a" functionid="Close" condition="" enabled="true" position="164,424.08" width="80" breakpoint="false">
          <Parameters />
          <Replies />
        </TestFunction>
        <TestFunction id="e4d057cf-3e55-4796-ba19-f976036e499f" name="Show Image" type="TestFunction" blockid="62a747ad-970b-4faa-aa7e-9221136c9285" functionid="ShowImage" condition="" enabled="true" position="300,424.08" width="120" breakpoint="false">
          <Parameters>
            <Parameter id="FileNameImage" name="Filename of the Image" value=".\ConfigurationFiles\Finish.png" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Title" name="Title" value="Test completed" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Message" name="Message" value="Please go to the RESULT VIEWER tab and open the test report." type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Type" name="Type" value="OK" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="height" name="Window Height" value="80" type="int" enabled="true" logging="false" />
            <Parameter id="width" name="Window Width" value="60" type="int" enabled="true" logging="false" />
            <Parameter id="top" name="Y-Positioning" value="10" type="int" enabled="true" logging="false" />
            <Parameter id="left" name="X-Positioning" value="20" type="int" enabled="true" logging="false" />
            <Parameter id="monitor" name="Monitor" value="primary" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="Reply" name="Reply" value="" type="char[...]" enabled="true" logging="false" />
          </Replies>
        </TestFunction>
        <TestFunction id="e9f35d14-ba03-4cae-b2a9-6edc928a6338" name="Close" type="TestFunction" blockid="15985e7f-67d1-4cb9-8568-6ba853420658" functionid="Close" condition="" enabled="true" position="-40,424.08" width="160" breakpoint="false">
          <Parameters />
          <Replies />
        </TestFunction>
        <Parameters />
      </TestrunAfter>
    </MainProcedureAfter>
  </TestProcedures>
  <Log level="Normal" target="tcp://0.0.0.0:5559" />
  <Options>
    <ProvidedFunctions>
      <Function id="General" name="Options">
        <Parameter id="Repetitions" name="Repetitions" type="int" value="1" min="1" description="Repetition Count" />
        <Parameter id="enableLimits" name="Enable Limit Tests" type="bool" value="True">
          <description>Enable result limits check in sequencer.</description>
        </Parameter>
        <Parameter id="ContinueOnFail" name="Continue on Limit Fail" type="bool" value="True">
          <description>Ignore failbins. Testrun won't stop if a fail occurs.</description>
        </Parameter>
        <Parameter id="enableProgressbar" name="Enable ProgressBar" type="bool" value="True">
          <description>Activate Progressbar?</description>
        </Parameter>
        <Parameter id="CheckBlockActive" name="Enable Check-Block" type="bool" value="False">
          <description>Execute Check Block functions before start of test?</description>
        </Parameter>
      </Function>
      <Function id="Debug" name="Debugging">
        <Parameter id="BdfCheck" name="Enable BDF Check" type="bool" value="False">
          <description>Start sequencer with consistency check between testplan and Dll's?</description>
        </Parameter>
        <Parameter id="enableBreakpoints" name="Enable Breakpoints" type="bool" value="False" />
        <Parameter id="ScpiDebug" name="SCPI Commands" type="int" value="1" description="Debugging options for VISA commands.">
          <enum>
            <item value="0"> None </item>
            <item value="1"> Write to Exec.Log </item>
            <item value="2"> Append OPC/SysErr </item>
            <item value="3"> Split and append OPC/SysErr  </item>
          </enum>
        </Parameter>
      </Function>
      <Function id="Log" name="Logging">
        <Parameter id="PathToLogFiles" name="LoggingPath" type="char[LONGNAMELENGTH]" value="" regex="(^$|^(?:[\w]\:|\\|\.)*(\\[A-z_\-\s0-9\\]+(\\|\/))$)" errmsg="Enter a valid absolute or relative path" description="Path To Log Files. Leave empty to use default. &#xD;For relative path the Log Files will be relative to the *.tpl file.&#xD;In case no default use in the Results Viewer &quot;Browse&quot; to allocate the new path to the Log Files. &#xD;&#xD;The base directory is the location of the *.tpl file. &#xD;&#xD;Valid path examples:    &#xD;C:\Results\    &#xD;..\FolderAbove\    &#xD;\\SubFolder\\    &#xD;..\\..\\TestResults\\" />
        <Parameter id="LogLevel" name="Log Level" type="char[SHORTNAMELENGTH]" value="NORMAL">
          <enum>
            <item value="SYSTEM"> SYSTEM/ALWAYS </item>
            <item value="ERR"> ERR </item>
            <item value="WARN"> WARN </item>
            <item value="NORMAL"> NORMAL </item>
            <item value="VERBOSE"> VERBOSE </item>
            <item value="DEBUG_PRINT"> DEBUG_PRINT </item>
          </enum>
        </Parameter>
        <Parameter id="LiveViewReportId" name="LiveViewReport ID" type="char[SHORTNAMELENGTH]" value="Test" />
        <Parameter id="DutId" name="Dut ID" type="char[SHORTNAMELENGTH]" value="MyDUT" />
      </Function>
      <Function id="BlockEmulation" name="Block Emulation (Block Demo Mode)">
        <Parameter id="GlobalEmulationMode" name="Enable Emulation Mode" type="bool" value="False" description="Emulation Mode can be enabled globally here. Additionally it has to be activated for each block individually in Blocks &amp; Connectivity." />
      </Function>
    </ProvidedFunctions>
  </Options>
</Testplan>